<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\QgCase;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class DashboardController extends Controller
{
    public function index()
    {
        $data = [
            'total_cases' => QgCase::count()
        ];

        if(Auth::user()->roles == 1)
        {
            return view('backend.admin.dashboard')->with(['data' => $data]);
        }
        else if(Auth::user()->roles == 2)
        {
            return view('backend.team.dashboard')->with(['data' => $data]);
        }
        else
        {
            return view('backend.staff.dashboard')->with(['data' => $data]);
        } 
    }
}
