<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\Note;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class NoteController extends Controller
{
    public function addNote(Request $request)
    {
        $add_note = Note::create([
            'case_id' => $request->case_id,
            'user_id' => $request->user_id,
            'note' => $request->note
        ]);

        if ($add_note) {
            if(Auth::user()->roles == 1)
            {
                return redirect('admin/case/' . $request->case_id . '/notes')->with('status', 1);
            }
            else if(Auth::user()->roles == 2)
            {
                return redirect('team/case/' . $request->case_id . '/notes')->with('status', 1);
            }
            else
            {
                return redirect('staff/case/' . $request->case_id . '/notes')->with('status', 1);
            }
        }
    }

    public function editNote(Request $request, $id)
    {
        $edit_note = Note::where('id', $id)->update([
            'case_id' => $request->case_id,
            'user_id' => $request->user_id,
            'note' => $request->note
        ]);

        if ($edit_note) {
            if(Auth::user()->roles == 1)
            {
                return redirect('admin/case/' . $request->case_id . '/notes')->with('status', 2);
            }
            else if(Auth::user()->roles == 2)
            {
                return redirect('team/case/' . $request->case_id . '/notes')->with('status', 2);
            }
            else
            {
                return redirect('staff/case/' . $request->case_id . '/notes')->with('status', 2);
            }
        }
    }

    public function deleteNote(Request $request)
    {
        $delete_note = Note::where('id', $request->note_id)->delete();

        if ($delete_note) {
            if(Auth::user()->roles == 1)
            {
                return redirect('admin/case/' . $request->case_id . '/notes')->with('status', 0);
            }
            else if(Auth::user()->roles == 2)
            {
                return redirect('team/case/' . $request->case_id . '/notes')->with('status', 0);
            }
            else
            {
                return redirect('staff/case/' . $request->case_id . '/notes')->with('status', 0);
            }
        }
    }
}
