<?php

namespace App\Http\Controllers\backend;

use App\Http\Controllers\Controller;
use App\Models\Answer;
use App\Models\BusinessService;
use App\Models\QgCase;
use App\Models\Question;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class QueryController extends Controller
{
    public function questions($id)
    {
        $getCase = QgCase::where('case_id', $id)->get()->toArray();

        if(!empty($getCase[0]) && array_key_exists('0', $getCase)){
            if(!empty($getCase[0]['address'])){
                $address = json_decode($getCase[0]['address'], true);

                $getCase[0]['address1'] =; '';
                if($address['address1']){
                    $getCase[0]['address1'] = $address['address1'];
                }

                $getCase[0]['address2'] = '';
                if($address['address2']){
                    $getCase[0]['address2'] = $address['address2'];
                }

                $getCase[0]['town_or_city'] = '';
                if($address['town_or_city']){
                    $getCase[0]['town_or_city'] = $address['town_or_city'];
                }

                $getCase[0]['country'] = '';
                if($address['country']){
                    $getCase[0]['country'] = $address['country'];
                }
                
                //dd($getCase);
            }
        }

        $getServices = BusinessService::where('case_id', $id)->with('services')->get()->toArray();

        $getQuestions = Question::with(['getService', 'user', 'answers.user'])->where('case_id', $id)->get()->toArray();

        if(Auth::user()->roles == 1)
        {
            return view('backend.admin.query.query')->with(['case' => $getCase[0], 'questions' => $getQuestions,'services' => $getServices]);
        }
        else if(Auth::user()->roles == 2)
        {
            return view('backend.team.query.query')->with(['case' => $getCase[0], 'questions' => $getQuestions,'services' => $getServices]);
        }
        else
        {
            return view('backend.staff.query.query')->with(['case' => $getCase[0], 'questions' => $getQuestions, 'services' => $getServices]);
        }
    }

    public function addQuestion(Request $request)
    {

        // dd($request->all());

        $request->validate([
            'question' => 'required|string'
        ]);

        $addQuestion = Question::create([
            'case_id' => $request->case_id,
            'user_id' => $request->user_id,
            'service_id' => $request->service_id,
            'question' => $request->question
        ]);

        if ($addQuestion) {
            if (Auth::user()->roles == 1) {
                return redirect('admin/case/' . $request->case_id . '/query')->with('status', 1);
            }
            else if(Auth::user()->roles == 2)
            {
                return redirect('team/case/' . $request->case_id . '/query')->with('status', 1);
            }
            else {
                return redirect('staff/case/' . $request->case_id . '/query')->with('status', 1);
            }
        }
    }

    public function deleteQuestion($case_id, $id)
    {
        $deleteQuestion = Question::where('id', $id)->delete();
        $deleteAnswer = Answer::where('question_id', $id)->delete();

        if (Auth::user()->roles == 1) {
            return redirect('admin/case/' . $case_id . '/query')->with('status', 1);
        }
        else if(Auth::user()->roles == 2)
        {
            return redirect('team/case/' . $case_id . '/query')->with('status', 1);
        }
        else {
            return redirect('staff/case/' . $case_id . '/query')->with('status', 1);
        }
    }

    public function sendReply(Request $request)
    {

        $request->validate([
            'answer' => 'required|string'
        ]);

        $sendReply = Answer::create([
            'case_id' => $request->case_id,
            'user_id' => $request->user_id,
            'service_id' => $request->service_id,
            'question_id' => $request->question_id,
            'answer' => $request->answer
        ]);

        if ($sendReply) {
            if (Auth::user()->roles == 1) {
                return redirect('admin/case/' . $request->case_id . '/query');
            } else if (Auth::user()->roles == 2) {
                return redirect('team/case/' . $request->case_id . '/query');
            } else {
                return redirect('staff/case/' . $request->case_id . '/query');
            }
        }
    }
}
