<?php

namespace App\Http\Controllers\frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;
use App\Models\CaseService;
use App\Models\BusinessService;
use App\Models\QgService;
use App\Models\BusinessKey;
use App\Models\BusinessDesign;
use App\Models\QgProjectScope;
use App\Models\ClientInfo;
use App\Models\User;
use App\Rules\EmailCheckRule;
use Illuminate\Support\Facades\Validator;
use App\Models\Discussion;
use App\Models\DiscussionReply;
use Illuminate\Support\Facades\Route;

class DeveloperAreaController extends Controller
{
    
    public function developersarea($case_id, $service_id)
    {
       /* $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        if (!$caseExist) {
            abort(404);
        }

        $serviceExist = (new QgService)->getServiceById($service_id);
        if (!$serviceExist) {
            abort(404);
        }*/

        $loginauthid = (authUserId());
        $caseServices = DB::table('case_services')
                        ->where('user_id', $loginauthid)
                        ->get();
        $sidebarservices = DB::table('case_qg_services')->get(); 
        $questions = [];
        if(!empty($case_id) && !empty($service_id)){
            $questions = (new Discussion)->getAllQuestionByCaseService($case_id, $service_id);
        }       

        //dd($questions);
       
        $route = Route::currentRouteName();

        //dd($route);

        return view('frontend.pages.developersarea',compact('caseServices', 'sidebarservices', 'questions', 'route'));

    }
    public function fileupload()
    {
        $loginauthid = (authUserId());
        $caseServices = DB::table('case_services')
                        ->where('user_id', $loginauthid)
                        ->get();
        $sidebarservices = DB::table('case_qg_services')->get();



        return view('frontend.pages.fileupload',compact('caseServices', 'sidebarservices'));

    }
    public function liveupdate()
    {
        return view('frontend.pages.liveupdate');

    }

    public function questionSubmit(Request $request){

        try {


            if(!$request->ajax()){

                return apiResponse('error', 401, 'Something went wrong!', [], []);
            }

            $inputs = $request->all();
            unset($inputs['_token']);

            if(array_key_exists('case_id', $inputs) && !empty($inputs)){
                $caseExist = (new CaseService)->getCaseByCaseNumber($inputs['case_id']);
                //dd($caseExist);
                if(empty($caseExist)){
                    return apiResponse('error', 401, 'Something went wrong!', [], []);
                }
            }

            if(array_key_exists('discussion_id', $inputs) && !empty($inputs)){

                $discussionExist = (new Discussion)->getDiscussionByID($inputs['discussion_id']);
                //dd($discussionExist);
                if(empty($discussionExist)){
                    return apiResponse('error', 401, 'Something went wrong!', [], []);
                }
            }
            
            $validator = (new DiscussionReply)->validate($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
                //dd($validator->errors());
                /*return redirect()->route('service-type')
                    ->withInput()
                    ->withErrors($validator);*/
                return apiResponse('error', 401, 'Something went wrong!', [], []);
            }

            $currentSession = [];

            $id = $inputs['discussion_id'];
            unset($inputs['discussion_id']);

            $message = $inputs['discussion_text'];
            unset($inputs['discussion_text']);

            //dd(\Session::get('current_case'));

            $data = [
                    'company_id' => 1,
                    'discussion_id' => $id,
                    'user_id' => authUserId(),
                    'body' => $message,
                    'created_at' => currentDate(true),
                ];

            //$insert = 0;
            $insert = (new DiscussionReply)->store($data); 

            if($insert){
                //$insert = 10;
                $replyData = (new DiscussionReply)->getReplyByID($insert);
                $htmlReply = '<div class="think">';
                $htmlReply .= '<p>'.$replyData['body'].'</p>';
                $htmlReply .= '<p>';
                $htmlReply .= '<span> <!--Max QwikGig --></span>';
                $htmlReply .= '<span class="dot">'.$replyData['created_at']->format('d M Y H:i A').'</span>';
                $htmlReply .= '</p>';
                $htmlReply .= '</div>'; 
                /*dd($htmlReply);*/
                return apiResponse('success', 200, 'Reply Submitted!', [], [], $htmlReply);  
            }else{
                return apiResponse('error', 401, 'Something went wrong!', [], []);
            }            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

   
}
