<?php

namespace App\Http\Controllers\frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\QgService;
use App\Models\CaseService;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Session;
use App\Models\BusinessInfo;
use App\Models\ProjectInfo;
use App\Models\CompanyInfo;
use App\Models\ClientInfo;
use Illuminate\Support\Facades\Http;
use App\Models\BusinessService;
use App\Models\BusinessKey;
use App\Models\BusinessDesign;
use App\Models\QgProjectScope;
Use Exception;
use App\Models\SendRequestAPI;
use App\Models\SendRequestLogs;
use App\Models\ProjectScope;
use App\Models\Project;

class FunnelController extends Controller
{
    public function index($case_id = "")
    {

        // Finally, destroy the session.
        //Session::flush();

        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];
        $user_id = '';

        if(!empty($case_id)){
            return redirect()->route('home'); 
        }else{
            if(\Session::has('current_case')){
                $currentSession = \Session::get('current_case');
                //dd(\Session::get('current_case'));    
            }else{
                $currentSession = array(
                    'current_case' => array(
                            'guest_id' => $sessionID,
                            'case_id' => '',
                            'user_id' => authUserId()        
                    )
                );

                //session($data);
                \Session::put($currentSession);
            }

        } 

        //dd($currentSession);    

        //Session::flush();
        //set_time_limit(300);
        $data['services'] = (new QgService)->getAll();
        //dd($currentSession);
        return view('frontend.primary-steps.services', compact('data', 'currentSession'));       

    }

    public function store(Request $request, $case_id = ""){

        /*if (!$request->isMethod('post')) {
            return redirect()->route('funnel');
            //return abort(404);
            //return redirect()->route('user.profile', ['step' => $step, 'id' => $id]);
        }*/

        /*if (!$result) {
            abort(401);
        }*/

        /*if (!$result) {
            return redirect()->route('city.index')
                ->with('error', lang('messages.invalid_id', string_manip(lang('city.city'))));
        }*/
        
        try {
            $inputs = $request->all();
            unset($inputs['_token']);

            /*return redirect()->route('city.create')
                ->withInput($inputs)
                ->withErrors($validator);*/

            /* return lang('messages.server_error');*/                         

            if(!empty($inputs)){
                if(!empty($case_id)){

                    /*$case = (new CaseService)->checkCaseExist();
                    $casePrefix = Config::get('app.case_prefix');

                    $service_ids = array_values($inputs);
                    $services_implode = implode(",", $service_ids);
                    $data = array(
                            'current_case' => array(
                                    'guest_id' => $sessionID,
                                    'services_ids' => $services_implode
                                )
                        );

                    (new CaseService)->store();

                    return redirect()->route('business-info', ['case_id' => $case_id]);*/

                }else{

                    if(\Session::has('current_case')){
                        $currentSession = Session::get('current_case');
                        $service_ids = array_values($inputs);
                        $services_implode = implode(",", $service_ids);
                        //session($data);

                        \Session::put('current_case.services_ids', $services_implode);                  

                    } 

                    return redirect()->route('service-type');      

                    //session($data);

                    //\Session::put($data);
                    //$value = Session::get('key');
                    //Session::flash('key', 'value');
                    //Session::forget('key');
                    //Session::flush();
                    //Session::has('key') 

                } 

            }            
            else{
                \Session::put('current_case.services_ids', '');
                return redirect()->route('funnel')
                ->with('error', lang('messages.please_select_service'));
            }            
            
           // dd($inputs);
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('funnel')
                ->with('error', lang('messages.server_error'));           
        }
        
    }

    public function service_type($case_id = "")
    {

        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if(!empty($case_id) && empty($caseExist)){
            return redirect()->route('home');  
        }
        
        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];
        
        if(!empty($case_id)){

            /*$caseServiceData = (new CaseService)->getServiceByCaseNumber($case_id);      
            dd(Session::get('current_case'));*/

            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } 
                //dd($services_data);
            }

        }else{
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);
                    
                } 
            }

        }

        //dd($currentSession);

        return view('frontend.primary-steps.service_type', compact('data','currentSession','case_id'));
        
       //set_time_limit(300);
       
    }

    public function service_type_submit(Request $request, $case_id = ""){

        try {
            $inputs = $request->all();
            unset($inputs['_token']);

            /*dd($inputs);*/
            //str_word_count
            
            $validator = (new BusinessInfo)->validateServiceType($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
               //dd($validator->errors());
                return redirect()->route('service-type')
                    ->withInput()
                    ->withErrors($validator);
            }

           /* if(!empty($inputs['service_desc']) && array_key_exists('service_desc', $inputs)){

                foreach ($inputs['service_desc'] as $key => $value) {
                    $inputs['service_desc'][$key] = nl2br($value);
                    
                }
                
            }*/

            /*dd($inputs);*/            

            if(!empty($case_id)){

                $mergedArray = [];
                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    $mergedArray = array_merge($currentSession, $inputs);

                    \Session::put('current_case', $mergedArray);

                }

                return redirect()->route('business-info', ['case_id' => $case_id]);


            }else{
                
                $mergedArray = [];
                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    $mergedArray = array_merge($currentSession, $inputs);

                    \Session::put('current_case', $mergedArray);

                } 

                //dd(\Session::get('current_case'));

                return redirect()->route('business-info');

            } 
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('business-info')
                ->with('error', lang('messages.server_error'));

            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }


    public function business_info($case_id = "")
    {
        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if(!empty($case_id) && empty($caseExist)){
            return redirect()->route('home');  
        } 

        $sessionID = sessionID();  
        $currentSession = [];
        $data = []; 

        if(!empty($case_id)){
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                /*if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                }*/ 
            }
        }else{
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                /*if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } */
            }

        }

        //dd($currentSession);

        return view('frontend.primary-steps.business_info', compact('data','currentSession','case_id'));
        
       //set_time_limit(300);
       
    }

    public function business_submit(Request $request, $case_id = ""){

        try {
            $inputs = $request->all();
            unset($inputs['_token']);

            //dd($inputs);
            $validator = (new BusinessInfo)->validate($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
               //dd($validator->errors());
                return redirect()->route('business-info')
                    ->withInput()
                    ->withErrors($validator);
            }

            /*if(!empty($inputs['business_info']) && array_key_exists('business_info', $inputs)){
                $inputs['business_info'] = nl2br($inputs['business_info']);                
            }

            if(!empty($inputs['business_challenges']) && array_key_exists('business_challenges', $inputs)){
                $inputs['business_challenges'] = nl2br($inputs['business_challenges']);                
            }*/

            if(!empty($case_id)){
                
                /*$case = (new CaseService)->checkCaseExist();
                $casePrefix = Config::get('app.case_prefix');
                
                $service_ids = array_values($inputs);
                $services_implode = implode(",", $service_ids);
                $data = array(
                        'current_case' => array(
                                'guest_id' => $sessionID,
                                'services_ids' => $services_implode
                            )
                    );

                (new CaseService)->store();

                return redirect()->route('business-info', ['case_id' => $case_id]);*/

                $mergedArray = [];
                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    $mergedArray = array_merge($currentSession, $inputs);
                    \Session::put('current_case', $mergedArray);
                } 

                //dd(\Session::get('current_case'));

                return redirect()->route('business-stage', ['tab' => 1, 'case_id' => $case_id]);


            }else{
                
                $mergedArray = [];
                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    $mergedArray = array_merge($currentSession, $inputs);

                    \Session::put('current_case', $mergedArray);

                } 

                //dd(\Session::get('current_case'));

                return redirect()->route('business-stage');

            } 
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('business-info')
                ->with('error', lang('messages.server_error'));            

        }
        
    }


    public function business_stage($tab = "", $case_id = "")
    {

        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if(!empty($case_id) && empty($caseExist)){
            return redirect()->route('home');  
        } 

        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];

        if(!empty($case_id)){
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } 
            }

        }else{
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } 
            }
        }

        if(empty($tab)){
            $tab = 1;
        }

        //dd($currentSession);
        //unset($currentSession['business_data'][1]['business_keys']);
        //dd($currentSession);
        //dd($tab);
        //print_r(\Route::current());

        return view('frontend.primary-steps.business_stage', compact('data','tab','currentSession','case_id'));
        
       //set_time_limit(300);
       //$data['services'] = (new QgService)->getAll();
       //return view('backend.funnel.services', compact('data'));
    }

    public function business_stage_submit(Request $request, $case_id = ""){

        try {
            $inputs = $request->all();


            
            $inputs = array_filter($inputs);
            unset($inputs['_token']);
            unset($inputs['envision_text']);

            if(array_key_exists('business_keys', $inputs) && !empty($inputs['business_keys'])){
                $inputs['business_keys'] =  array_filter($inputs['business_keys']);

                $rearrangeArray = [];

                foreach($inputs['business_keys'] as $k => $v){
                    $rearrangeArray[] = $v;
                    
                }
                
                $inputs['business_keys'] = $rearrangeArray;

            }

            //dd($inputs);

            //dd($inputs);
            //dd($inputs);
            //dd(\Session::get('current_case'));
            $validator = (new BusinessInfo)->validateStage($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
                //dd($validator->errors());
                return redirect()->route('business-stage', ['tab' => $inputs['current_tab']])
                    ->withInput()
                    ->withErrors($validator);
            }            

            if(!empty($case_id)){

                /*$case = (new CaseService)->checkCaseExist();
                $casePrefix = Config::get('app.case_prefix');

                $service_ids = array_values($inputs);
                $services_implode = implode(",", $service_ids);
                $data = array(
                        'current_case' => array(
                                'guest_id' => $sessionID,
                                'services_ids' => $services_implode
                            )
                    );

                (new CaseService)->store();

                return redirect()->route('business-info', ['case_id' => $case_id]);*/

                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    //dd($currentSession);
                    $currentSession["business_data"][$inputs['current_tab']] = $inputs;
                    //$currentSession["business_data"][$inputs['tab']] = [];
                    //$currentSession = $currentSession["business_data"] + $inputs;

                    \Session::put('current_case', $currentSession);                  

                }

                if($inputs['tab'] > $inputs['total_tab']){

                    return redirect()->route('project-info', ['tab' => 1, 'case_id' => $case_id ]);

                    //dd(\Session::get('current_case'));
                    //dd('Project Information');

                }else{
                    return redirect()->route('business-stage', ['tab' => $inputs['tab'], 'case_id' => $case_id]);
                }


            }else{                

                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    //dd($currentSession);
                    $currentSession["business_data"][$inputs['current_tab']] = $inputs;
                    //$currentSession["business_data"][$inputs['tab']] = [];
                    //$currentSession = $currentSession["business_data"] + $inputs;

                    \Session::put('current_case', $currentSession);                  

                }

                //dd(\Session::get('current_case'));               

                if($inputs['tab'] > $inputs['total_tab']){

                    return redirect()->route('project-info');

                    //dd(\Session::get('current_case'));
                    //dd('Project Information');

                }else{
                    return redirect()->route('business-stage', ['tab' => $inputs['tab']]);
                }                

            } 
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('business-stage')
                ->with('error', lang('messages.server_error'));

            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function project_info($tab = "", $case_id = "")
    {
        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if(!empty($case_id) && empty($caseExist)){
            return redirect()->route('home');  
        } 

        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];

        if(!empty($case_id)){
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } 
            }

        }else{
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } 
            }

        }

        if(empty($tab)){
            $tab = 1;
        }

        //dd($currentSession);
        //print_r(\Route::current());

        return view('frontend.primary-steps.project_info', compact('data','tab','currentSession', 'case_id'));
        
       //set_time_limit(300);
       //$data['services'] = (new QgService)->getAll();
       //return view('backend.funnel.services', compact('data'));
    }

    public function project_info_submit(Request $request, $case_id = ""){

        try {
            $inputs = $request->all();
            //$inputs = array_filter($inputs);
            unset($inputs['_token']);
            //dd($inputs);
            $validator = (new ProjectInfo)->validate($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
               // dd($validator->errors());
                return redirect()->route('project-info', ['tab' => $inputs['current_tab']])
                    ->withInput()
                    ->withErrors($validator);
            }

            //dd($inputs);

            //dd($inputs['tab']);

            if(!empty($case_id)){

                /*$case = (new CaseService)->checkCaseExist();
                $casePrefix = Config::get('app.case_prefix');

                $service_ids = array_values($inputs);
                $services_implode = implode(",", $service_ids);
                $data = array(
                        'current_case' => array(
                                'guest_id' => $sessionID,
                                'services_ids' => $services_implode
                            )
                    );

                (new CaseService)->store();

                return redirect()->route('business-info', ['case_id' => $case_id]);*/

                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    //dd($currentSession);
                    $currentSession["project_data"][$inputs['current_tab']] = $inputs;
                    //$currentSession = $currentSession["business_data"] + $inputs;

                    \Session::put('current_case', $currentSession);

                }

                if($inputs['tab'] > $inputs['total_tab']){

                    return redirect()->route('project-scope', ['case_id' => $case_id]);

                    //dd(\Session::get('current_case'));
                    //dd('Project Information');

                }else{
                    return redirect()->route('project-info', ['tab' => $inputs['tab'], 'case_id' => $case_id]);
                }


            }else{                

                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    //dd($currentSession);
                    $currentSession["project_data"][$inputs['current_tab']] = $inputs;
                    //$currentSession = $currentSession["business_data"] + $inputs;

                    \Session::put('current_case', $currentSession);                  

                }

                //dd(\Session::get('current_case'));               

                if($inputs['tab'] > $inputs['total_tab']){

                    return redirect()->route('company-info');

                    //dd(\Session::get('current_case'));
                    //dd('Project Information');

                }else{
                    return redirect()->route('project-info', ['tab' => $inputs['tab']]);
                }                

            } 
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('business-stage')
                ->with('error', lang('messages.server_error'));

            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }


    public function company_info($case_id = "")
    {
        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if(!empty($case_id) && empty($caseExist)){
            return redirect()->route('home');  
        } 
        
        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];

        if(!empty($case_id)){
            return redirect()->route('home');
        }else{
            if(\Session::has('current_case')){
                $currentSession = Session::get('current_case');
                $services_data = Session::get('current_case');
                if(!empty($services_data['services_ids'])){
                    $serviceExplode = explode("," , $services_data['services_ids']);
                    
                    $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);               
                    
                } 
            }

        }

        //dd($currentSession);

        return view('frontend.primary-steps.company_info', compact('data','currentSession'));
        
       //set_time_limit(300);      
    }

    public function company_submit(Request $request, $case_id = ""){

        try {
            $inputs = $request->all();
            unset($inputs['_token']);
            //dd($inputs);
            $validator = (new CompanyInfo)->validate($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
                //dd($validator->errors());
                return redirect()->route('company-info')
                    ->withInput()
                    ->withErrors($validator);
            }
            //dd($inputs);

            if(!empty($case_id)){

                /*$case = (new CaseService)->checkCaseExist();
                $casePrefix = Config::get('app.case_prefix');

                $service_ids = array_values($inputs);
                $services_implode = implode(",", $service_ids);
                $data = array(
                        'current_case' => array(
                                'guest_id' => $sessionID,
                                'services_ids' => $services_implode
                            )
                    );

                (new CaseService)->store();

                return redirect()->route('business-info', ['case_id' => $case_id]);*/

            }else{                

                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    //dd($inputs);
                    $currentSession["company_info"] = array_merge($currentSession,$inputs);
                    //dd($inputs);
                    \Session::put('current_case', $currentSession);
                } 

                //dd(\Session::get('current_case'));

                return redirect()->route('client-info');

            } 
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('company-info')
                ->with('error', lang('messages.server_error'));

            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function get_company_api(Request $request){

        try {
            
            $inputs = $request->all();
            unset($inputs['_token']);

            $url = "";
            if(!empty($inputs['keyword'])){
                $keywrds = $inputs['keyword'];
                // Replace spaces with hyphens
                $keywrds = str_replace(' ', '-', $keywrds);

                // Convert to uppercase
                $keywrds = strtoupper($keywrds);
                $url = "https://api.company-information.service.gov.uk/advanced-search/companies/?company_name_includes=".$keywrds."";
                $apikey = "04f7b3ac-0429-47f1-8f2a-0c78d1da8082"; 
                $curlResponse = $this->send_company_curl_request($url, $apikey);
                $curlData= [];
                if($curlResponse['status'] =="success"){
                    $curlData = json_decode($curlResponse['result']);
                    $result = '';                    
                    if(!empty($curlData->items)){
                        foreach ($curlData->items as $k => $item) {
                            //dd($item);
                            $country = "";
                            $address1 = "";
                            $address2 = "";
                            $locality = "";
                            $postal_code = "";
                            if(!empty($item->registered_office_address->country)){
                                $country = $item->registered_office_address->country;
                            }
                            if(!empty($item->registered_office_address->address_line_1)){
                                $address1 = $item->registered_office_address->address_line_1;
                            }
                            if(!empty($item->registered_office_address->address_line_2)){
                                $address2 = $item->registered_office_address->address_line_2;
                            }
                            if(!empty($item->registered_office_address->locality)){
                                $locality = $item->registered_office_address->locality;
                            }
                            if(!empty($item->registered_office_address->postal_code)){
                                $postal_code = $item->registered_office_address->postal_code;
                            }

                            $jsonData = [
                                    'company_name' => $item->company_name,
                                    'company_number' => $item->company_number,
                                    'company_status' => $item->company_status,
                                    'address1' => $address1,
                                    'address2' => $address2,
                                    'locality' => $locality,
                                    'postal_code' => $postal_code, 
                                    'country' => $country];

                            $jsonData = json_encode($jsonData);
                            //dd($jsonData);
                            $result .= '<a href="javascript:void(0)" class="list-group-item list-group-item-action company-select" aria-current="true" data-company="'. $item->company_name .'" data-number="'. $item->company_number .'" data-status="'. $item->company_status .'" data-address1="'. $address1 .'" data-address2="'. $address2 .'" data-locality="'. $locality .'" data-postal_code="'. $postal_code .'" data-country="'. $country .'" onclick="companySelect(this)" data-json="'.htmlentities($jsonData, ENT_QUOTES, 'UTF-8').'" ><p><strong>Company Name: </strong>'. $item->company_name .'</span></p><p><strong>Company Number: </strong>'. $item->company_number .'</p><p><strong>Company Status: </strong>'. $item->company_status .'</span></p><p><strong>Company Address: </strong>'. $address1.' '. $address2 .' '.$locality.' '.$postal_code.' '.$country.'</p></a>';
                            
                            
                        }

                       // dd($result);

                        return apiResponse('success', 200, 'Company found!', [], [$result]);


                    }
                    //dd($curlData->items);
                }else{                   

                    return apiResponse('error', 200, 'Company not found!', [], []);
                }
               
            }   

            return apiResponse('error', 200, 'Please try again!', [], []);       
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function get_address_api(Request $request){

        try {
            
            $inputs = $request->all();
            unset($inputs['_token']);

            $url = "";
            if(!empty($inputs['keyword'])){
                $url = "https://api.getaddress.io/find/".$inputs['keyword']."?api-key=YjvHAnF6W0eAJqZZWjDPyg34685&expand=true&sort=true";
                //$apikey = "04f7b3ac-0429-47f1-8f2a-0c78d1da8082"; 
                $curlResponse = $this->send_address_curl_request($url);

                //dd($curlResponse);
                $curlData= [];
                if($curlResponse['status'] =="success"){
                    $curlData = $curlResponse['result'];
                    $result = ''; 
                    //dd($curlData->addresses);                   
                    if(!empty($curlData->addresses)){
                        foreach ($curlData->addresses as $k => $item) {
                            
                            $address1 = "";
                            $address2 = "";
                            //$address3 = "";
                            $town_or_city = "";
                            $country = "";

                            if(!empty($item->line_1)){
                                $address1 = $item->line_1;
                            }
                            if(!empty($item->line_2)){
                                $address2 = $item->line_2;
                            }
                            /*if(!empty($item->line_3)){
                                $address3 = $item->line_3;
                            }*/
                            if(!empty($item->town_or_city)){
                                $town_or_city = $item->town_or_city;
                            }
                            if(!empty($item->county)){
                                $country = $item->county;
                            }
                            
                            $jsonData = [
                                    'address1' => $address1,
                                    'address2' => $address2,
                                    //'address3' => $address3,
                                    'town_or_city' => $town_or_city, 
                                    'country' => $country
                                ];

                            //dd($jsonData);

                            $jsonData = json_encode($jsonData);
                            //dd($jsonData);
                            $result .= '<a href="javascript:void(0)" class="list-group-item list-group-item-action company-select" aria-current="true" data-address1="'. $address1 .'" data-address2="'. $address2 .'" data-town="'. $town_or_city .'" data-country="'. $country .'"  onclick="addressSelect(this)" data-json="'.htmlentities($jsonData, ENT_QUOTES, 'UTF-8').'" ><p><strong>Address1: </strong>'. $address1.'</span></p><p><strong>Address2: </strong>'. $address2 .'</p><p><strong>Town or City: </strong>'. $town_or_city.'</p><p><strong>Country: </strong>'. $country.'</p></a>';

                            //with address 3 code commented

                            /*$result .= '<a href="javascript:void(0)" class="list-group-item list-group-item-action company-select" aria-current="true" data-address1="'. $address1 .'" data-address2="'. $address2 .'" data-address3="'. $address3 .'" data-town="'. $town_or_city .'" data-country="'. $country .'"  onclick="addressSelect(this)" data-json="'.htmlentities($jsonData, ENT_QUOTES, 'UTF-8').'" ><p><strong>Address1: </strong>'. $address1.'</span></p><p><strong>Address2: </strong>'. $address2 .'</p><p><strong>Address3: </strong>'. $address3 .'</span></p><p><strong>Town or City: </strong>'. $town_or_city.'</p><p><strong>Country: </strong>'. $country.'</p></a>';*/
                            
                            
                        }

                       // dd($result);

                        return apiResponse('success', 200, 'Address found!', [], [$result]);


                    }
                    //dd($curlData->items);
                }else{                   

                    return apiResponse('error', 200, 'Address not found!', [], []);
                }
               
            }   

            return apiResponse('error', 200, 'Please try again!', [], []);       
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function send_company_curl_request($url, $api_key){

        //dd($url);
        $response = [
                'status' => 'error',
                'message' => '',
                'result' => ''
            ];
        $acceptTypes = [ "application/json" ];
        $ch = curl_init();
        $headers = [ 'Accept:' . implode(', ', $acceptTypes) ];

        curl_setopt_array($ch, [
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_URL => $url,
            // Our API key is the username - we need username:password
            CURLOPT_USERPWD => $api_key . ":",
            CURLOPT_HTTPHEADER => $headers,
            // Make security explicit!
            CURLOPT_SSL_VERIFYPEER => true, // default true per cURL 7.1
            CURLOPT_SSL_VERIFYHOST => 2, // Should be the default e.g. secure.
        ]);

        $result = curl_exec($ch);
        if (!curl_errno($ch)) {
            $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            // If request was successful
            if ($http_code == "200") {
                $response = [
                    'status' => 'success',
                    'message' => 'Data found!!',
                    'result' => $result
                    ];
            }
            else {
                 //echo "Http code: " . $http_code;
                 $response = [
                    'status' => 'info',
                    'message' => $http_code,
                    'result' => $http_code
                    ];
            }
        }
        else {
            $error = curl_error($ch);  

            $response = [
                    'status' => 'error',
                    'message' => $error,
                    'result' => $error
                    ];  
        }

        curl_close($ch);

        return $response;
    }

    public function send_address_curl_request($url){

        //dd($url);
        $response = [
                'status' => 'error',
                'message' => '',
                'result' => ''
            ];

        $result = Http::get($url);

        if($result->status() == 200){
            $response = [
                    'status' => 'success',
                    'message' => 'Data found!!',
                    'result' => $result->object()
                    ];
        }else{
            $response = [
                    'status' => 'error',
                    'message' => $result->clientError(),
                    'result' => $result->clientError()
                    ]; 
        }
        /*dd($result->status());
        dd($result->json());*/

        return $response;
    }

    public function client_info($case_id = "")
    {
        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if(!empty($case_id) && empty($caseExist)){
            return redirect()->route('home');  
        } 

        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];

        if(\Session::has('current_case')){
            $currentSession = Session::get('current_case');
            $services_data = Session::get('current_case');
            if(!empty($services_data['services_ids'])){
                $serviceExplode = explode("," , $services_data['services_ids']);
                
                $data['services'] = (new QgService)->getDetailsByIds($serviceExplode);
                
            } 
        }

        //dd($currentSession);

        return view('frontend.primary-steps.client_info', compact('data','currentSession'));
        
       //set_time_limit(300);       
    }

    public function client_submit(Request $request, $case_id = ""){
        
        //DB::beginTransaction();

        try {
            $sessionID = sessionID(); 
            $inputs = $request->all();

            if(!empty($inputs) && array_key_exists('page', $inputs) && $inputs['page'] == 'project'){

                unset($inputs['_token']);
                
                $validator = (new ProjectInfo)->validate($inputs);
                
                if ($validator->fails()) {
                    //$validator->errors()
                    //dd($validator->errors());
                    return redirect()->route('project-info', ['tab' => $inputs['current_tab'],'case_id' => $case_id])
                        ->withInput()
                        ->withErrors($validator);
                }

                if(!empty($case_id)){                    

                    if(\Session::has('current_case')){
                        $currentSession = \Session::get('current_case');
                        //dd($currentSession);
                        $currentSession["project_data"][$inputs['current_tab']] = $inputs;
                        //$currentSession = $currentSession["business_data"] + $inputs;

                        \Session::put('current_case', $currentSession);

                    }

                    $latestSession = \Session::get('current_case');
                    //dd($latestSession);
                    /*return redirect()->route('project-scope', ['case_id' => 1]); 
                    dd($latestSession);*/

                    // Case Services                  

                    $caseID = $case_id;  

                    //First 2 Prefix - 4 Random Number - Primary ID - Last 4 Digits
                    $case_number = $case_id;                    
                    
                    //dd($latestSession);

                    $jsonRequest = [];

                    if($case_number){

                        $statusUpdate = [
                                        'status' => 0
                                    ];

                        (new ProjectScope)->updateProjectScope($statusUpdate, $case_number);

                        $submission = $this->final_submit($case_number, $latestSession, true);

                        $jsonRequest = $this->send_api_json($case_number, $latestSession);
                        //dd($jsonRequest);

                        if($submission){

                            $secretKey = 'cXdpa2dpZ2Z1bm5lbDp1NzRpXmJWJm80JCM=';
                            $sendRequestApiUrl = 'https://hook.eu2.make.com/pbluukptnn9796jj68w1hy8d9ullqx9h';

                            $sendRequestApiData = [
                                    'case_id' => $case_number,
                                    'guest_id' => $sessionID,
                                    'user_id' => authUserId(),
                                    'secret_key' => $secretKey,
                                    'url' => $sendRequestApiUrl,
                                    'api_request' => json_encode($jsonRequest),
                                    'created_at' => now()
                                ];

                            (new SendRequestAPI)->store($sendRequestApiData);
                            //dd($secretKey);

                            if(config('app.send_ai_api')){
                                //Sending Raw JSON
                                $responseApi = Http::withHeaders([
                                    'Content-Type' => 'application/json',
                                    'Authorization' => 'Bearer '.$secretKey
                                ])->post($sendRequestApiUrl, $jsonRequest);

                                // Check if the request was successful
                                if ($responseApi->successful()) {
                                    
                                    $sendRequestLogsData = [
                                        'heading' => lang('messages.request_sent'),
                                        'message' => 'The APP ID - '.$case_number.' has been sent successfully!!',
                                        'created_at' => now()
                                    ];

                                    (new SendRequestLogs)->store($sendRequestLogsData);

                                    // Process the response
                                    //$data = $responseApi->json();
                                    $caseExist = (new CaseService)->getCaseByCaseNumber($case_number);
                                    //dd($caseExist);

                                    if($caseExist){
                                        //DB::commit();
                                        //Session::flush();
                                        return redirect()->route('project-scope', ['case_id' => $caseExist]);  
                                    }else{
                                        //return redirect()->back()->with('error', lang('messages.server_error'));  

                                        $sendRequestLogsData = [
                                            'heading' => lang('messages.case_not_exist'),
                                            'message' => 'The APP ID - '.$case_number.' does not exist!!',
                                            'created_at' => now()
                                        ];

                                        (new SendRequestLogs)->store($sendRequestLogsData);
                                        throw new \Exception(lang('messages.case_not_exist'));
                                        //return redirect()->route('project-scope',['case_id' => 1]);  
                                    }
                                    
                                    // Do something with the data
                                } else {
                                    // Handle the error
                                    $error = $responseApi->body();                        
                                    $sendRequestLogsData = [
                                        'heading' => lang('messages.request_not_sent'),
                                        'message' => 'The APP ID - '.$case_number.' Error: '. $error,
                                        'created_at' => now()
                                    ];

                                    (new SendRequestLogs)->store($sendRequestLogsData);

                                    //dd($responseApi->clientError());
                                    throw new \Exception(lang('common.invalid_post_data'));
                                    //dd($error);
                                    // Do something with the error
                                }
                            }else{

                                $sendRequestLogsData = [
                                        'heading' => lang('messages.request_not_sent'),
                                        'message' => 'Send Request API disabled.',
                                        'created_at' => now()
                                    ];

                                (new SendRequestLogs)->store($sendRequestLogsData);

                                //Session::flush();
                                return redirect()->route('project-scope', ['case_id' => $case_number]);  
                            } 

                        }
                        
                        //dd($jsonRequest);               

                    }

                    throw new \Exception(lang('common.something_wrong'));
                    //dd($caseServiceResult);
                }

            }else{

                unset($inputs['_token']);
                /*echo "else";
                dd($inputs); */ 
                $inputs['contact'] = $inputs['mobile_number'];
                $inputs['mobile_number'] = '+44'.$inputs['mobile_number'];

                $validator = (new ClientInfo)->validate($inputs);
                
                if ($validator->fails()) {
                    //$validator->errors()
                   // dd($validator->errors());
                    return redirect()->route('client-info')
                        ->withInput()
                        ->withErrors($validator);
                }

                //dd($inputs);

                if(\Session::has('current_case')){
                    $currentSession = \Session::get('current_case');
                    $currentSession["client_info"] = $inputs;                    
                    \Session::put('current_case', $currentSession);
                } 

                $latestSession = \Session::get('current_case');
                //dd($latestSession);
                /*return redirect()->route('project-scope', ['case_id' => 1]); 
                dd($latestSession);*/

                // Case Services

                $case = (new CaseService)->checkCaseExist();
                $casePrefix = Config::get('app.case_prefix');
                $case_number = "";
                $caseServiceResult = 0;
                $caseID = 0;
                if(!empty($case)){
                    $caseID = $case+1;                    
                }else{
                    $caseID = 1;                    
                }   

                //APP ID
                $casePrefix = Config::get('app.case_prefix');
                //First 2 Prefix - 4 Random Number - Primary ID - Last 4 Digits
                $case_number = $casePrefix.generateUniqueId().$caseID.generateUniqueId();

                //dd($latestSession);

                $submission = $this->final_submit($case_number, $latestSession);

                $jsonRequest = $this->send_api_json($case_number, $latestSession);

                //dd($jsonRequest);

                if($submission){                    

                    $secretKey = 'cXdpa2dpZ2Z1bm5lbDp1NzRpXmJWJm80JCM=';
                    $sendRequestApiUrl = 'https://hook.eu2.make.com/pbluukptnn9796jj68w1hy8d9ullqx9h';

                    $sendRequestApiData = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID,
                            'user_id' => authUserId(),
                            'secret_key' => $secretKey,
                            'url' => $sendRequestApiUrl,
                            'api_request' => json_encode($jsonRequest),
                            'created_at' => now()
                        ];

                    (new SendRequestAPI)->store($sendRequestApiData);
                    //dd($secretKey);

                    if(config('app.send_ai_api')){
                        //Sending Raw JSON
                        $responseApi = Http::withHeaders([
                            'Content-Type' => 'application/json',
                            'Authorization' => 'Bearer '.$secretKey
                        ])->post($sendRequestApiUrl, $jsonRequest);

                        // Check if the request was successful
                        if ($responseApi->successful()) {
                            
                            $sendRequestLogsData = [
                                'heading' => lang('messages.request_sent'),
                                'message' => 'The APP ID - '.$case_number.' has been sent successfully!!',
                                'created_at' => now()
                            ];

                            (new SendRequestLogs)->store($sendRequestLogsData);

                            // Process the response
                            //$data = $responseApi->json();
                            $caseExist = (new CaseService)->getCaseByCaseNumber($case_number);
                            //dd($caseExist);

                            if($caseExist){
                                //DB::commit();
                                //Session::flush();
                                //return redirect()->route('login'); 
                                return redirect()->route('project-scope', ['case_id' => $caseExist]);  
                            }else{
                                //return redirect()->back()->with('error', lang('messages.server_error'));  

                                $sendRequestLogsData = [
                                    'heading' => lang('messages.case_not_exist'),
                                    'message' => 'The APP ID - '.$case_number.' does not exist!!',
                                    'created_at' => now()
                                ];

                                (new SendRequestLogs)->store($sendRequestLogsData);
                                
                                return redirect()->back()->with('error', lang('messages.case_not_exist'));
                                //throw new \Exception(lang('messages.case_not_exist'));
                                //return redirect()->route('project-scope',['case_id' => 1]);  
                            }
                            
                            // Do something with the data
                        } else {
                            // Handle the error
                            $error = $responseApi->body();                        
                            $sendRequestLogsData = [
                                'heading' => lang('messages.request_not_sent'),
                                'message' => 'The APP ID - '.$case_number.' Error: '. $error,
                                'created_at' => now()
                            ];

                            (new SendRequestLogs)->store($sendRequestLogsData);

                            return redirect()->back()->with('error', lang('common.invalid_post_data'));

                            //dd($responseApi->clientError());
                            //throw new \Exception(lang('common.invalid_post_data'));
                            //dd($error);
                            // Do something with the error
                        }
                    }else{

                        $sendRequestLogsData = [
                                'heading' => lang('messages.request_not_sent'),
                                'message' => 'Send Request API disabled.',
                                'created_at' => now()
                            ];

                        (new SendRequestLogs)->store($sendRequestLogsData);

                        //Session::flush();
                        //return redirect()->route('project-scope', ['case_id' => $case_number]);  
                        return redirect()->back()->with('error', lang('messages.server_error'));
                    } 
                }

                throw new \Exception(lang('common.something_wrong'));
                //dd($caseServiceResult);                

            }
                         
            
        } catch (Exception $e) {
            //dd($e->getMessage());
            //DB::rollBack();
            //dd($e->getMessage());
            $sendRequestLogsData = [
                'heading' => lang('messages.server_error'),
                'message' => $e->getMessage().' ' . $e->getLine(),
                'created_at' => now()
            ];

            (new SendRequestLogs)->store($sendRequestLogsData);

            return redirect()->back()->with('error', lang('messages.server_error'));
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function final_submit($case_number, $latestSession, $update = false){

        $sessionID = sessionID();
        //Insert
        if($update == false){
            //Services Step           
            $servicesData = [
                    'case_id' => $case_number,
                    'guest_id' => $sessionID,
                    'user_id' => authUserId(),
                    'services_ids' => $latestSession['services_ids'],
                    'created_at' => currentDate(true)
                ];

            $caseServiceResult = (new CaseService)->store($servicesData);

            if($caseServiceResult){

                //Business Service
                if(!empty($latestSession['service_desc'])){

                    $businessServiceData = [];
                    foreach($latestSession['service_desc'] as $k  => $v){

                        $existService = '';
                        if(array_key_exists('already_service',$latestSession) && !empty($latestSession['already_service'])){
                            $existService = $latestSession['already_service'][$k];
                        }

                        $businessServiceData[] = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID,
                            'user_id' => authUserId(),
                            'service_id' => $k,
                            'exist_service' => $existService,
                            'service_desc' => $v,
                            'created_at' => currentDate(true),
                        ];
                    }                            

                    (new BusinessService)->storeMultiple($businessServiceData);
                }

                //Business Info
                if(!empty($latestSession['business_info'])){

                    $businessData = [
                        'case_id' => $case_number,
                        'guest_id' => $sessionID,
                        'user_id' => authUserId(),
                        'about_business' => $latestSession['business_info'],
                        'business_challenges' => $latestSession['business_challenges'],
                        'created_at' => currentDate(true),
                    ];

                    (new BusinessInfo)->store($businessData);

                }

                //Business Keys
                if(!empty($latestSession['business_data'])){
                    $businessKeysData = [];
                    foreach($latestSession['business_data'] as $bk  => $bv){

                        foreach ($bv['business_keys'] as $bbk => $bbv) {
                            $businessKeysData[] = [
                                'case_id' => $case_number,
                                'guest_id' => $sessionID,
                                'user_id' => authUserId(),
                                'service_id' => $bv['service_id'],
                                'name' => $bbv,
                                'created_at' => currentDate(true),
                            ];
                        }                                
                        
                    }  

                    (new BusinessKey)->storeMultiple($businessKeysData);
                }

                //Business Design
                if(!empty($latestSession['business_data'])){
                    $businessDesignData = [];
                    $bussinessTemp = []; 
                    foreach($latestSession['business_data'] as $bk  => $bv){
                        $businessDesignData[$bv['service_id']] = [
                                'case_id' => $case_number,
                                'guest_id' => $sessionID, 
                                'user_id' => authUserId(),  
                                'service_id' => $bv['service_id'],
                                'business_functionality' => $bv['business_functionality'],
                                'created_at' => currentDate(true),
                            ];
                            
                        if(array_key_exists('website_envision', $bv)){
                            $businessDesignData[$bv['service_id']]['business_design'] = $bv['website_envision'];
                        }else{
                            $businessDesignData[$bv['service_id']]['business_design'] = "";
                        }

                        if(array_key_exists('expect_design', $bv)){
                            $businessDesignData[$bv['service_id']]['is_expect_design'] = $bv['expect_design'];
                        }else{
                            $businessDesignData[$bv['service_id']]['is_expect_design'] = 0;
                        }
                        
                    }                      

                    (new BusinessDesign)->storeMultiple($businessDesignData);
                } 

                //Project Design
                if(!empty($latestSession['project_data'])){
                    $projectData = [];
                    foreach($latestSession['project_data'] as $pk  => $pv){
                        $projectData[$pv['service_id']] = [
                                'case_id' => $case_number,
                                'guest_id' => $sessionID,
                                'user_id' => authUserId(),
                                'service_id' => $pv['service_id'],
                                'created_at' => currentDate(true),
                            ];
                            
                        if(array_key_exists('is_automated', $pv) && $pv['is_automated'] == 1){
                            $projectData[$pv['service_id']]['is_automated'] = $pv['is_automated'];
                            $projectData[$pv['service_id']]['automated_parts'] = $pv['automated_workflow'];
                        }else{
                            $projectData[$pv['service_id']]['is_automated'] = 0;
                            $projectData[$pv['service_id']]['automated_parts'] = "";
                        }

                        if(array_key_exists('is_api', $pv) && $pv['is_api'] == 1){
                            $projectData[$pv['service_id']]['is_api'] = $pv['is_api'];
                            $projectData[$pv['service_id']]['api_integration'] = $pv['api_integration'];
                        }else{
                            $projectData[$pv['service_id']]['is_api'] = 0;
                            $projectData[$pv['service_id']]['api_integration'] = "";
                        }

                        if(array_key_exists('is_nda', $pv) && $pv['is_nda'] == 1){
                            $projectData[$pv['service_id']]['is_nda'] = $pv['is_nda'];
                        }else{
                            $projectData[$pv['service_id']]['is_nda'] = 0;
                        }
                        
                    }  

                    //dd($projectData);                          

                    (new ProjectInfo)->storeMultiple($projectData);
                }

                //Company Information
                if(!empty($latestSession['company_info'])){
                    $companyData = [];                       
                    $companyData = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID,
                            'user_id' => authUserId(),
                            'company_number' => $latestSession['company_info']['company_number'],
                            'created_at' => currentDate(true),
                        ];
                        
                    if(array_key_exists('is_registered', $latestSession['company_info']) && $latestSession['company_info']['is_registered'] == 1){
                        $companyData['is_registered'] = $latestSession['company_info']['is_registered'];
                        $companyData['company_details'] = $latestSession['company_info']['company_data'];
                    }else{
                        $companyData['is_registered'] = 0;
                        $companyData['company_details'] = "";
                    }

                    if(array_key_exists('is_domain', $latestSession['company_info']) && $latestSession['company_info']['is_domain'] == 1){
                        $companyData['is_domain'] = $latestSession['company_info']['is_domain'];
                        $companyData['domain_name'] = $latestSession['company_info']['domain_name'];
                    }else{
                        $companyData['is_domain'] = 0;
                        $companyData['domain_name'] = "";
                    }                     

                    (new CompanyInfo)->storeMultiple($companyData);
                }

                //Client Information
                if(!empty($latestSession['client_info'])){
                    $clientData = [];
                    $dob = $latestSession['client_info']['day'].'-'.$latestSession['client_info']['month'].'-'.$latestSession['client_info']['year'];
                    $dob = dateFormat('Y-m-d',$dob);
                    $clientData = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID,
                            'user_id' => authUserId(),
                            'saluation' => $latestSession['client_info']['salutation'],
                            'first_name' => $latestSession['client_info']['first_name'],
                            'last_name' => $latestSession['client_info']['last_name'],
                            'dob' => $dob,
                            'postal_code' => str_replace(" ", "", $latestSession['client_info']['current_address']),
                            'address' => $latestSession['client_info']['client_data'],
                            'mobile_no' => $latestSession['client_info']['mobile_number'],
                            'email' => $latestSession['client_info']['email'],
                            'created_at' => currentDate(true),
                        ];
                        
                    if(array_key_exists('agree', $latestSession['client_info']) && $latestSession['client_info']['agree'] == 1){
                        $clientData['agree_communication'] = $latestSession['client_info']['agree'];                                
                    }else{
                        $clientData['agree_communication'] = 0;
                    }                                               

                    (new ClientInfo)->storeMultiple($clientData);
                } 

                $projectCaseData = [
                        'case_id' => $case_number,   
                        'company_id' => 1,                     
                        'user_id' => authUserId(),
                        'project_name' => $latestSession['client_info']['first_name'] .' '. $latestSession['client_info']['last_name'].' - '.$case_number,
                        'start_date' => date('Y-m-d'),
                        'completion_percent' => 0,
                        'public' => 0,
                        'hash' => generateHashId(),
                        'created_at' => currentDate(true),
                    ];                                       

                (new Project)->store($projectCaseData);


            } 

        }else{
            //Update case
            //dd($latestSession);
            //Business Service
            if(!empty($latestSession['service_desc'])){

                //Delete case
                (new BusinessService)->deleteByCaseID($case_number);

                $businessServiceData = [];
                foreach($latestSession['service_desc'] as $k  => $v){

                    $existService = '';
                    if(array_key_exists('already_service',$latestSession) && !empty($latestSession['already_service'])){
                        $existService = $latestSession['already_service'][$k];
                    }

                    $businessServiceData[] = [
                        'case_id' => $case_number,
                        'guest_id' => $sessionID,
                        'user_id' => authUserId(),
                        'service_id' => $k,
                        'exist_service' => $existService,
                        'service_desc' => $v,
                        'created_at' => currentDate(true),
                    ];
                }                            

                (new BusinessService)->storeMultiple($businessServiceData);
            }

            //Business Info
            if(!empty($latestSession['business_info'])){

                //Delete case
                (new BusinessInfo)->deleteByCaseID($case_number);

                $businessData = [
                    'case_id' => $case_number,
                    'guest_id' => $sessionID,
                    'user_id' => authUserId(),
                    'about_business' => $latestSession['business_info'],
                    'business_challenges' => $latestSession['business_challenges'],
                    'created_at' => currentDate(true),
                ];

                (new BusinessInfo)->store($businessData);

            }

            //Business Keys
            if(!empty($latestSession['business_data'])){

                //Delete case
                (new BusinessKey)->deleteByCaseID($case_number);

                $businessKeysData = [];
                foreach($latestSession['business_data'] as $bk  => $bv){

                    foreach ($bv['business_keys'] as $bbk => $bbv) {
                        $businessKeysData[] = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID,
                            'user_id' => authUserId(),
                            'service_id' => $bv['service_id'],
                            'name' => $bbv,
                            'created_at' => currentDate(true),
                        ];
                    }                                
                    
                }  

                (new BusinessKey)->storeMultiple($businessKeysData);
            }

            //Business Design
            if(!empty($latestSession['business_data'])){

                //Delete case
                (new BusinessDesign)->deleteByCaseID($case_number);

                $businessDesignData = [];
                $bussinessTemp = []; 
                foreach($latestSession['business_data'] as $bk  => $bv){
                    $businessDesignData[$bv['service_id']] = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID, 
                            'user_id' => authUserId(),  
                            'service_id' => $bv['service_id'],
                            'business_functionality' => $bv['business_functionality'],
                            'created_at' => currentDate(true),
                        ];
                        
                    if(array_key_exists('website_envision', $bv)){
                        $businessDesignData[$bv['service_id']]['business_design'] = $bv['website_envision'];
                    }else{
                        $businessDesignData[$bv['service_id']]['business_design'] = "";
                    }

                    if(array_key_exists('expect_design', $bv)){
                        $businessDesignData[$bv['service_id']]['is_expect_design'] = $bv['expect_design'];
                    }else{
                        $businessDesignData[$bv['service_id']]['is_expect_design'] = 0;
                    }
                    
                }                      

                (new BusinessDesign)->storeMultiple($businessDesignData);
            } 

            //Project Design
            if(!empty($latestSession['project_data'])){

                //Delete case
                (new ProjectInfo)->deleteByCaseID($case_number);

                $projectData = [];
                foreach($latestSession['project_data'] as $pk  => $pv){
                    $projectData[$pv['service_id']] = [
                            'case_id' => $case_number,
                            'guest_id' => $sessionID,
                            'user_id' => authUserId(),
                            'service_id' => $pv['service_id'],
                            'created_at' => currentDate(true),
                        ];
                        
                    if(array_key_exists('is_automated', $pv) && $pv['is_automated'] == 1){
                        $projectData[$pv['service_id']]['is_automated'] = $pv['is_automated'];
                        $projectData[$pv['service_id']]['automated_parts'] = $pv['automated_workflow'];
                    }else{
                        $projectData[$pv['service_id']]['is_automated'] = 0;
                        $projectData[$pv['service_id']]['automated_parts'] = "";
                    }

                    if(array_key_exists('is_api', $pv) && $pv['is_api'] == 1){
                        $projectData[$pv['service_id']]['is_api'] = $pv['is_api'];
                        $projectData[$pv['service_id']]['api_integration'] = $pv['api_integration'];
                    }else{
                        $projectData[$pv['service_id']]['is_api'] = 0;
                        $projectData[$pv['service_id']]['api_integration'] = "";
                    }

                    if(array_key_exists('is_nda', $pv) && $pv['is_nda'] == 1){
                        $projectData[$pv['service_id']]['is_nda'] = $pv['is_nda'];
                    }else{
                        $projectData[$pv['service_id']]['is_nda'] = 0;
                    }
                    
                }  

                //dd($projectData);                          

                (new ProjectInfo)->storeMultiple($projectData);
            }

        }        

        return true;       

    }

    public function send_api_json($case_number, $latestSession){
        //Request Types
        $jsonRequest = [
            "app_id" => $case_number                      
        ];

        $serviceKeys= array_keys($latestSession['service_desc']);
        $serviceKeysImplode = implode(",", $serviceKeys);

        $serviceData = (new QgService)->getAllByServiceIDs($serviceKeys);
        //dd($serviceData); 

        //Request Types - Common
        $company_name = "";
        if(array_key_exists('is_registered', $latestSession['company_info']) && $latestSession['company_info']['is_registered'] == 1 && !empty($latestSession['company_info']['company_data'])){
            $companyJson = json_decode($latestSession['company_info']['company_data']);
            if(!empty($companyJson->company_name)){
                $company_name = $companyJson->company_name;
            }
        }

        // Type(Common) - Field (Value)
        //Business Description
        $cleanedBussinessDesc = str_replace(array("\r", "\n", "\r\n"), '', $latestSession['business_info']);
        $cleanedBussinessDesc = str_replace('"', "'", $cleanedBussinessDesc);

        //Business Challenges
        $cleanedBussinessChallege = str_replace(array("\r", "\n", "\r\n"), '', $latestSession['business_challenges']);
        $cleanedBussinessChallege = str_replace('"', "'", $cleanedBussinessDesc);

        $jsonRequest = $jsonRequest + [
            "business_description" => $cleanedBussinessDesc,
            "business_challenges" => $cleanedBussinessChallege,
            "company_name" => $company_name
        ]; 

        //Request Types - Services Description and Query

        /* Type(Services) - Field (Value) */
        //$latestSession['service_desc']

        $businessKeyAnswers = [];
        $websiteEnvision = [];
        $businessFuntionality = [];
        if(!empty($latestSession['business_data'])){

            //dd($latestSession['business_data']);
            foreach($latestSession['business_data'] as $bks => $bkksv){

                //Business Keys
                $cleanedBussinessKeys = str_replace(array("\r", "\n", "\r\n"), '', $bkksv['business_keys']);
                $cleanedBussinessKeys = str_replace('"', "'", $cleanedBussinessKeys);

                $businessKeyAnswers[$bkksv['service_id']] = $cleanedBussinessKeys;

                if(array_key_exists('website_envision', $bkksv)){
                    //Envision
                    $cleanedEnvision = str_replace(array("\r", "\n", "\r\n"), '', $bkksv['website_envision']);
                    $cleanedEnvision = str_replace('"', "'", $cleanedEnvision);

                    $websiteEnvision[$bkksv['service_id']] = $cleanedEnvision;
                }else{
                    $websiteEnvision[$bkksv['service_id']] = '';
                }

                //Business Funtionality
                $cleanedFuntionality = str_replace(array("\r", "\n", "\r\n"), '', $bkksv['business_functionality']);
                $cleanedFuntionality = str_replace('"', "'", $cleanedFuntionality);
                
                $businessFuntionality[$bkksv['service_id']] = $cleanedFuntionality;

            }

            //dd($websiteEnvision);
        }

        //dd($websiteEnvision);

        $automatedParts = [];
        $apiIntegration = [];

        if(!empty($latestSession['project_data'])){
            foreach($latestSession['project_data'] as $pks => $pkksv){
                //dd($pkksv);

                if($pkksv['is_automated']==1 && array_key_exists('automated_workflow', $pkksv)){

                    //Automated
                    $cleanedAutomated = str_replace(array("\r", "\n", "\r\n"), '', $pkksv['automated_workflow']);
                    $cleanedAutomated = str_replace('"', "'", $cleanedAutomated);

                    $automatedParts[$pkksv['service_id']] = $cleanedAutomated;
                }else{
                    $automatedParts[$pkksv['service_id']] = '';
                }

                if($pkksv['is_api']==1 && array_key_exists('api_integration', $pkksv)){

                    //Api
                    $cleanedApi = str_replace(array("\r", "\n", "\r\n"), '', $pkksv['api_integration']);
                    $cleanedApi = str_replace('"', "'", $cleanedApi);

                    $apiIntegration[$pkksv['service_id']] = $cleanedApi;
                }else{
                    $apiIntegration[$pkksv['service_id']] = '';
                }

            }
        }

        //dd($automatedParts);
        
        //dd($latestSession);

        if(!empty($serviceData)){

            foreach ($serviceData as $sk => $sv) {

                //dd($latestSession['business_data']);

                if($latestSession['service_desc'][$sv['id']]){

                    $serviceKey = $sv['key'];

                    if(!empty($latestSession['already_service']) && $latestSession['already_service'][$sv['id']] == 1){
                        $serviceKey = $sv['alt_key'];
                    }                                

                    //dd($latestSession['business_data']);

                    //Service Description
                    $cleanedService = str_replace(array("\r", "\n", "\r\n"), '', $latestSession['service_desc'][$sv['id']]);
                    $cleanedService = str_replace('"', "'", $cleanedService);

                    $jsonRequest["services"][] = [
                        'description' => [
                            "key" => $serviceKey,
                            "text" => $cleanedService
                        ],                                    
                        'queries' => [
                            [
                                'question_id' => 'q1',
                                'question' => 'Describe what the key stages of your workflow will be',
                                'answer' => [ 
                                        'type' => 'array',
                                        'answer' => $businessKeyAnswers[$sv['id']] 
                                        
                                    ]
                            ],
                            [
                                'question_id' => 'q2',
                                'question' => 'How do you envision the layout and design?',
                                'answer' => [
                                    'type' => 'string',
                                    'answer' => $websiteEnvision[$sv['id']]
                                ]
                            ],
                            [
                                'question_id' => 'q3',
                                'question' => 'What key functionality do you need?',
                                'answer' => [
                                    'type' => 'string',
                                    'answer' => $businessFuntionality[$sv['id']]
                                ]
                            ],
                            [
                                'question_id' => 'q4',
                                'question' => 'What parts of your workflow could be automated?',
                                'answer' => [
                                    'type' => 'string',
                                    'answer' => $automatedParts[$sv['id']]
                                ]
                            ],
                            [
                                'question_id' => 'q5',
                                'question' => 'Are there any API integrations required?',
                                'answer' => [
                                    'type' => 'string',
                                    'answer' => $apiIntegration[$sv['id']]
                                ]
                            ]
                        ],
                        
                    ];

                }
                
                //dd($jsonRequest);
            }

            //dd($jsonRequest);
        }

        return $jsonRequest;
    }

    public function project_scope($case_id)
    {
        $sessionID = sessionID();  
        $currentSession = []; 
        $data = [];

        $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
        //dd($caseExist);
        if (!$caseExist) {
            return redirect()->route('funnel')
                ->with('error', lang('messages.invalid_id', string_manip(lang('case.case'))));
        }

        $projectScope = [
            'business_description' => '',
            'business_challenges' => '',
            'services' => [],            
            ];

        $caseServiceData = (new CaseService)->getServiceByCaseNumber($case_id);

        $businessService = (new BusinessService)->getExistServiceByCase($case_id);

        //$businessService = (new BusinessService)->getExistServiceByCase($case_id, 1);

        //dd($businessService);

        $services = [];
        if(!empty($caseServiceData)){
            $caseExplode = explode(",",$caseServiceData);
            
            $services = (new QgService)->getAllByServiceIDs($caseExplode);
        }


        //dd($services);

        $loader = false;

        if($caseExist){

            $data['scope'] = (new QgProjectScope)->getAllByCaseID($case_id);

            if(!empty($data['scope']) && $data['scope']->isNotEmpty()){
                //isEmpty
                //isNotEmpty

                $loader = true;                

                foreach ($data['scope'] as $spK => $spV) {

                    //dd($spV);
                    
                    if(!empty($spV->business_scope) && isSerialized($spV->business_scope)){

                        $scopeData = (array) unserialize($spV['business_scope']); 
                        
                    if(!empty($scopeData['bd_expanded']) && array_key_exists('bd_expanded', $scopeData) ){
                            $projectScope['business_description'] = filterSpecialContent($scopeData['bd_expanded']);
                        }
                        

                        if(!empty($scopeData['bc_expanded']) && array_key_exists('bc_expanded', $scopeData) ){
                            $projectScope['business_challenges'] = filterSpecialContent($scopeData['bc_expanded']);

                            //dd(filterSpecialContent($scopeData['bc_expanded']));
                        } 

                        if(!empty($scopeData['description_expanded']) && array_key_exists('description_expanded', $scopeData) ){

                            $projectScope['services'][$scopeData['key']]['description'] = filterSpecialContent($scopeData['description_expanded']);
                        }

                        if(!empty($scopeData['question_id']) && array_key_exists('question_id', $scopeData) && !empty($scopeData['response']) && array_key_exists('response', $scopeData) ){

                            $projectScope['services'][$scopeData['key']][$scopeData['question_id']] = filterSpecialContent($scopeData['response']);
                        }

                        /*echo "<pre>";
                        print_r($scopeData);
                        echo "</pre>";*/
                        
                    }                    
                    
                }

                //dd($projectScope);

            }

            //dd($caseExist);

        }

        //dd($services);
        //dd($projectScope);
        
        return view('frontend.primary-steps.project_scope', compact('data','projectScope','services','caseExist', 'loader', 'case_id','businessService')); 
    }

    public function delete_business_stage(Request $request){

        try {

            if(!$request->ajax()){

                return apiResponse('error', 401, 'Something went wrong!', [], []);
            }
            
            $inputs = $request->all();
            unset($inputs['_token']);
            $currentSession = [];

            $id = $inputs['id'];
            unset($inputs['id']);

            $tab = $inputs['tab'];
            unset($inputs['tab']);

            //dd(\Session::get('current_case'));

            if(\Session::has('current_case') && !empty($id) && !empty($tab)){
                $currentSession = \Session::get('current_case');
                //dd(array_keys($currentSession['business_data']));
                //dd(in_array($id, array_keys($currentSession['business_data'][$tab]['business_keys'])));
                // dd(in_array($id, array_keys($currentSession['business_data'][$tab]['business_keys'])));
                if(!empty($currentSession['business_data']) && in_array($tab, array_keys($currentSession['business_data'])) && !empty($currentSession['business_data'][$tab]) && in_array('business_keys', array_keys($currentSession['business_data'][$tab])) && in_array($id, array_keys($currentSession['business_data'][$tab]['business_keys'])) ){

                    //dd(\Session::get('current_case.business_data.'.$tab.'.business_keys.'.$id));

                    \Session::forget('current_case.business_data.'.$tab.'.business_keys.'.$id);
                    /*dd(\Session::get('current_case.business_data.'.$tab.'.business_keys'));*/

                    return apiResponse('success', 200, 'Item Deleted!', [], []);

                }else{
                    return apiResponse('error', 200, 'Item not found!', [], []);
                }         
            }else{
                return apiResponse('error', 200, 'Data mismatched!', [], []);  
            }              

            return apiResponse('error', 200, 'Please try again!', [], []);       
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function project_scope_return(Request $request){

        try {

            /*if(!$request->ajax()){
                return apiResponse('error', 401, 'Something went wrong!', [], []);
            }*/

            dd($request->all());
            $inputs = $request->all();
            unset($inputs['_token']);
            $currentSession = [];

            $id = $inputs['id'];
            unset($inputs['id']);

            $tab = $inputs['tab'];
            unset($inputs['tab']);

            //dd(\Session::get('current_case'));

            if(\Session::has('current_case') && !empty($id) && !empty($tab)){
                $currentSession = \Session::get('current_case');
                //dd(array_keys($currentSession['business_data']));
                //dd(in_array($id, array_keys($currentSession['business_data'][$tab]['business_keys'])));
                // dd(in_array($id, array_keys($currentSession['business_data'][$tab]['business_keys'])));
                if(!empty($currentSession['business_data']) && in_array($tab, array_keys($currentSession['business_data'])) && !empty($currentSession['business_data'][$tab]) && in_array('business_keys', array_keys($currentSession['business_data'][$tab])) && in_array($id, array_keys($currentSession['business_data'][$tab]['business_keys'])) ){

                    //dd(\Session::get('current_case.business_data.'.$tab.'.business_keys.'.$id));

                    \Session::forget('current_case.business_data.'.$tab.'.business_keys.'.$id);
                    /*dd(\Session::get('current_case.business_data.'.$tab.'.business_keys'));*/

                    return apiResponse('success', 200, 'Item Deleted!', [], []);

                }else{
                    return apiResponse('error', 200, 'Item not found!', [], []);
                }         
            }else{
                return apiResponse('error', 200, 'Data mismatched!', [], []);  
            }              

            return apiResponse('error', 200, 'Please try again!', [], []);       
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }


    public function check_case($case_id){

        try {   

            $caseExist = (new CaseService)->getCaseByCaseNumber($case_id);
           
            if (empty($caseExist)) {
                abort(404);            
            }           

            $projectScope = [
                'business_description' => '',
                'business_challenges' => '',
                'services' => [],            
                ];            

            $caseServiceData = (new CaseService)->getServiceByCaseNumber($case_id);

            $businessService = (new BusinessService)->getExistServiceByCase($case_id);            

            //$businessService = (new BusinessService)->getExistServiceByCase($case_id, 1);

            //dd($businessService);

            $services = [];
            $caseExplode = [];
            if(!empty($caseServiceData)){
                $caseExplode = explode(",",$caseServiceData);                
                $services = (new QgService)->getAllByServiceIDs($caseExplode);
            }            

            //dd($services);

            $loader = false;

            if($caseExist){

                $data['scope'] = (new QgProjectScope)->getAllByCaseID($case_id);

                if(!empty($data['scope']) && $data['scope']->isNotEmpty()){
                    //isEmpty
                    //isNotEmpty

                    $loader = true;                

                    foreach ($data['scope'] as $spK => $spV) {

                        
                        
                        if(!empty($spV->business_scope) && isSerialized($spV->business_scope)){

                            $scopeData = (array) unserialize($spV['business_scope']); 
                            
                            if(!empty($scopeData['bd_expanded']) && array_key_exists('bd_expanded', $scopeData) ){
                                //$projectScope['business_description'] = nl2br($scopeData['bd_expanded']);
                                $projectScope['business_description'] = filterSpecialContent($scopeData['bd_expanded']);

                            }
                            

                            if(!empty($scopeData['bc_expanded']) && array_key_exists('bc_expanded', $scopeData) ){
                                //$projectScope['business_challenges'] = nl2br($scopeData['bc_expanded']);
                                //dd($projectScope['business_challenges']);
                                $projectScope['business_challenges'] = filterSpecialContent($scopeData['bc_expanded']);
                                //dd($projectScope['business_challenges']);
                            } 

                            if(!empty($scopeData['description_expanded']) && array_key_exists('description_expanded', $scopeData) ){

                                //$projectScope['services'][$scopeData['key']]['description'] = $scopeData['description_expanded'];

                                $projectScope['services'][$scopeData['key']]['description'] = filterSpecialContent($scopeData['description_expanded']);
                            }

                            if(!empty($scopeData['question_id']) && array_key_exists('question_id', $scopeData) && !empty($scopeData['response']) && array_key_exists('response', $scopeData) ){

                                //$projectScope['services'][$scopeData['key']][$scopeData['question_id']] = $scopeData['response'];

                                $projectScope['services'][$scopeData['key']][$scopeData['question_id']] = filterSpecialContent($scopeData['response']);
                            }

                            /*echo "<pre>";
                            print_r($scopeData);
                            echo "</pre>";*/
                            
                        }                    
                        
                    }

                    //dd($projectScope);

                }

                //dd($caseExist);

            }                    
            
            return apiResponse('success', 200, 'Case Found!', [], $projectScope);
            
            //return apiResponse('error', 200, 'Please try again!', [], []);       
            
            
        } catch (Exception $e) {
            //dd($e.getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }
}
