<?php

namespace App\Http\Controllers\frontend;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\QgService;
use App\Models\CaseService;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\Session;
use App\Models\BusinessInfo;
use App\Models\ProjectInfo;
use App\Models\CompanyInfo;
use App\Models\ClientInfo;
use Illuminate\Support\Facades\Http;
use App\Models\BusinessService;
use App\Models\BusinessKey;
use App\Models\BusinessDesign;
use App\Models\QgProjectScope;
Use Exception;
use App\Models\SendShortRequestAPI;
use App\Models\SendShortRequestLogs;
use App\Models\ProjectOverview;
use App\Models\Project;
use App\Models\ShortFunnel;
use Illuminate\Support\Facades\Storage;
use App\Models\User;
use App\Models\Discussion;
use App\Models\BasicInfo;

class MainFunnelController extends Controller
{
    public function index()
    {

        // Finally, destroy the session.
        //Session::flush();
        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentLeadSession = []; 
        $data = [];
        $user_id = '';
        $flow_id = "";       

        //dd($flow_id);
        
        if(\Session::has('current_lead')){
            $currentLeadSession = \Session::get('current_lead');
            $flow_id = \Session::get('current_lead.flow_id');
            //dd(\Session::get('current_case'));    
        }else{

            //First 2 Prefix - 4 Random Number - Primary ID - Last 4 Digits
            //$flow_id = mt_rand(1000, 9999) . time();

            $shortFunnel = (new ShortFunnel)->checkFlowExist();
            
            $shortFunnelID = 0;
            if(!empty($shortFunnel)){
                $shortFunnelID = $shortFunnel+1;                    
            }else{
                $shortFunnelID = 1;                    
            }

            //APP ID
            $shortFunnelPrefix = Config::get('app.case_prefix');
            //First 2 Prefix - 4 Random Number - Primary ID - Last 4 Digits
            
            $flow_id = $shortFunnelPrefix.generateUniqueId().$shortFunnelID.generateUniqueId();

            (new ShortFunnel)->store(['flow_id' => $flow_id, 'guest_id' => $sessionID, 'user_id' => authUserId()]);

            $currentLeadSession = array(
                'current_lead' => array(
                        'guest_id' => $sessionID,
                        'flow_id' => $flow_id,
                        'user_id' => authUserId()        
                )
            );

            //session($data);
            \Session::put($currentLeadSession);
        }        

        //dd($currentLeadSession);    

        //Session::flush();
        //set_time_limit(300);
       // $data['services'] = (new QgService)->getAll();

        return view('frontend.main-funnel.services', compact('data', 'currentLeadSession','flow_id'));       

    }

    public function store(Request $request){

        try {
            if ($request->isMethod('post')) {

                $inputs = $request->all();
                unset($inputs['_token']);  

                $flow_id ="";
                $currentLeadSession = [];
                if(\Session::has('current_lead')){
                    $currentLeadSession = \Session::get('current_lead');
                    $flow_id = \Session::get('current_lead.flow_id');
                    //dd(\Session::get('current_case'));    
                }

                if(array_key_exists('flow_id', $inputs) && !empty($inputs['flow_id']) &&  $flow_id != $inputs['flow_id']){
                    return redirect()->route('home');
                }

                $validator = (new ShortFunnel)->validateStartProject($inputs);
                
                if ($validator->fails()) {
                    //$validator->errors()
                   //dd($validator->errors());
                    return redirect()->route('main-funnel')
                        ->withInput()
                        ->withErrors($validator);
                }              

                $term = $inputs['term'];
                unset($inputs['term']);  

                $email = "";
                if(array_key_exists('email', $inputs)){
                    $email = $inputs['email'];
                    unset($inputs['email']); 
                }
                
                $password = "";
                if(array_key_exists('password', $inputs)){
                    $password = $inputs['password'];
                    unset($inputs['password']); 
                }                   

                if(!empty($term)){

                    $login = false;
                    if(!empty($email) && !empty($password)){

                        $loginData = [
                                    'email' => $email,
                                    'password' => $password
                                    ];

                        $validatorLogin = (new User)->validateLogin($loginData);
                
                        if ($validatorLogin->fails()) {
                            //$validator->errors()
                           //dd($validatorLogin->errors());
                            return redirect()->route('main-funnel')
                                ->withInput()
                                ->withErrors($validatorLogin);
                        }else{

                            $loginData = $loginData + ['status' => 'active'];
                            
                            if (\Auth::attempt($loginData)){
                                $login = true;
                            }

                        }

                        //dd($email.$password);
                    }

                    if(!empty($currentLeadSession)){
                        if($login){                            
                            $loginUpate = ['user_id' => authUserId()];
                            (new ShortFunnel)->updateByFlowID($loginUpate, $flow_id);  
                            \Session::put('current_lead.user_id', authUserId());                         
                        
                        }

                        $termUpdate = ['term' => $term];
                        (new ShortFunnel)->updateByFlowID($termUpdate, $flow_id);

                        \Session::put('current_lead.term', $term);

                        return redirect()->route('get-started-with-ai');

                    } 

                    //session($data);

                    //\Session::put($data);
                    //$value = Session::get('key');
                    //Session::flash('key', 'value');
                    //Session::forget('key');
                    //Session::flush();
                    //Session::has('key')                      

                }            
                else{
                    \Session::put('current_lead.term', '');
                    return redirect()->route('main-funnel')
                    ->with('error', lang('messages.invalid_post_data'));
                }

            }else{
                return redirect()->route('home');
            }                        
            
           // dd($inputs);
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('main-funnel')
                ->with('error', lang('messages.server_error'));           
        }
        
    }

    public function getStartedWithAI()
    {

        // Finally, destroy the session.
        //Session::flush();
        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentLeadSession = []; 
        $data = [];
        $user_id = '';
        $flow_id = '';

        //dd(\Session::get('current_lead'));

       
        if(\Session::has('current_lead')){
            $currentLeadSession = \Session::get('current_lead');
            $flow_id = \Session::get('current_lead.flow_id');
            //dd(\Session::get('current_case'));    
        }else{
            return redirect()->route('home');
        }        

        //Session::flush();
        //set_time_limit(300);
        //$data['services'] = (new QgService)->getAll();

        return view('frontend.main-funnel.started_with_ai', compact('data', 'currentLeadSession', 'flow_id'));       

    }

    public function submitAi(Request $request, $case_id = ""){

        try {

            if ($request->isMethod('post')) {

                $inputs = $request->all();
                unset($inputs['_token']);

                $flow_id ="";
                $currentLeadSession = [];
                if(\Session::has('current_lead')){
                    $currentLeadSession = \Session::get('current_lead');
                    $flow_id = \Session::get('current_lead.flow_id');
                    //dd(\Session::get('current_case'));    
                }

                if(array_key_exists('flow_id', $inputs) && !empty($inputs['flow_id']) &&  $flow_id != $inputs['flow_id']){
                    return redirect()->route('home');
                }
               
                $validator = (new ShortFunnel)->validateAi($inputs);
                
                if ($validator->fails()) {
                    //$validator->errors()
                    //dd($validator->errors());
                    return redirect()->route('get-started-with-ai')
                        ->withInput()
                        ->withErrors($validator);
                }           

                $with_ai = $inputs['with_ai'];
                unset($inputs['with_ai']);
               
                if(!empty($with_ai)){                    

                    if(!empty($currentLeadSession)){
                        $aiUpate = ['is_ai' => $with_ai];
                        (new ShortFunnel)->updateByFlowID($aiUpate, $flow_id);
                        \Session::put('current_lead.is_ai', $with_ai);
                    } 

                    return redirect()->route('tell-your-ideas');      

                    //session($data);

                    //\Session::put($data);
                    //$value = Session::get('key');
                    //Session::flash('key', 'value');
                    //Session::forget('key');
                    //Session::flush();
                    //Session::has('key')                     

                }            
                else{
                    \Session::put('current_lead.is_ai', '');
                    return redirect()->route('get-started-with-ai')
                    ->with('error', lang('messages.invalid_post_data'));
                } 


            }else{
                return redirect()->route('home');
            }  
                       
            
           // dd($inputs);
        } catch (Exception $e) {
            //dd($e.getMessage());
            return redirect()->route('get-started-with-ai')
                ->with('error', lang('messages.server_error'));           
        }
        
    }

    public function tellYourIdeas($case_id = "")
    {

        // Finally, destroy the session.
        //Session::flush();
        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentLeadSession = []; 
        $data = [];
        $user_id = '';
        $flow_id = '';

        //dd(\Session::get('current_lead'));

       
        if(\Session::has('current_lead')){
            $currentLeadSession = \Session::get('current_lead');
            $flow_id = \Session::get('current_lead.flow_id');
            //dd(\Session::get('current_case'));    
        }else{
            return redirect()->route('home');
        }

        //dd($currentLeadSession);    

        //Session::flush();
        //set_time_limit(300);
        //$data['services'] = (new QgService)->getAll();

        return view('frontend.main-funnel.tell_your_ideas', compact('data', 'currentLeadSession', 'flow_id'));       

    }

    public function submitIdea(Request $request, $case_id = ""){

        try {
            if ($request->isMethod('post')) {

                $sessionID = sessionID(); 
            
                $inputs = $request->all();
                unset($inputs['_token']);

                $flow_id ="";
                $currentLeadSession = [];
                if(\Session::has('current_lead')){
                    $currentLeadSession = \Session::get('current_lead');
                    $flow_id = \Session::get('current_lead.flow_id');
                    //dd(\Session::get('current_case'));    
                }

                if(array_key_exists('flow_id', $inputs) && !empty($inputs['flow_id']) &&  $flow_id != $inputs['flow_id']){
                    return redirect()->route('home');
                }                

                $validator = (new ShortFunnel)->validateIdea($inputs);
                
                if ($validator->fails()) {
                    //$validator->errors()
                    return redirect()->route('tell-your-ideas')
                        ->withInput()
                        ->withErrors($validator);
                }

                $your_idea = $inputs['your_idea'];
                unset($inputs['your_idea']);


                
                /*return redirect()->route('city.create')
                    ->withInput($inputs)
                    ->withErrors($validator);*/

                /* return lang('messages.server_error');*/                           
                if(!empty($your_idea)){                    

                    if(!empty($currentLeadSession)){        
                        $ideaUpdate = ['summarise' => $your_idea];
                        (new ShortFunnel)->updateByFlowID($ideaUpdate, $flow_id);

                        \Session::put('current_lead.your_idea', $your_idea);
                        $currentLeadSession = \Session::get('current_lead'); 

                        $jsonRequest = $this->send_api_json($flow_id, $currentLeadSession);  

                        //Send api request
                        //$secretKey = 'KJzKYZiFcbyn4Za1oenME5TY2fKPr3d/GA5k';
                        $secretKey = config('app.send_ai_short_api_secret_key');
                        //$sendRequestApiShortUrl = 'https://hook.eu2.make.com/yodzhcu91t9t5mlget7mhp5x2a3dqq4s';
                        $sendRequestApiShortUrl = config('app.send_ai_short_api_url');

                        if(config('app.send_ai_short_api')){

                            $sendRequestApiData = [
                                'flow_id' => $flow_id,
                                'guest_id' => $sessionID,
                                'user_id' => authUserId(),
                                'secret_key' => $secretKey,
                                'url' => $sendRequestApiShortUrl,
                                'api_request' => json_encode($jsonRequest),
                                'created_at' => now()
                            ]; 

                            (new SendShortRequestAPI)->store($sendRequestApiData);

                            //dd($sendRequestApiData);
                            //dd($secretKey);
                            $responseApi = [];

                            //Sending Raw JSON
                            $responseApi = Http::withHeaders([
                                'Content-Type' => 'application/json',
                                'Authorization' => 'Bearer '.$secretKey
                            ])->post($sendRequestApiShortUrl, $jsonRequest);

                            // Check if the request was successful
                            if ($responseApi->successful()) {
                            //if($responseApi || true) {

                                $sendRequestLogsData = [
                                    'heading' => lang('messages.request_sent'),
                                    'message' => 'The APP ID - '.$flow_id.' has been sent successfully!!',
                                    'created_at' => now()
                                ];

                                (new SendShortRequestLogs)->store($sendRequestLogsData);

                                return redirect()->route('project-overview');  

                            }else{

                                // Handle the error
                                $error = "";
                                $error = $responseApi->body();                        
                                $sendRequestLogsData = [
                                    'heading' => lang('messages.request_not_sent'),
                                    'message' => 'The APP ID - '.$flow_id.' Error: '. $error,
                                    'created_at' => now()
                                ];

                                (new SendShortRequestLogs)->store($sendRequestLogsData);

                                //dd($responseApi->clientError());
                                throw new \Exception(lang('common.invalid_post_data'));

                            }
                        }else{
                            return redirect()->route('tell-your-ideas')->with('error', lang('messages.send_ai_short_request_disabled'));
                        }
                    }else{
                        return redirect()->route('home');   
                    }  

                    //session($data);

                    //\Session::put($data);
                    //$value = Session::get('key');
                    //Session::flash('key', 'value');
                    //Session::forget('key');
                    //Session::flush();
                    //Session::has('key') 

                }            
                else{
                    \Session::put('current_lead.your_idea', '');
                    return redirect()->route('tell-your-ideas')
                    ->with('error', lang('messages.invalid_post_data'));
                } 

            }else{
                return redirect()->route('home');
            }                       
            
           // dd($inputs);
        } catch (Exception $e) {
            //dd($e->getMessage());
            return redirect()->route('tell-your-ideas')
                ->with('error', lang('messages.server_error'));           
        }
        
    }

    public function send_api_json($uid, $latestLeadSession){

        $term = '';
        if(!empty($latestLeadSession) && $latestLeadSession['term'] == 1){
            $term = 'long';
        }else{
            $term = 'short';
        }

        $your_idea = "";
        if(!empty($latestLeadSession) && $latestLeadSession['your_idea'] != ""){
            $your_idea = $latestLeadSession['your_idea'];
        }

        //Request Types
        $jsonRequest = [
            "uid" => $uid,   
            "term" => $term,
            "req" => 1,
            "summary" => $your_idea                  
        ];
        
        return $jsonRequest;
    }

    public function projectOverview()
    {
        // Finally, destroy the session.
        //Session::flush();
        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentLeadSession = []; 
        $data = [];
        $user_id = '';
        $flow_id = '';
        $projectOverview = [];
        $loader = false;
       
        //return redirect()->route('home'); 
        if(\Session::has('current_lead')){                
            //dd(\Session::get('current_case'));   
            $currentLeadSession = \Session::get('current_lead');
            $flow_id = \Session::get('current_lead.flow_id');

            $projectOverview = (new ProjectOverview)->getProjectOverviewById($flow_id);

            $projectQuestions = (new ShortFunnel)->getAllQuestionsByFlowId($flow_id);

            //dd($projectQuestions->isEmpty());
            //dd($projectOverview);
            if(!empty($projectOverview)){
                $loader = true;
                
                /*$currentLeadSession["project_overview"] = [
                            'flow_id' => $projectOverview->flow_id,
                            'title' => $projectOverview->title,
                            'ai_overview' => $projectOverview->ai_overview,
                            'category' => $projectOverview->category,
                            'skills' => $projectOverview->skills,
                        ];  */

                //dd($currentLeadSession);                  
                /*\Session::put('current_case', $currentSession);*/
            }
            
            //dd($projectOverview);
        }else{
            return redirect()->route('home');
        }

        //dd($currentLeadSession);    

        //Session::flush();
        //set_time_limit(300);
        //$data['services'] = (new QgService)->getAll();
        //var_dump($loader);
        return view('frontend.main-funnel.project_overview', compact('data', 'currentLeadSession','projectOverview', 'loader', 'flow_id','projectQuestions'));       

    }

    public function checkProjectOverview($flow_id){

        try {   

            $projectOverview = (new ProjectOverview)->getProjectOverviewById($flow_id);
           
            if (empty($projectOverview)) {
                return apiResponse('error', 200, 'Not found!', [], []);         
            }   

            $loader = false;

            if($projectOverview){
                $loader = true;
                return apiResponse('success', 200, 'Case Found!', [], [$projectOverview]);
            } else{
                return apiResponse('error', 200, 'Please try again!', [], []);
            }      
            
            
        } catch (Exception $e) {
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function updateProjectOverview(Request $request){

        try {

            if(!$request->ajax()){
                return apiResponse('error', 401, 'Something went wrong!', [], []);
            }
            
            $inputs = $request->all();
            unset($inputs['_token']);            

            $id = $inputs['id'];
            unset($inputs['id']);

            if(!empty($id)){
                $projectOverview = ProjectOverview::find($id);
                if(empty($projectOverview)){
                    return apiResponse('error', 401, 'Data not found!', [], []);
                }                
            }
           
            $validator = (new ProjectOverview)->validate($inputs);
            if ($validator->fails()) {
                //$validator->errors()
                return validationResponse('error', 200, 'Validation Error', $validator->errors());                 
            }

            $type = $inputs['type'];
            unset($inputs['type']);
            
            if(empty($type)){
                return apiResponse('error', 401, 'Something went wrong!', [], []);                                
            }

            $input = $inputs['input'];
            unset($inputs['input']);

            if(empty($input)){
                return apiResponse('error', 401, 'Something went wrong!', [], []);                                
            }

            $flow_id ="";
            $currentLeadSession = [];
            if(\Session::has('current_lead')){
                $currentLeadSession = \Session::get('current_lead');
                $flow_id = \Session::get('current_lead.flow_id');
                //dd(\Session::get('current_case'));    
            }

            if(array_key_exists('flow_id', $inputs) && !empty($inputs['flow_id']) &&  $flow_id != $inputs['flow_id']){
                return apiResponse('error', 200, 'Something went wrong!', [], []);
            } 

            if(\Session::has('current_lead') && !empty($id) && !empty($type) && !empty($input)){

                $currentLeadSession = \Session::get('current_case');

                $data = [];
                if($type == "title"){
                    $data = ['title' => $input];
                }else if($type == "ai_overview"){
                    $data = ['ai_overview' => $input];
                }else if($type == "category"){
                    $data = ['category' => $input];
                }

                (new ProjectOverview)->store($data, $id);

                return apiResponse('success', 200, 'Item updated.', [], $data);
                         
            }else{
                return apiResponse('error', 200, 'Data mismatched!', [], []);  
            }              

            return apiResponse('error', 200, 'Please try again!', [], []);       
            
            
        } catch (Exception $e) {
            //dd($e->getMessage());
            return apiResponse('error', 401, 'Something went wrong!', [], []);
            
            /*return redirect()->route('test.index')
                ->with('success', lang('messages.created', lang('test.test')));
                return redirect()->route('test.create')
                ->with('error', lang('messages.server_error'));
            */

        }
        
    }

    public function submitOverview(Request $request){

        try {
            $inputs = $request->all();
            unset($inputs['_token']);
            $overview ="test";
            
            $flow_id ="";
            $currentLeadSession = [];
            if(\Session::has('current_lead')){
                $currentLeadSession = \Session::get('current_lead');
                $flow_id = \Session::get('current_lead.flow_id');
                //dd(\Session::get('current_case'));    
            }

            if(array_key_exists('flow_id', $inputs) && !empty($inputs['flow_id']) &&  $flow_id != $inputs['flow_id']){
                return redirect()->route('home');
            }

            $inputs = array_filter($inputs['questions']);
            $questions = $inputs;
            unset($inputs['questions']);

            //dd($questions);

            $validator = (new Discussion)->validateQuestions($questions);
            
            if ($validator->fails()) {
                //dd($validator->errors());
                return redirect()->route('project-overview')
                    ->withInput()
                    ->withErrors($validator);
            }

            $existQuestions = (new Discussion)->where('case_id', $flow_id)->get();
            if($existQuestions->isNotEmpty() && !empty($questions)){
                (new Discussion)->where('case_id', $flow_id)->delete();
            }

            foreach($questions as $k => $v){
                $question = [
                        'company_id' => 1,
                        'discussion_category_id' => 1,
                        'case_id' => $flow_id,
                        'title' => $v
                        ];

                (new Discussion)->store($question);
            }            

            return redirect()->route('basic-information');
            
           // dd($inputs);
        } catch (Exception $e) {
            //dd($e->getMessage());
            return redirect()->route('project-overview')
                ->with('error', lang('messages.server_error'));           
        }
        
    }

    public function basicInfo($case_id = "")
    {
        // Finally, destroy the session.
        //Session::flush();
        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentLeadSession = []; 
        $data = [];
        $user_id = '';
        $flow_id = '';

        //dd(\Session::get('current_lead'));

       
        if(\Session::has('current_lead')){
            $currentLeadSession = \Session::get('current_lead');
            $flow_id = \Session::get('current_lead.flow_id');
            //dd(\Session::get('current_case'));    
        }else{
            return redirect()->route('home');
        }

        //dd($currentLeadSession);    

        //Session::flush();
        //set_time_limit(300);
        
        return view('frontend.main-funnel.basic_info', compact('data', 'currentLeadSession','flow_id'));       

    }

    public function submitInfo(Request $request, $case_id = ""){

        try {
            $inputs = $request->all();
            unset($inputs['_token']);
            $sessionID = sessionID();

            $flow_id ="";
            $currentLeadSession = [];
            if(\Session::has('current_lead')){
                $currentLeadSession = \Session::get('current_lead');
                $flow_id = \Session::get('current_lead.flow_id');
                //dd(\Session::get('current_case'));    
            }

            if(array_key_exists('flow_id', $inputs) && !empty($inputs['flow_id']) &&  $flow_id != $inputs['flow_id']){
                return redirect()->route('home');
            }


            /*echo "else";
            dd($inputs); */ 
            $inputs['contact'] = $inputs['mobile_number'];
            $inputs['mobile_number'] = '+44'.$inputs['mobile_number'];

            $validator = (new BasicInfo)->validate($inputs);
            
            if ($validator->fails()) {
                //$validator->errors()
               // dd($validator->errors());
                return redirect()->route('basic-information')
                    ->withInput()
                    ->withErrors($validator);
            }

            $dob = $inputs['day'].'-'.$inputs['month'].'-'.$inputs['year'];

            $dob = dateFormat('Y-m-d',$dob);

            $basicData = [
                    'flow_id' => $flow_id,
                    'guest_id' => $sessionID,
                    'user_id' => authUserId(),
                    'saluation' => $inputs['salutation'],
                    'first_name' => $inputs['first_name'],
                    'last_name' => $inputs['last_name'],
                    'dob' => $dob,
                    'postal_code' => str_replace(" ", "", $inputs['current_address']),
                    'address' => $inputs['client_data'],
                    'mobile_no' => $inputs['mobile_number'],
                    'email' => $inputs['email'],
                    'created_at' => currentDate(true),
                ];
                
            if(array_key_exists('agree', $inputs) && $inputs['agree'] == 1){
                $basicData['agree_communication'] = $inputs['agree'];                                
            }else{
                $basicData['agree_communication'] = 0;
            } 

            if(array_key_exists('is_nda', $inputs) && $inputs['is_nda'] == 1){
                $basicData['is_nda'] = $inputs['is_nda'];                                
            }else{
                $basicData['is_nda'] = 0;
            } 

            //dd($basicData);

            (new BasicInfo)->store($basicData);

            if($inputs['is_nda'] == 1){
                Session::forget('current_lead');
                return redirect()->route('nda-agreement', ['flow_id' => $flow_id]);
            }else{
                Session::forget('current_lead');
                return redirect()->route('account-setup', ['flow_id' => $flow_id]);
            }
            
           // dd($inputs);
        } catch (Exception $e) {
            //dd($e->getMessage());
            return redirect()->route('basic-information')
                ->with('error', lang('messages.server_error'));           
        }
        
    }

    public function ndaAgreement($flow_id)
    {   
        // Finally, destroy the session.
        //Session::flush();
        //Session::forget('current_case');
        //dd(sessionID());
        //dd(\Session::get('current_case'));
        $sessionID = sessionID();  
        $currentLeadSession = []; 
        $data = [];
        $user_id = '';

        if(!empty($flow_id)){
            $shortFunnel = (new ShortFunnel)->getCheckFlowByID($flow_id);
            if(empty($shortFunnel)){
                return redirect()->route('home');
            }
            
        }else{
            abort(404);
        }

        //dd($currentLeadSession);    

        //Session::flush();
        //set_time_limit(300);        

        return view('frontend.main-funnel.nda_agreement', compact('data', 'currentLeadSession', 'flow_id'));       

    }

    public function submitNda(Request $request, $flow_id){

        try {
            $inputs = $request->all();
            unset($inputs['_token']);  



            if(!empty($flow_id)){
                $shortFunnel = (new ShortFunnel)->getCheckFlowByID($flow_id);

                if(empty($shortFunnel)){
                    return redirect()->route('home');
                }
                
            }else{
                abort(404);
            }          
            
            if(array_key_exists('signature', $inputs) && !empty($inputs['signature'])){

                $signatureBase64Image = $inputs['signature'];
                unset($inputs['signature']);
               
                preg_match("/data:image\/(.*?);base64,/", $signatureBase64Image, $imageExtension);
                // Remove the 'data:image/png;base64,' part from the image data
                $imageData = preg_replace("/^data:image\/(.*);base64,/", '', $signatureBase64Image);
                $imageData = str_replace(' ', '+', $imageData); 
                // Fix base64 spaces issue

                // Decode the base64 data
                $imageDecoded = base64_decode($imageData);
                if(!empty($imageExtension) && !empty($imageExtension[1])){

                    // Generate a unique filename with extension
                    $filename = time() . '_SIGNATURE.'.$imageExtension[1];
                    // Define the storage path (inside the 'storage/app/public' folder)
                    $filePath = 'public/signatures/' . $filename;
                    
                    // Store the image in the specified folder
                    $checkStore = Storage::put($filePath, $imageDecoded);

                    if($checkStore){
                        
                        if(Storage::disk('signature')->exists($filename)){
                            // Get the file contents
                            $fileContents = Storage::disk('signature')->get($filename);                            
                            
                            // Upload the image to S3
                            $awspath =  Storage::disk('s3')->put('signatures/' . $filename, $fileContents, 'public');
                                //echo Storage::disk('s3')->url('signatures/' . $filename);
                                //echo Storage::disk('s3')->url('signatures/' . $filename);

                            Storage::disk('signature')->delete($filename);

                            $signatureUpdate = ['signature' => $filename];

                            $shortFunnel = (new ShortFunnel)->getCheckFlowByID($flow_id);

                            if($shortFunnel){
                                (new ShortFunnel)->updateByFlowID($signatureUpdate, $flow_id); 
                            }else{
                                return redirect()->route('nda-agreement', ['flow_id' => $flow_id])->with('error', lang('messages.invalid_post_data'));
                            }

                            if(authUserId()!=null){
                                //Session::forget('current_lead');
                                return redirect()->route('dashboard');
                            }else{
                                //Session::forget('current_lead');
                                return redirect()->route('account-setup', ['flow_id' => $flow_id]);
                            }                                      

                            //session($data);

                            //\Session::put($data);
                            //$value = Session::get('key');
                            //Session::flash('key', 'value');
                            //Session::forget('key');
                            //Session::flush();
                            //Session::has('key')                              
                            
                        }
                        
                    }
                    //echo Storage::url($filePath);
                    //dd($path);
                }

            }else{
                return redirect()->route('nda-agreement', ['flow_id' => $flow_id])
                ->with('error', lang('messages.invalid_post_data'));
            }
                        
            
           // dd($inputs);
        } catch (\Exception $e) {
            //dd($e->getMessage());
            return redirect()->route('nda-agreement', ['flow_id' => $flow_id])
                ->with('error', lang('messages.server_error'));           
        }
        
    }


    
}
