<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessDesign extends Model
{
    use HasFactory;

    public $table = 'case_business_design';

    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'business_id',
        'service_id',
        'name',
        'created_at'
    ];
    public function getAll(){
        return $this->get()->toArray();
    }

    /*public function getDetailsByIds($search){
        $fields = ['id','name'];        
        return $this->whereIn('id',$search)->get($fields)->toArray();
    }*/

    /*public function validate($data){
        $validated = $data->validate([
            'title' => 'required|unique:posts|max:255',
            'body' => 'required',
        ]);
    }*/   

    /**
     * @param array $inputs
     * @param int $id
     *
     * @return mixed
     */
    public function store($inputs, $id = null)
    {
        if ($id) {
            $this->find($id)->update($inputs);
            return $id;
        } else {
            return $this->create($inputs)->id;
        }
    }

    /**
     * @param array $inputs
     * @param int $id
     *
     * @return mixed
     */
    public function storeMultiple($inputs)
    {        
        return $this->insert($inputs);        
    }

    public function businessService()
    {
        return $this->belongsTo(BusinessService::class, 'service_id');
    }

    public function deleteByCaseID($case_id){
        return $this->where('case_id', $case_id)->delete();
    }
}
