<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class BusinessService extends Model
{
    use HasFactory;

    public $table = 'case_business_services';

    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'service_id',
        'exist_service',
        'service_desc',
        'created_at'
    ];
    public function getAll()
    {
        return $this->get()->toArray();
    }

    /*public function getDetailsByIds($search){
        $fields = ['id','name'];        
        return $this->whereIn('id',$search)->get($fields)->toArray();
    }*/

    /*public function validate($data){
        $validated = $data->validate([
            'title' => 'required|unique:posts|max:255',
            'body' => 'required',
        ]);
    }*/

    /**
     * @param array $inputs
     * @param int $id
     *
     * @return mixed
     */
    public function store($inputs, $id = null)
    {
        if ($id) {
            $this->find($id)->update($inputs);
            return $id;
        } else {
            return $this->create($inputs)->id;
        }
    }

    /**
     * @param array $inputs
     * @param int $id
     *
     * @return mixed
     */
    public function storeMultiple($inputs)
    {
        return $this->insert($inputs);
    }

    public function services()
    {
        return $this->belongsTo(QgService::class, 'id');
    }

    public function businessKeys()
    {
        return $this->hasMany(BusinessKey::class, 'service_id');
    }

    public function businessDesigns()
    {
        return $this->hasMany(BusinessDesign::class, 'service_id');
    }

    public function getExistServiceByCase($case_number){

        $data = $this->where('case_id', $case_number)->get(['service_id',
        'exist_service']);
        //dd($data->isNotEmpty());
        $result = [];
        if($data->isNotEmpty()){
            foreach ($data as $key => $value) {
                //dd($value);
                $result[$value['service_id']] = $value['exist_service'];
            }

            return $result; 
        }
        return null;
    }

    public function getExistServiceByCaseService($case_number, $service_id){

        $data = $this->where('case_id', $case_number)->where('service_id', $service_id)->get(['service_id',
        'exist_service']);
        //dd($data->isNotEmpty());
        $result = [];
        if($data->isNotEmpty()){
            foreach ($data as $key => $value) {
                //dd($value);
                $result[$value['service_id']] = $value['exist_service'];
            }

            return $result; 
        }
        return null;
    }


    public function deleteByCaseID($case_id){
        return $this->where('case_id', $case_id)->delete();
    }
}
