<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class CaseService extends Model
{
    use HasFactory;

    public $table = 'case_services';

    protected $fillable = [
        'case_id',
        'guest_id',
        'user_id',
        'services_ids'
    ];
    public function getAll(){
        return $this->get()->toArray();
    }

    public function checkCaseExist(){

        $fields = ['id'];
        $data = $this->orderBy('id', 'desc')->limit(1)->first($fields);        
        if(!empty($data)){
            return $data->id;
        }else{
            return null;
        }   

        //\DB::enableQueryLog();
        //$result = \DB::getQueryLog();
        //dd($result);     
        
    }

     /**
     * @param array $inputs
     * @param int $id
     *
     * @return mixed
     */
    public function store($inputs, $id = null)
    {
        if ($id) {
            $this->find($id)->update($inputs);
            return $id;
        } else {
            return $this->create($inputs)->id;
        }
    }    

    public function getCaseIDByPrimary($id){

        $data = $this->find($id)->first(['case_id']);
        if(!empty($data->case_id)){
           return $data->case_id; 
        }

        return null;         
        
    } 

    public function getCaseByCaseNumber($case_number){

        $data = $this->where('case_id', $case_number)->first(['case_id']);
        if(!empty($data->case_id)){
           return $data->case_id; 
        }
        return null;
    } 

    public function getServiceIDsByCaseID($case_id){

        $data = $this->where('services_ids', $case_id)->first(['id']);
        if(!empty($data)){
           return $data; 
        }

        return [];         
        
    } 

    public function getServiceByCaseNumber($case_number){

        $data = $this->where('case_id', $case_number)->first(['services_ids']);
        if(!empty($data->services_ids)){
           return $data->services_ids; 
        }
        return null;
    }

    public function getServiceByServiceID($case_id, $services_id){
        //
        $data = $this->where('case_id', $case_id)->whereRaw("find_in_set(".$services_id.",services_ids)")->first(['services_ids']);
        if(!empty($data->services_ids)){
           return $data->services_ids; 
        }
        return null;
    }

    //Update all case with user id
    public function updateCases($inputs, $case_id){
        if(!empty($inputs)){

            DB::table('case_services')->whereNull('user_id')->where('case_id', $case_id)->update($inputs);

            DB::table('case_business_design')->whereNull('user_id')->where('case_id', $case_id)->update($inputs);


            DB::table('case_business_info')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);

            DB::table('case_business_keys')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);

            DB::table('case_business_services')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);

            DB::table('case_client_information')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);

            DB::table('case_company_information')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);

            DB::table('case_project_information')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);

            DB::table('case_send_request_api')->whereNull('user_id')->where('case_id', $case_id)
            ->update($inputs);
        }

    }

    public function checkCaseUserExist($case_id){

        $data = $this->whereNull('user_id')->where('case_id', $case_id)->first();
        if(!empty($data)){
           return $data; 
        }

        return null;   

        //\DB::enableQueryLog();
        //$result = \DB::getQueryLog();
        //dd($result);     
        
    }
}
