<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\DB;

class ProjectScope extends Model
{
    use HasFactory;

    public $table = 'case_project_scope';

    protected $fillable = [
        'case_id',
        'service_key',
        'response_key',
        'guest_id',
        'business_scope',
        'created_at'       
    ]; 

    public function checkCaseByCaseNumber($case_number){

        $data = $this->where('case_id', $case_number)->first(['case_id']);
        if(!empty($data->case_id)){
           return $data->case_id; 
        }
        return null;
    } 

    

    /**
     * @param array $inputs
     * @param int $case_id
     *
     * @return mixed
     */
    public function updateProjectScope($inputs, $case_id)
    {
        $this->where('case_id', $case_id)->update($inputs);            
    }

      
}
