<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class QgProjectScope extends Model
{
    use HasFactory;

    public $table = 'case_project_scope';

    protected $fillable = [
        'case_id',
        'guest_id',
        'service_key',
        'response_key',
        'business_scope',
        'created_at'
    ];

    /**
     * @param array $inputs
     * @param int $id
     *
     * @return mixed
     */
    public function store($inputs, $id = null)
    {
        if ($id) {
            $this->find($id)->update($inputs);
            return $id;
        } else {
            return $this->create($inputs)->id;
        }
    }

    public function getAllByCaseID($case_number){

        $data = $this->where('case_id', $case_number)->get(['case_id','business_scope','service_key','response_key']);
        return $data;        
    }
}
