<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
    use HasFactory;

    public $table = 'case_questions';

    protected $fillable = [
        'case_id',
        'user_id',
        'service_id',
        'question'
    ];

    public function answers()
    {
        return $this->hasMany(Answer::class, 'question_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function getService()
    {
        return $this->belongsTo(QgService::class, 'service_id', 'id');
    }
}
