<?php

namespace App\Rules;

use Closure;
use Illuminate\Contracts\Validation\ValidationRule;
use Illuminate\Support\Facades\Http;

class MobileCheckRule implements ValidationRule
{
    /**
     * Run the validation rule.
     *
     * @param  \Closure(string): \Illuminate\Translation\PotentiallyTranslatedString  $fail
     */
    public function validate(string $attribute, mixed $value, Closure $fail): void
    {
        $response = Http::withHeaders(
                [
                     'Authorization' =>  'Bearer 303dcd5897c14d0eb42f6101d800bd71eb02bc3883ba478eb6284d66c9ddd977',
                     'Content-Type' => 'application/json' 
                ]
            )->post('https://api.datasoap.co.uk/v2/', [
                'lookup' => $value,
                'checks' => ["Hlr"]
             ]
            );

        if ($response->successful() && $response->object()->valid == false) {
            $fail('The :attribute is not valid number of UK.');
        }
    }
}
