<?php

namespace App\Rules;

use Closure;
use Illuminate\Contracts\Validation\ValidationRule;

class WordCountRule implements ValidationRule
{
    protected $field_name;

    /**
     * Create a new rule instance.
     *
     * @param int $maxWords
     * @return void
     */
    public function __construct($name="")
    {
        $this->field_name = $name;
    }

    /**
     * Run the validation rule.
     *
     * @param  \Closure(string): \Illuminate\Translation\PotentiallyTranslatedString  $fail
     */
    public function validate(string $attribute, mixed $value, Closure $fail): void
    {
        $name = ":attribute";
        if(!empty($this->field_name)){
            $name = $this->field_name;
        }
        //dd($this->field_name);
        if (!empty($value) && str_word_count($value) < 15) {
            $fail('The '.$name.' contains atleast 15 words.');
        }else if (!empty($value) && str_word_count($value) > 80){
            $fail('The '.$name.' contains max 80 words.');
        }
    }
}
