@extends('backend.layouts.master')

@section('content')

@php

if(!empty($getCompanyInfo))
{
$company_details = json_decode($getCompanyInfo['company_details'], true);
}
else
{
$company_details = [];
}

@endphp

<main class="py-3">

    <div class="container">
        <div class="enqtb-cnt-row enqnote-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="bg-light card-body">
                       
                    @include('backend.admin.layouts.topbar')

                        <section id="enqriesnoteptemp" class="clrsect mtpx-20 enqnote-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <div class="pdl-none col-lg-4 enqleadinfo-leftcmncol">

                                    @include('backend.admin.layouts.sidenote')

                                </div>

                                <div class="col-lg-8 enqleadinfo-rightcmntab">

                                    @include('backend.layouts.tabs')

                                    @if(count($getCompanyInfo) > 0)

                                    <div class="row">
                                        <div class="col">

                                            <div class="card bg-white mt-3" style="width: auto;">
                                                <div class="card-body">
                                                    <ul class="enqnotestab-cntitms">

                                                        <div class="row mt-2">
                                                            <div class="col">
                                                                <li>
                                                                    <div class="clrsect tabcontntlist-hdng">
                                                                        <span class="noteby"><label class="text-uppercase">Q</label> Is your company registered in the UK? </span>
                                                                    </div>

                                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                        <p class="mb-0">
                                                                            {{ $getCompanyInfo['is_registered'] == 1 ? 'Yes' : 'No' }}
                                                                        </p>
                                                                    </div>
                                                                </li>

                                                                @if($getCompanyInfo['is_registered'] == 1)
                                                                <div class="row mt-2">
                                                                    <div class="col">
                                                                        <li>
                                                                            <div class="clrsect tabcontntlist-hdng">
                                                                                <h4 class="noteby">Company Info</h4>
                                                                            </div>

                                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                <p class="mb-0">
                                                                                    <strong>Company Name: </strong> {{ $company_details['company_name'] }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Company Number: </strong> {{ $company_details['company_number'] }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Company Status: </strong>
                                                                                    @if($company_details['company_status'] == 'active')
                                                                                    <span class="badge rounded-pill text-bg-success">Active</span>
                                                                                    @else
                                                                                    <span class="badge rounded-pill text-bg-danger">Deactive</span>
                                                                                    @endif
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Company Address 1: </strong> {{ $company_details['address1'] }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Company Address 2: </strong> {{ $company_details['address2'] }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Locality: </strong> {{ $company_details['locality'] }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Postal Code: </strong> {{ $company_details['postal_code'] }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    <strong>Country: </strong> {{ $company_details['country'] }}
                                                                                </p>
                                                                            </div>
                                                                        </li>
                                                                    </div>
                                                                </div>
                                                                @endif

                                                                <div class="row mt-2">
                                                                    <div class="col">
                                                                        <li>
                                                                            <div class="clrsect tabcontntlist-hdng">
                                                                                <span class="noteby"><label class="text-uppercase">Q</label> Do you have a registered domain for this company? </span>
                                                                            </div>

                                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                <p class="mb-0">
                                                                                    {{ $getCompanyInfo['is_domain'] == 1 ? 'Yes, I do' : 'No, I do not' }}
                                                                                </p>
                                                                            </div>
                                                                        </li>
                                                                    </div>
                                                                </div>

                                                                @if($getCompanyInfo['is_domain'] == 1)
                                                                <div class="row mt-2">
                                                                    <div class="col">
                                                                        <li>
                                                                            <div class="clrsect tabcontntlist-hdng">
                                                                                <span class="noteby"><label class="text-uppercase">Q</label>Please enter your company domain</span>
                                                                            </div>

                                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                <p class="mb-0">
                                                                                    {{ $getCompanyInfo['domain_name'] }}
                                                                                </p>
                                                                            </div>
                                                                        </li>
                                                                    </div>
                                                                </div>
                                                                @endif
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    @endif
                                </div>
                            </div>
                    </div>
                </div>
            </div>
            </section>
        </div>
    </div>
    </div>
    </div>
    </div>
    </div>
</main>

@endsection