@extends('backend.layouts.master')

@section('content')

<main class="py-3">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header fw-bold">Dashboard</div>
                    <div class="card-body dash-cbody">
                        <div class="dashboard">
                            <div class="row mb-0">
                                <div class="col-md-6 mb-4">
                                    <div class="card  shadow-sm h-80 py-2 border border-success border-end-0 border-top-0 border-bottom-0 border-4">
                                        <div class="card-body py-0">
                                            <div class="row no-gutters align-items-center">
                                                <div class="col mr-2">
                                                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                                        Total Cases <a class="dashleadico" href="{{ url('admin/cases') }}"><i class="text-success bi bi-box-arrow-up-right"></i></a></div>
                                                    <div class="h5 mb-0 font-weight-bold text-gray-800">{{ $data['total_cases'] }}</div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class=" col-md-6 mb-4">
                                    <div class="card  shadow-sm h-80 py-2 border border-danger border-end-0 border-top-0 border-bottom-0 border-4">
                                        <div class="card-body py-0">
                                            <div class="row no-gutters align-items-center">
                                                <div class="col mr-2">
                                                    <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Rejected Cases <a class="dashleadico" href="{{ url('admin/cases') }}"><i class="text-danger bi bi-box-arrow-up-right"></i></a></div>
                                                    <div class="h5 mb-0 font-weight-bold text-gray-800">0</div>
                                                </div>
                                                <div class="col-auto">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row cases-probar-row mb-3 mb-md-4">
                                <div class="col-md-12 mb-3">
                                    <div class="row justify-content-end">
                                        <div class="col-md-3">
                                            <div class="d-flex gap-2 justify-content-end">
                                                <button id="prevOption" class="btn btn-outline-secondary"><i class="bi bi-caret-left-fill"></i></button>
                                                <select class="form-control w-50 text-center" id="date_filter" name="date_filter" onchange="redirectToOption(this)">
                                                    <option value="Custom">Custom</option>
                                                    <option value="This Year">This Year</option>
                                                    <option value="This Month">This Month</option>
                                                    <option value="This Week">This Week</option>
                                                    <option selected value="Today">Today</option>
                                                </select>
                                                <button style="opacity:.5;pointer-events:none;" id="nextOption" class="btn btn-outline-secondary"><i class="bi bi-caret-right-fill"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card h-100">
                                        <div class="card-header d-flex justify-content-between align-items-center flex-wrap">
                                            <span class="fw-bold">Cases Added</span>

                                        </div>
                                        <div class="card-body-case card-body-addcase card-body mt-1">
                                            No cases added
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card h-100">
                                        <div class="card-header d-flex justify-content-between align-items-center flex-wrap">
                                            <span class="fw-bold">Cases Updated</span>
                                        </div>
                                        <div class="card-body-case card-body-updatecase card-body mt-1">
                                            No cases updated
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card h-100">
                                        <div class="card-header d-flex justify-content-between align-items-center flex-wrap">
                                            <span class="fw-bold">Agent Updates</span>
                                        </div>
                                        <div class="card-body-case card-body-agentupdate card-body mt-1">
                                            <div class="container mb-3">
                                                <ul class="list-group">
                                                    No agent updates
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="row chart-row">
                                <div class="col-md-5 mb-3 mb-md-0">
                                    <div class="card">
                                        <div class="card-header d-flex align-items-center">
                                            <span class="fw-bold">Cases Chart</span>
                                        </div>
                                        <div class="card-body">
                                            <canvas id="myChart" width="517" height="517" style="display: block; box-sizing: border-box; height: 517px; width: 517px;"></canvas>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-7">
                                    <div class="card h-100">
                                        <div class="card-header">
                                            <div class="row align-items-center">
                                                <div class="col-sm">
                                                    <span class="fw-bold">Cases Graph</span>
                                                </div>
                                                <div class="col-sm d-flex justify-content-end align-items-end">
                                                    <select name="chart" id="chart" class="form-control-sm w-50 text-center">
                                                        <option value="monthly">Monthly</option>
                                                        <option value="yearly">Yearly</option>
                                                    </select>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="card-body">
                                            <canvas id="mybarchart" width="747" height="498" style="display: block; box-sizing: border-box; height: 498px; width: 747px;"></canvas>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>

@section('charts')
<script>
        let myChart = null;
        const ctx = $('#myChart');
        const barchart = $('#mybarchart');

        $(document).ready(function() {
            new Chart(ctx, {
                type: 'pie',
                data: {
                    labels: ['Completed', 'Pending', 'Hold', 'Rejected'],
                    datasets: [{
                        label: '# of Cases',
                        data: [10, 5, 2, 6],
                        borderWidth: 1,
                        backgroundColor: [
                            '#198754',
                            '#0d6efd',
                            'rgb(255, 193, 7)',
                            'rgb(220, 53, 69)'
                        ],
                    }]
                },
            });

            // this will load the chart
            loadChart();

            $('#prevOption').click(function() {
                $(this).attr('style', 'opacity:.5;pointer-events:none;');
                var currentIndex = $('#date_filter option:selected').index();
                if (currentIndex > 0) {
                    $('#date_filter option').eq(currentIndex - 1).prop('selected', true).change();
                }
            });

            $('#nextOption').click(function() {
                $(this).attr('style', 'opacity:.5;pointer-events:none;');
                var currentIndex = $('#date_filter option:selected').index();
                var lastIndex = $('#date_filter option').length - 1;
                if (currentIndex < lastIndex) {
                    $('#date_filter option').eq(currentIndex + 1).prop('selected', true).change();
                }
            });

            $('#date_filter').change(function() {
                if ($(this).val() === '5') {
                    $('.custom-range-cdate').removeClass('d-none').addClass('d-flex');
                } else {
                    $('.custom-range-cdate').addClass('d-none').removeClass('d-flex');
                }
            });
        });

        $('#chart').change(function() {
            loadChart();
        })

        function redirectToOption(selectElement) {
            var selectedValue = selectElement.value;
            if (selectedValue == 5) {
                $('.custom-range-cdate').removeClass('d-none');
                $('.custom-range-cdate').addClass('d-flex');
            }
        }

        function monthChart() {
            return new Chart(barchart, {
                type: 'bar',
                data: {
                    labels: ['Jan', 'Feb', 'March', 'April', 'May', 'June', 'July', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
                    datasets: [{
                        label: 'Month of Cases',
                        height: 400,
                        data: [0, 0, 0, 0, 46, 15, 19, 0, 0, 0, 0, 0],
                        borderWidth: 1,
                        backgroundColor: [
                            '#0d6efd',
                        ],
                    }]
                },
            });
        }

        function yearChart() {
            return new Chart(barchart, {
                type: 'bar',
                data: {
                    labels: ['2020', '2021', '2022', '2023', '2024'],
                    datasets: [{
                        label: 'Year of Cases',
                        height: 400,
                        data: [0, 0, 0, 0, 22],
                        borderWidth: 1,
                        backgroundColor: [
                            '#0d6efd',
                        ],
                    }]
                },
            });
        }

        function loadChart() {
            if (myChart !== null) {
                myChart.destroy();
            }
            if ($('#chart').find(":selected").text() == 'Monthly') {
                myChart = monthChart();
            } else {
                myChart = yearChart();
            }
        }
    </script>
    @endsection

@endsection


