@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container">
        <div class="mainenq-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header fw-bold">
                        <div class="row">
                            <div class="col-sm">
                                <h3>Add Service</h3>

                                @if(\Session::has('error'))
                                {{ \Session::get('error') }}
                                @endif
                            </div>
                            <div class="col-sm d-flex justify-content-end align-items-end">
                                <a href="{{ route('admin-services') }}" class="btn btn-sm btn-primary"> All Services</a>
                            </div>
                        </div>
                    </div>
                    <div class="bg-light card-body">
                        <div class="col-lg-4 offset-lg-4 col-xs-12 p-3 mt-1 mb-5">
                            <form method="post" action="{{ route('add-service') }}" enctype="multipart/form-data">
                                @csrf

                                @if($errors->any())
                                <div class="alert alert-danger mt-4">
                                    @foreach($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </div>
                                @endif

                                <div class="row mt-4">
                                    <div class="col">
                                        <label for="name">Name</label>
                                        <input type="text" name="name" id="name" class="form-control" value="{{ old('name') }}">
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col">
                                        <label for="key">Key</label>
                                        <input type="text" name="key" id="key" class="form-control" value="{{ old('key') }}">
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col">
                                        <label for="key">Additional Key</label>
                                        <input type="text" name="alt_key" id="alt_key" class="form-control" value="{{ old('alt_key') }}">
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col">
                                        <label for="description">Description</label>
                                        <textarea name="description" id="description" class="form-control">{{ old('description') }}</textarea>
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col">
                                        <label for="icon">Icon</label>
                                        <input type="file" name="icon" id="icon" class="form-control">
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col">
                                        <label for="status">Status</label>
                                        <select name="status" id="status" class="form-control">
                                            <option value="1" selected>Active</option>
                                            <option value="0">Deactive</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="row mt-4">
                                    <div class="col">
                                        <button type="submit" class="btn btn-primary">Submit</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
</main>

@endsection