@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container">
        <div class="mainenq-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header fw-bold">
                        <div class="row">
                            <div class="col-sm">
                                <h3>Services</h3>

                                @if(\Session::has('error'))
                                {{ \Session::get('error') }}
                                @endif


                                @if($errors->any())
                                <div class="alert alert-danger mt-4">
                                    @foreach($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </div>
                                @endif
                            </div>
                            <div class="col-sm d-flex justify-content-end align-items-end">
                                <a href="{{ route('add-service') }}" class="btn btn-sm btn-primary"> + Add Service</a>
                            </div>
                        </div>
                    </div>
                    <div class="bg-light card-body">
                        <section class="dash-cbd-header ">
                            <div class="dash-cbd-right-itm text-md-end ajx_leadloader_export_itm">

                            </div>
                        </section>
                        <section id="enqriesptemp" class="dash-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <table class="enqry_list ajx_leadloader" data-ajxtyp="enqry">
                                    <thead>
                                        <tr>
                                            <th data-label="">ID</th>
                                            <th data-label="Name">Name</th>
                                            <th data-label="Status">Status</th>
                                            <th data-label="Actions">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($data as $service)
                                        <tr data-enqlead="{{ $service['id'] }}">
                                            <td data-label="ID">{{ $service['id'] }}</td>
                                            <td data-label="Name">{{ $service['name'] }}</td>
                                            <td data-label="Status">
                                                @if($service['status'] == '0')
                                                <span class="badge rounded-pill text-bg-danger">Deactive</span>
                                                @else
                                                <span class="badge rounded-pill text-bg-success">Active</span>
                                                @endif
                                            </td>
                                            <td>
                                                <a href="{{ route('edit-service', $service['id']) }}" class="btn btn-outline-success"><i class="bi bi-pencil-square"></i></a>
                                                <a href="{{ route('delete-service', $service['id']) }}" class="btn btn-outline-danger" onclick="return confirm('Do you want to delete this service?')"><i class="bi bi-trash-fill"></i></a>
                            </div>
                            </td>
                            </tr>
                            @endforeach

                            </tbody>
                            </table>
                    </div>
                    </section>
                </div>
            </div>
        </div>
    </div>
    </div>
    <style>
        #selectBoxContainer {
            display: none;
            transition: all 3s ease-in-out;
        }
    </style>
</main>
@endsection