<div id="app">
    @if(auth()->user())
    <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
        <div class="container">
            <a class="navbar-brand" href="{{ url('admin/dashboard') }}">
                <img src="https://qwikgig.com/assets/qwikfavico.png" width="40" alt="Switchoffice">
            </a>

            <button class="navbar-toggler navbartoggler" type="button">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse navbar_mbl" id="navbarSupportedContent">

                <!-- Left Side Of Navbar -->
                <ul class="navbar-nav me-auto">

                    @if(auth()->user()->roles == 1)
                    <li class="nav-item">
                        <a class="nav-link @if(Request::is('admin/dashboard')) activenav @endif" href="{{ url('admin/dashboard') }}">Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if(Request::is('admin/cases') || Request::is('admin/case/*')) activenav @endif" href="{{ url('admin/cases') }}">Cases</a>
                    </li>

                    @elseif(auth()->user()->roles == 2)
                    <li class="nav-item">
                        <a class="nav-link @if(Request::is('team/dashboard')) activenav @endif" href="{{ url('team/dashboard') }}">Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if(Request::is('team/cases') || Request::is('team/case/*')) activenav @endif" href="{{ url('team/cases') }}">Cases</a>
                    </li>

                    @else
                    <li class="nav-item">
                        <a class="nav-link @if(Request::is('staff/dashboard')) activenav @endif" href="{{ url('staff/dashboard') }}">Dashboard</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link @if(Request::is('staff/cases') || Request::is('staff/case/*')) activenav @endif" href="{{ url('staff/cases') }}">Cases</a>
                    </li>
                    @endif
                </ul>

                <!-- Right Side Of Navbar -->
                <ul class="navbar-nav align-items-center gap-2">
                    <!-- Authentication Links -->
                    <li class="nav-item dropdown">
                        @if(auth()->user()->roles == 1)
                        <a id="navbarDropdown" class="nav-link dropdown-toggle border rounded border-success" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                            <img src="https://management.claims/image/user.png" width="28" height="28" class="rounded-circle" bg-danger alt="">
                            Admin - {{ auth()->user()->name }}
                        </a>
                        <div class="dropdown-menu dropdown-menu-end end-0" aria-labelledby="navbarDropdown">

                            <a class="dropdown-item" href="{{ route('admin-services') }}">
                                Services
                            </a>

                            <a class="dropdown-item" href="{{ route('teams') }}">
                                Teams
                            </a>

                            <a class="dropdown-item" href="#">
                                Settings
                            </a>

                            <a class="dropdown-item" href="{{ route('logout') }}">
                                Logout
                            </a>
                        </div>
                        @elseif(auth()->user()->roles == 2)
                        <a id="navbarDropdown" class="nav-link dropdown-toggle border rounded border-success" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                            <img src="https://management.claims/image/user.png" width="28" height="28" class="rounded-circle" bg-danger alt="">
                            User - {{ auth()->user()->name }}
                        </a>
                        <div class="dropdown-menu dropdown-menu-end end-0" aria-labelledby="navbarDropdown">

                            <a class="dropdown-item" href="{{ route('staff') }}">
                                Staff
                            </a>

                            <a class="dropdown-item" href="#">
                                Settings
                            </a>

                            <a class="dropdown-item" href="{{ route('logout') }}">
                                Logout
                            </a>
                        </div>
                        @else
                        <a id="navbarDropdown" class="nav-link dropdown-toggle border rounded border-success" href="#" role="button" data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                            <img src="https://management.claims/image/user.png" width="28" height="28" class="rounded-circle" bg-danger alt="">
                            Staff - {{ auth()->user()->name }}
                        </a>
                        <div class="dropdown-menu dropdown-menu-end end-0" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="#">
                                Settings
                            </a>

                            <a class="dropdown-item" href="{{ route('logout') }}">
                                Logout
                            </a>
                        </div>
                        @endif
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    @endif