@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container">
        <div class="enqtb-cnt-row enqnote-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="bg-light card-body">

                        @include('backend.staff.layouts.topbar')

                        <section id="enqriesnoteptemp" class="clrsect mtpx-20 enqnote-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <div class="pdl-none col-lg-4 enqleadinfo-leftcmncol">
                                    @include('backend.staff.layouts.sidenote')
                                </div>

                                <div class="col-lg-8 enqleadinfo-rightcmntab">

                                    @include('backend.layouts.tabs')

                                    @if(!empty($getBusinessInfo['basic_info']))

                                    <div class="clrsect enqleadinforc-tabcontnt">

                                        <div class="mt-3 clrsect enqtabcnt-tabcontntlist">
                                            <ul class="enqnotestab-cntitms">

                                                <li>
                                                    <div class="clrsect tabcontntlist-hdng">
                                                        <span class="noteby"><label class="text-uppercase">Q</label> Tell us a little about your business</span>
                                                    </div>
                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                        <p class="mb-0">
                                                            {{ $getBusinessInfo['basic_info'][0]['about_business'] }}
                                                        </p>
                                                    </div>
                                                </li>

                                                <li>
                                                    <div class="clrsect tabcontntlist-hdng">
                                                        <span class="noteby"><label class="text-uppercase">Q</label> What are the key challenges your business faces? </span>
                                                    </div>

                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                        <p class="mb-0">
                                                            {{ $getBusinessInfo['basic_info'][0]['business_challenges'] }}
                                                        </p>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col">
                                            <ul class="nav nav-tabs" role="tablist">

                                                @foreach($getBusinessInfo['services'] as $service)

                                                <li class="nav-item" role="presentation">
                                                    <a class="nav-link {{ $service['services'][0]['name'] == 'Website' ? 'active' : '' }}" id="simple-tab-0" data-bs-toggle="tab" href="#{{ $service['services'][0]['name'] }}" role="tab" aria-controls="{{ $service['services'][0]['name'] }}" aria-selected="true">{{ $service['services'][0]['name'] }}</a>
                                                </li>

                                                @endforeach

                                            </ul>

                                            <div class="tab-content pt-3" id="tab-content">

                                                @foreach($getBusinessInfo['services'] as $service)

                                                <div class="tab-pane {{ $service['services'][0]['name'] == 'Website' ? 'active' : '' }}" id="{{ $service['services'][0]['name'] }}" role="tabpanel" aria-labelledby="{{ $service['services'][0]['name'] }}">
                                                    <div class="card" style="width: auto;">
                                                        <div class="card-body">
                                                            <ul class="enqnotestab-cntitms">
                                                                <div class="row">
                                                                    <div class="col">
                                                                        <h4>{{ $service['services'][0]['name'] }}</h4>
                                                                        <li>
                                                                            <div class="clrsect tabcontntlist-hdng">
                                                                                <span class="noteby">Description</span>
                                                                            </div>
                                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                <p class="mb-0">
                                                                                    {{ $service['services'][0]['description'] }}
                                                                                </p>
                                                                            </div>
                                                                    </div>
                                                                    </li>
                                                                </div>

                                                                <div class="row mt-2">
                                                                    <div class="col">
                                                                        <li>
                                                                            <div class="clrsect tabcontntlist-hdng">
                                                                                <span class="noteby">Workflow</span>
                                                                            </div>
                                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                <p class="mb-0">
                                                                                <ul>
                                                                                    @foreach($service['business_keys'] as $workflow)
                                                                                    <li>{{ $workflow['name'] }}</li>
                                                                                    @endforeach
                                                                                    </p>
                                                                                </ul>
                                                                            </div>
                                                                    </div>
                                                                    </li>

                                                                    <div class="row mt-2">
                                                                        <div class="col">
                                                                            <li>
                                                                                <div class="clrsect tabcontntlist-hdng">
                                                                                    <span class="noteby"><label class="text-uppercase">Q</label>How do you envision the layout and design?</span>
                                                                                </div>
                                                                                <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                    <p class="mb-0">
                                                                                        {{ $service['business_designs'][0]['business_design'] }}
                                                                                    </p>
                                                                                </div>
                                                                        </div>
                                                                        </li>
                                                                    </div>

                                                                    <div class="row mt-2">
                                                                        <div class="col">
                                                                            <li>
                                                                                <div class="clrsect tabcontntlist-hdng">
                                                                                    <span class="noteby"><label class="text-uppercase">Q</label>What key functionality do you need?</span>
                                                                                </div>
                                                                                <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                    <p class="mb-0">
                                                                                        {{ $service['business_designs'][0]['business_functionality'] }}
                                                                                    </p>
                                                                                </div>
                                                                        </div>
                                                                        </li>
                                                                    </div>
                                                                </div>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>

                                                @endforeach

                                                @endif

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>
                </div>
                </section>
            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
</main>

@endsection