@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container">
        <div class="enqtb-cnt-row enqnote-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="bg-light card-body">
                        
                    @include('backend.staff.layouts.topbar')

                        <section id="enqriesnoteptemp" class="clrsect mtpx-20 enqnote-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <div class="pdl-none col-lg-4 enqleadinfo-leftcmncol">
                                    @include('backend.staff.layouts.sidenote')
                                </div>

                                <div class="col-lg-8 enqleadinfo-rightcmntab">

                                    @include('backend.layouts.tabs')

                                    <div class="row">
                                        <div class="col">
                                            <ul class="nav nav-tabs" role="tablist">

                                                @foreach($getProjectInfo as $project)

                                                <li class="nav-item" role="presentation">
                                                    <a class="nav-link {{ $project['services']['name'] == 'Website' ? 'active' : '' }}" id="simple-tab-0" data-bs-toggle="tab" href="#{{ $project['services']['name'] }}" role="tab" aria-controls="{{ $project['services']['name'] }}" aria-selected="true">{{ $project['services']['name'] }}</a>
                                                </li>

                                                @endforeach

                                            </ul>

                                            <div class="tab-content pt-3" id="tab-content">

                                                @foreach($getProjectInfo as $project)

                                                <div class="tab-pane {{ $project['services']['name'] == 'Website' ? 'active' : '' }}" id="{{ $project['services']['name'] }}" role="tabpanel" aria-labelledby="{{ $project['services']['name'] }}">
                                                    <div class="card mt-3" style="width: auto;">
                                                        <div class="card-body">
                                                            <ul class="enqnotestab-cntitms">

                                                                <div class="row mt-2">
                                                                    <div class="col">
                                                                        <li>
                                                                            <div class="clrsect tabcontntlist-hdng">
                                                                                <span class="noteby"><label class="text-uppercase">Q</label> What parts of the workflow could be automated? </span>
                                                                            </div>

                                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                <p class="mb-0">
                                                                                    {{ $project['is_automated'] == 1 ? 'Yes' : 'No' }}
                                                                                </p>
                                                                                <p class="mb-0">
                                                                                    {{ $project['automated_parts'] }}
                                                                                </p>
                                                                            </div>
                                                                        </li>

                                                                        <div class="row mt-2">
                                                                            <div class="col">
                                                                                <li>
                                                                                    <div class="clrsect tabcontntlist-hdng">
                                                                                        <span class="noteby"><label class="text-uppercase">Q</label> Are there any API integrations required? </span>
                                                                                    </div>

                                                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                        <p class="mb-0">
                                                                                            {{ $project['is_api'] == 1 ? 'Yes, there are' : 'No, there are not' }}
                                                                                        </p>
                                                                                        <p class="mb-0">
                                                                                            {{ $project['api_integration'] }}
                                                                                        </p>
                                                                                    </div>
                                                                                </li>
                                                                            </div>
                                                                        </div>

                                                                        <div class="row mt-2">
                                                                            <div class="col">
                                                                                <li>
                                                                                    <div class="clrsect tabcontntlist-hdng">
                                                                                        <span class="noteby"><label class="text-uppercase">Q</label> Do you require an NDA? </span>
                                                                                    </div>

                                                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                                        <p class="mb-0">
                                                                                            {{ $project['is_nda'] == 1 ? 'Yes, I do' : 'No, I do not' }}
                                                                                        </p>
                                                                                    </div>
                                                                                </li>
                                                                            </div>
                                                                        </div>
                                                            </ul>
                                                        </div>
                                                    </div>
                                                </div>
                                                @endforeach
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                    </div>
                </div>
                </section>
            </div>
        </div>
    </div>
    </div>
    </div>
    </div>
</main>

@endsection
