@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container">
        <div class="enqtb-cnt-row enqnote-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="bg-light card-body">
                        
                    @include('backend.team.layouts.topbar')

                        <section id="enqriesnoteptemp" class="clrsect mtpx-20 enqnote-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <div class="pdl-none col-lg-4 enqleadinfo-leftcmncol">
                                    @include('backend.team.layouts.sidenote')
                                </div>

                                <div class="col-lg-8 enqleadinfo-rightcmntab">

                                    @include('backend.layouts.tabs')

                                    <div class="clrsect enqleadinforc-tabcontnt">
                                        <div class="alert alert-danger alert-dismissible fade show" role="alert" style="display: none;">
                                            Note deleted successfully.
                                            <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                        </div>

                                        @if(session()->has('status'))
                                        @if(session()->get('status') == 0)
                                        <div class="alert alert-danger" id="message">
                                            Note deleted successfully
                                        </div>
                                        @elseif(session()->get('status') == 1)
                                        <div class="alert alert-success" id="message">
                                            Note Added successfully
                                        </div>
                                        @else
                                        <div class="alert alert-warning" id="message">
                                            Note Updated successfully
                                        </div>
                                        @endif
                                        @endif

                                        <div class="clrsect enqnotetabcnt-top-right-itm text-md-end">
                                            <a type="button" class="btn btn-primary enqnotetabcnt_btn" data-bs-toggle="collapse" href="#collapseExample" role="button" aria-expanded="true" aria-controls="collapseExample"><i class="bi bi-plus-lg"></i> Add Note</a>
                                            <div class="text-start mt-2 collapse" id="collapseExample">
                                                <div class="card card-body">
                                                    <h5>Add Note</h5>

                                                    <form action="{{ route('team-add-note') }}" method="post">
                                                        @csrf
                                                        <input type="hidden" name="case_id" value="{{ $case['case_id'] }}">
                                                        <input type="hidden" name="user_id" value="{{ auth()->user()->id }}">
                                                        <div class="mb-3">
                                                            <textarea class="form-control" name="note" rows="3" required></textarea>
                                                        </div>
                                                        <button type="submit" class="btn btn-success float-end">Add Note</button>
                                                    </form>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="mt-3 clrsect enqtabcnt-tabcontntlist">
                                            <ul class="enqnotestab-cntitms">

                                                @if(count($case['notes']) > 0)
                                                @foreach($case['notes'] as $note)
                                                @if($note['user_id'] == auth()->user()->id)
                                                <li>
                                                    <div class="clrsect tabcontntlist-hdng">
                                                        <span class="noteby"><label class="text-uppercase">N</label>
                                                            User - {{ auth()->user()->name }}
                                                        </span>
                                                        <div class="notes-action float-end">
                                                            <div class="modal fade" id="edit-notes-{{ $note['id'] }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header p-2">
                                                                            <h5 class="modal-title">Edit notes</h5>
                                                                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                        </div>
                                                                        <div class="modal-body">

                                                                            <form action="{{ route('team-edit-note', $note['id']) }}" method="post">
                                                                                @csrf
                                                                                <div class="modal-body">
                                                                                    <input type="hidden" name="case_id" value="{{ $note['case_id'] }}">
                                                                                    <input type="hidden" name="user_id" value="{{ auth()->user()->id }}">
                                                                                    <div class="mb-3">
                                                                                        <textarea class="form-control" name="note" id="" rows="5" required>{{ $note['note'] }}</textarea>
                                                                                    </div>
                                                                                </div>
                                                                                <div class="modal-footer">
                                                                                    <button type="submit" class="btn btn-success">Update Note</button>
                                                                                </div>
                                                                            </form>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>

                                                            <button data-bs-toggle="modal" data-bs-target="#edit-notes-{{ $note['id'] }}" type="button" class="btn btn-outline-success"><i class="bi bi-pencil-square"></i></button>

                                                            <form class="d-inline mb-0" action="{{ route('team-delete-note', $note['id']) }}" method="post">
                                                                @csrf
                                                                <input type="hidden" name="case_id" value="{{ $note['case_id'] }}">
                                                                <input type="hidden" name="note_id" value="{{ $note['id'] }}">

                                                            </form>
                                                        </div>
                                                    </div>
                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                        <p class="mb-0">Date : {{ date_format(date_create($note['created_at']), 'd/m/Y h:i:s') }} </p>
                                                        <p class="mb-0">Message : <span class="text-success">{{ $note['note'] }}</span></p>
                                                    </div>
                                                </li>
                                                @endif
                                                @endforeach
                                                @endif

                                                <li>
                                                    <div class="clrsect tabcontntlist-hdng">
                                                        <span class="noteby"><label class="text-uppercase">S</label> System Update</span>
                                                    </div>

                                                    <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                        <p class="mb-0">Document Submited at : {{ date_format(date_create($case['created_at']), 'd/m/Y h:i:s') }}</p>
                                                        <p class="mb-0">Status changed to : Case Added</p>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
</main>

@endsection
