@extends('backend.layouts.master')

@section('content')
<main class="py-3">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header fw-bold">Dashboard</div>
                    <div class="card-body dash-cbody">
                        <div class="dashboard">
                            <div class="row mb-0">
                                <div class="col-md-6 mb-4">
                                    <div class="card  shadow-sm h-80 py-2 border border-success border-end-0 border-top-0 border-bottom-0 border-4">
                                        <div class="card-body py-0">
                                            <div class="row no-gutters align-items-center">
                                                <div class="col mr-2">
                                                    <div class="text-xs font-weight-bold text-success text-uppercase mb-1">
                                                        Total Cases <a class="dashleadico" href="{{ url('team/cases') }}"><i class="text-success bi bi-box-arrow-up-right"></i></a></div>
                                                    <div class="h5 mb-0 font-weight-bold text-gray-800">{{ $data['total_cases'] }}</div>
                                                </div>
                                                <div class="col-auto">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class=" col-md-6 mb-4">
                                    <div class="card  shadow-sm h-80 py-2 border border-danger border-end-0 border-top-0 border-bottom-0 border-4">
                                        <div class="card-body py-0">
                                            <div class="row no-gutters align-items-center">
                                                <div class="col mr-2">
                                                    <div class="text-xs font-weight-bold text-danger text-uppercase mb-1">Rejected Cases <a class="dashleadico" href="{{ url('team/cases') }}"><i class="text-danger bi bi-box-arrow-up-right"></i></a></div>
                                                    <div class="h5 mb-0 font-weight-bold text-gray-800">0</div>
                                                </div>
                                                <div class="col-auto">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row cases-probar-row mb-3 mb-md-4">
                                <div class="col-md-12 mb-3">
                                    <div class="row justify-content-end">
                                        <div class="col-md-3">
                                            <div class="d-flex gap-2 justify-content-end">
                                                <button id="prevOption" class="btn btn-outline-secondary"><i class="bi bi-caret-left-fill"></i></button>
                                                <select class="form-control w-50 text-center" id="date_filter" name="date_filter" onchange="redirectToOption(this)">
                                                    <option value="Custom">Custom</option>
                                                    <option value="This Year">This Year</option>
                                                    <option value="This Month">This Month</option>
                                                    <option value="This Week">This Week</option>
                                                    <option selected value="Today">Today</option>
                                                </select>
                                                <button style="opacity:.5;pointer-events:none;" id="nextOption" class="btn btn-outline-secondary"><i class="bi bi-caret-right-fill"></i></button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card h-100">
                                        <div class="card-header d-flex justify-content-between align-items-center flex-wrap">
                                            <span class="fw-bold">Cases Added</span>

                                        </div>
                                        <div class="card-body-case card-body-addcase card-body mt-1">
                                            No cases added
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card h-100">
                                        <div class="card-header d-flex justify-content-between align-items-center flex-wrap">
                                            <span class="fw-bold">Cases Updated</span>
                                        </div>
                                        <div class="card-body-case card-body-updatecase card-body mt-1">
                                            No cases updated
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="card h-100">
                                        <div class="card-header d-flex justify-content-between align-items-center flex-wrap">
                                            <span class="fw-bold">Agent Updates</span>
                                        </div>
                                        <div class="card-body-case card-body-agentupdate card-body mt-1">
                                            <div class="container mb-3">
                                                <ul class="list-group">
                                                    No agent updates
                                                </ul>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</main>
@endsection