@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container">
        <div class="enqtb-cnt-row enqnote-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="bg-light card-body">

                        @include('backend.team.layouts.topbar')

                        <section id="enqriesnoteptemp" class="clrsect mtpx-20 enqnote-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <div class="pdl-none col-lg-4 enqleadinfo-leftcmncol">
                                    @include('backend.team.layouts.sidenote')
                                </div>

                                <div class="col-lg-8 enqleadinfo-rightcmntab">

                                    @include('backend.layouts.tabs')

                                    <div class="row mt-2">
                                        <div class="col">

                                            <ul class="nav nav-tabs " role="tablist">

                                                @foreach($services as $service)

                                                <li class="nav-item" role="presentation">
                                                    <a class="nav-link {{ $service['services'][0]['name'] == 'Website' ? 'active' : '' }}" id="simple-tab-0" data-bs-toggle="tab" href="#{{ $service['services'][0]['name'] }}" role="tab" aria-controls="{{ $service['services'][0]['name'] }}" aria-selected="true">{{ $service['services'][0]['name'] }}</a> 
                                                </li>

                                                @endforeach

                                            </ul>

                                            <div class="tab-content pt-3" id="tab-content">

                                                @foreach($services as $service)

                                                <div class="tab-pane {{ $service['services'][0]['name'] == 'Website' ? 'active' : '' }}" id="{{ $service['services'][0]['name'] }}" role="tabpanel" aria-labelledby="{{ $service['services'][0]['name'] }}">

                                                    <ul class="enqnotestab-cntitms">

                                                        <li>

                                                            <div class="row p-2">
                                                                <div class="col">
                                                                    <div class="clrsect tabcontntlist-hdng">
                                                                        <h4 class="noteby">Questions</h4>
                                                                    </div>
                                                                </div>
                                                                <div class="col d-flex justify-content-end">
                                                                    <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#add-question-{{ $service['services'][0]['name'] }}"><i class="bi bi-plus-lg"></i> Add Question</button>
                                                                </div>
                                                            </div>

                                                            <div class="mtpx-10 clrsect tabcontntlist-descptn">
                                                                <div id="accordion-{{ $service['services'][0]['id'] }}">

                                                                    @foreach($questions as $question)

                                                                    @if($question['get_service']['name'] == $service['services'][0]['name'])

                                                                    <h3 class="d-flex justify-content-between">
                                                                        <div>
                                                                            <div class="row">
                                                                                <div class="col">
                                                                                    {{ $question['question'] }}
                                                                                </div>
                                                                            </div>
                                                                            <div class="row mt-2">
                                                                                <div class="col">
                                                                                    {{ $question['user']['name'] }}
                                                                                    <i class="fa fa-dot-circle-o" aria-hidden="true"></i>
                                                                                    {{ date_format(date_create($question['user']['created_at']), 'd/m/Y h:i:s') }}
                                                                                    <i class="fa fa-dot-circle-o" aria-hidden="true"></i>
                                                                                    {{ count($question['answers']) }} Replies
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                    </h3>

                                                                    <div>
                                                                        @foreach($question['answers'] as $answer)
                                                                        <div class="card mb-2">
                                                                            <div class="card-body">
                                                                                <div class="row">
                                                                                    <div class="col">
                                                                                        {{ $answer['answer'] }}
                                                                                        <div>
                                                                                            {{ $answer['user']['name'] }}
                                                                                            <i class="fa fa-dot-circle-o" aria-hidden="true"></i>
                                                                                            {{ date_format(date_create($answer['user']['created_at']), 'd/m/Y h:i:s') }}
                                                                                        </div>
                                                                                    </div>
                                                                                </div>
                                                                            </div>
                                                                        </div>
                                                                        @endforeach

                                                                        <form action="{{ url('send_reply') }}" method="post">
                                                                            @csrf
                                                                            <div class="row mt-3">
                                                                                <div class="col-lg-11">
                                                                                    <input type="hidden" name="case_id" id="case_id" value="{{ $case['case_id'] }}">
                                                                                    <input type="hidden" name="user_id" id="user_id" value="{{ auth()->user()->id }}">
                                                                                    <input type="hidden" name="service_id" id="service_id" value="{{ $question['service_id'] }}">
                                                                                    <input type="hidden" name="question_id" id="question_id" value="{{ $question['id'] }}">
                                                                                    <input type="text" class="form-control" name="answer" id="answer" placeholder="Type message here" required>
                                                                                    @if($errors->any())
                                                                                    <div class="bg-danger bg-gradient text-white p-1 mt-1 rounded">This field is required</div>
                                                                                    @endif
                                                                                </div>
                                                                                <div class="col">
                                                                                    <button type="submit" class="btn btn-success" id="send_button"><i class="fa fa-paper-plane" aria-hidden="true"></i>
                                                                                    </button>
                                                                                </div>
                                                                            </div>
                                                                        </form>
                                                                    </div>

                                                                    @endif
                                                                    @endforeach
                                                                </div>
                                                        </li>
                                                </div>

                                                <div class="modal fade" id="add-question-{{ $service['services'][0]['name'] }}" tabindex="-1" aria-labelledby="add-question" aria-hidden="true">
                                                        <div class="modal-dialog">
                                                            <div class="modal-content">
                                                                <div class="modal-header p-2">
                                                                    <h5 class="modal-title">Add Question</h5>
                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                </div>
                                                                <div class="modal-body">
                                                                    <form action="{{ route('team-add-question') }}" method="post">
                                                                        @csrf
                                                                        <input type="hidden" name="case_id" value="{{ $case['case_id'] }}">
                                                                        <input type="hidden" name="user_id" value="{{ auth()->user()->id }}">
                                                                        <input type="hidden" name="service_id" value="{{ $service['services'][0]['id'] }}">
                                                                        <div class="mb-3">
                                                                            <textarea class="form-control" name="question" rows="5" required></textarea>
                                                                        </div>
                                                                </div>
                                                                <div class="modal-footer">
                                                                    <button type="submit" class="btn btn-success">Add Question</button>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                @endforeach
                                            </div>
                                            </ul>
                        </section>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
    </div>
</main>

@endsection