@extends('backend.layouts.master')

@section('content')

<main class="py-3">

    <div class="container ">
        <div class="mainenq-cnt-row row justify-content-center mb-30">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header fw-bold">
                        <div class="row">
                            <div class="col-sm">
                                <h3>Staff</h3>

                                @if(\Session::has('error'))
                                {{ \Session::get('error') }}
                                @endif


                                @if($errors->any())
                                <div class="alert alert-danger mt-4">
                                    @foreach($errors->all() as $error)
                                    <li>{{ $error }}</li>
                                    @endforeach
                                </div>
                                @endif
                            </div>
                            <div class="col-sm d-flex justify-content-end align-items-end">

                                <div class="modal fade" id="add-staff" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                    <div class="modal-dialog">
                                        <div class="modal-content">
                                            <div class="modal-header p-2">
                                                <h5 class="modal-title">Add Staff</h5>
                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                            </div>
                                            <div class="modal-body">

                                                <form action="{{ route('add-staff') }}" method="post" id="add_staff">
                                                    @csrf
                                                    <div class="modal-body">
                                                        <div class="mt-0">
                                                            <label for="name">Name</label>
                                                            <input type="text" name="name" id="name" class="form-control">
                                                        </div>

                                                        <span id="name_error" class="text-danger rounded mt-1 mb-3" style="display: none;">Name is required</span>

                                                        <div class="mt-3">
                                                            <label for="email">Email</label>
                                                            <input type="email" name="email" id="email" class="form-control">
                                                        </div>

                                                        <span id="email_error" class="text-danger rounded mt-1 mb-3" style="display: none;">Email is required</span>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" id="add_staff_btn" class="btn btn-success">Add Staff</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <button type="button" data-bs-toggle="modal" data-bs-target="#add-staff" class="btn btn-sm btn-primary">+ Add Staff</button>
                            </div>
                        </div>
                    </div>
                    <div class="bg-light card-body">
                        <section class="dash-cbd-header ">
                            <div class="dash-cbd-right-itm text-md-end ajx_leadloader_export_itm">

                            </div>
                        </section>
                        <section id="enqriesptemp" class="dash-sites-list pdlr-15">
                            <div class="row justify-content-left">
                                <table class="enqry_list ajx_leadloader" data-ajxtyp="enqry">
                                    <thead>
                                        <tr>
                                            <th data-label="">ID</th>
                                            <th data-label="Name">Name</th>
                                            <th data-label="Email">Email</th>
                                            <th data-label="Actions">Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($staff as $st)

                                        <div class="modal fade" id="edit-staff{{ $st['id'] }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                            <div class="modal-dialog">
                                                <div class="modal-content">
                                                    <div class="modal-header p-2">
                                                        <h5 class="modal-title">Edit staff</h5>
                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                    </div>
                                                    <div class="modal-body">

                                                        <form action="{{ route('edit-staff', $st['id']) }}" method="post" id="edit_form_{{ $st['id'] }}">
                                                            @csrf
                                                            <div class="modal-body">
                                                                <div class="mt-0">
                                                                    <label for="name">Name</label>
                                                                    <input type="text" name="name" id="name_{{ $st['id'] }}" value="{{ $st['name'] }}" class="form-control">
                                                                </div>
                                                                <span id="name_error_{{ $st['id'] }}" class="text-danger rounded mt-1 mb-3" style="display: none;">Name is required</span>
                                                                <div class="mt-3">
                                                                    <label for="email">Email</label>
                                                                    <input type="email" name="email" id="email_{{ $st['id'] }}" value="{{ $st['email'] }}" class="form-control">
                                                                </div>
                                                                <span id="email_error_{{ $st['id'] }}" class="text-danger rounded mt-1 mb-3" style="display: none;">Email is required</span>
                                                            </div>
                                                            <div class="modal-footer">
                                                                <button type="submit" id="edit_staff_btn_{{ $st['id'] }}" class="btn btn-success">Edit Staff</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <tr data-enqlead="{{ $st['id'] }}">
                                            <td data-label="ID">{{ $st['id'] }}</td>
                                            <td data-label="Name">{{ $st['name'] }}</td>
                                            <td data-label="Email">{{ $st['email'] }}</td>
                                            <td>
                                                <button type="button" data-bs-toggle="modal" data-bs-target="#edit-staff{{ $st['id'] }}" class="btn btn-outline-success"><i class="bi bi-pencil-square"></i></button>
                                                <a href="{{ route('delete-staff', $st['id']) }}" class="btn btn-outline-danger" onclick="return confirm('Do you want to delete this staff?')"><i class="bi bi-trash-fill"></i></a>
                            </div>
                            </td>
                            </tr>

                            @endforeach

                            </tbody>
                            </table>
                    </div>
                    </section>
                </div>
            </div>
        </div>
    </div>
    </div>
    <style>
        #selectBoxContainer {
            display: none;
            transition: all 3s ease-in-out;
        }
    </style>
</main>

@endsection