@extends('frontend.layouts.home_master')
@section('content')
<section class="development-solutions" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
        <h2 class="heading"><i>Fast online development</i> solutions that
            don’t hinder quality, regardless of your
            business size.</h2>
        <div class="devsol">
            <p class="mb-2 supercharge">We’ll supercharge your business with scaleable solutions if you are:  </p>
            <div class="devsol-inr d-grid">
                <div class="devsol-sg d-grid">
                    <a href="{{route('main-funnel')}}" class="d-flex align-items-center justify-content-between">
                        A Startup
                        <img src="{{ asset('frontend/assets/images/arrow.svg') }}" alt="icon" width="48px">
                    </a>
                </div>
                <div class="devsol-sg d-grid">
                    <a href="{{route('main-funnel')}}" class="d-flex align-items-center justify-content-between">
                        An Individual Entrepreneur
                        <img src="{{ asset('frontend/assets/images/arrow.svg') }}" alt="icon" width="48px">
                    </a>
                </div>
                <div class="devsol-sg d-grid">
                    <a href="{{route('main-funnel')}}" class="d-flex align-items-center justify-content-between">
                        A Small Business
                        <img src="{{ asset('frontend/assets/images/arrow.svg') }}" alt="icon" width="48px">
                    </a>
                </div>
                <div class="devsol-sg d-grid">
                    <a href="{{route('main-funnel')}}" class="d-flex align-items-center justify-content-between">
                        A Nonprofit Organization
                        <img src="{{ asset('frontend/assets/images/arrow.svg') }}" alt="icon" width="48px">
                    </a>
                </div>
                <div class="devsol-sg d-grid">
                    <a href="{{route('main-funnel')}}" class="d-flex align-items-center justify-content-between">
                        An Enterprise
                        <img src="{{ asset('frontend/assets/images/arrow.svg') }}" alt="icon" width="48px">
                    </a>
                </div>
                <div class="devsol-sg d-grid">
                    <a href="{{route('main-funnel')}}" class="d-flex align-items-center justify-content-between">
                        A Freelancer
                        <img src="{{ asset('frontend/assets/images/arrow.svg') }}" alt="icon" width="48px">
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="except-result" data-aos="fade-up" data-aos-delay="200">
    <div class="container partner-techno">
        <div class="except d-flex">
            <div class="except-lft">
                <p class="dev-complex">We make complex things simple, by creating reliable systems with scalable
                    architecture, and improved user experience.</p>
            </div>
            <div class="except-rgt">
                <p>Our developers have a keen eye for technical detail that enhances both user experience and your bottom line. We meticulously craft each element of your digital presence, ensuring fast-loading, responsive, automated and intuitive designs that drive user engagement, increase conversions, and ultimately boost your revenue
                     <b> Partner with us for exceptional results. </b> </p>
                <div class="experts-logo">
                    <p class="mb-3 expt-logo">We are experts in</p>
                    <div class="expogoinr">
                        <img src="{{ asset('frontend/assets/images/image1.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image2.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image3.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image4.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image5.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image6.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image7.webp') }}" alt="" width="50px">
                        <img src="{{ asset('frontend/assets/images/image8.webp') }}" alt="" class="" width="50px">
                    </div>
                   
                </div>
            </div>
        </div>
    </div>
</section>

<section class="things-well" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
        <h2 class="heading">We do five things <i> really well </i></h2>


        <div class="accordion" id="thingsservices">
            <div class="accordion-item">
                <h2 class="accordion-header" id="webheading">
                    <button class="accordion-button" type="button" data-bs-toggle="collapse"
                        data-bs-target="#websites" aria-expanded="true" aria-controls="websites">
                        Websites
                    </button>
                </h2>
                <div id="websites" class="accordion-collapse collapse show" aria-labelledby="webheading"
                    data-bs-parent="#thingsservices">
                    <div class="accordion-body p-0">
                        <p>From online commerce sites to highly optimised lead generation funnels. Our team 
                            has been working diligently to create solutions that keep up with the latest 
                            advancements, giving your business a competitive edge.</p>
                    </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="crmheading">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                        data-bs-target="#crm" aria-expanded="false" aria-controls="crm">
                        CRMs
                    </button>
                </h2>
                <div id="crm" class="accordion-collapse collapse" aria-labelledby="crmheading"
                    data-bs-parent="#thingsservices">
                    <div class="accordion-body p-0">
                        <p>Trusted by business generating over 1000 inbound leads a day. Our bespoke built CRM solutions can process huge volumes of data and documents to help power and automate your business behind the scenes.</p>
                    </div>
                </div>
            </div>

            <div class="accordion-item">
                <h2 class="accordion-header" id="dashboardsheading">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                        data-bs-target="#dashboards" aria-expanded="false" aria-controls="dashboards">
                        Dashboards
                    </button>
                </h2>
                <div id="dashboards" class="accordion-collapse collapse" aria-labelledby="dashboardsheading"
                    data-bs-parent="#thingsservices">
                    <div class="accordion-body p-0">
                        <p>Extract and display huge volumes of data from multiple sources all in one place. Our dashboard can be a standalone solution or integrated into your current workflow. We take data auditing and presentation to a new level.</p>
                    </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="appheading">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                        data-bs-target="#mobapp" aria-expanded="false" aria-controls="mobapp">
                        Mobile Apps
                    </button>
                </h2>
                <div id="mobapp" class="accordion-collapse collapse" aria-labelledby="appheading"
                    data-bs-parent="#thingsservices">
                    <div class="accordion-body p-0">
                        <p>Our team excels in creating apps that offer seamless user experiences and robust functionality. Whether it's iOS, Android, or cross-platform, we ensure your app stays ahead with the latest technologies and trends, providing your users with a superior mobile experience.</p>
                    </div>
                </div>
            </div>
            <div class="accordion-item">
                <h2 class="accordion-header" id="docproheading">
                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                        data-bs-target="#docProcessing" aria-expanded="false" aria-controls="docProcessing">
                        Workflow Automation
                    </button>
                </h2>
                <div id="docProcessing" class="accordion-collapse collapse" aria-labelledby="docproheading"
                    data-bs-parent="#thingsservices">
                    <div class="accordion-body p-0">
                        <p>Cheat codes for your business. We will help you to skip over the boring, repetitive tasks. Giving you your time back to focus on the things that matter.</p>
                    </div>
                </div>
            </div>
        </div>
    </div>


</section>

<section class="automate" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
 
            <div class="automatelft">
            <div class="automate-cnt text-center text-white">
            <h3 class="strategic d-inline-block mt-0"> Strategic Guidance on AI & Workflow Automation</h3>
                <h2 class="heading">Automate Repetitive Tasks, <i>Instantly.</i> </h2>
                
                <p class="mb-0">We’ll always look to eliminate repetitive tasks and reduce errors with integrated 
                    automations in our systems -  optimising every aspect of your workflow.</p>
                   </div>
                       <div class="automate-btm d-flex flex-sm-row flex-column flex-wrap align-items-center justify-content-center">
                     <div class="p-3 automate-inr"> 
                            <h4 class="mb-0">Use Case Identification </h4>
                          </div>
                          <div class="p-3 automate-inr"> 
                            <h4 class="mb-0"> Feasibility Assessments </h4>
                          </div>
                          <div class="p-3 automate-inr"> 
                            <h4 class="mb-0">Strategic Development </h4>
                          </div>
                          <div class="p-3 automate-inr"> 
                            <h4 class="mb-0">  Performance Evaluation </h4>
                          </div> 
                    </div>
           
            </div>
     
    </div>
</section>

<section class="business-money" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
        <div class="busimni d-flex">
            <div class="busimni-lft col busimni-inr">
                <div class="busilft-inr">
                <h2 class="heading mb-md-0 mb-2"><i>The Growth Partner </i> For Your Business </h2>
                <p class="mb-4">We’re more than a development agency. Our partners have seen <b>huge growth</b> with systems that enable businesses to become razor-sharp on the front-end and back-end. Fine tuning every aspect of your workflow. Check out some of our success stories. </p>
            </div>
        </div>
            <div class="busimni-rgt col busimni-inr">
                <div class="busimnisite business1">
                    <div class="text-center">
                    <img src="{{ asset('frontend/assets/images/qg-web1.png?webpc1') }}" alt="" class="img-fluid">
                </div>
                    <span class="performance performance-btn-1 d-inline-block mt-0"> Scalable CRM & Dashboard System</span>
                    <div class="d-flex align-items-sm-end align-items-start mt-3 justify-content-between flex-sm-row flex-column">
                        <div class="busimni-cnt arw-icon-1">
                            <h3 class=""> PCP / HP Claims </h3>
                            <p class="mb-0">‘We achieved exceptional ROI with higher claimant conversion rates and reduced administrative workload’. Our client now handles case volumes that were once deemed unfeasible or unprofitable.</p>
                        </div>
                        <a href="#" class="d-flex align-items-center justify-content-center"> <img src="{{ asset('frontend/assets/images/arrow.png') }}" alt=""> </a>
                    </div>
                </div>
                <div class="busimnisite business2">
                    <div class="text-center">
                    <img src="{{ asset('frontend/assets/images/qg-web2v2.png?webpc1') }}" alt="" class="img-fluid">
                   </div>
                    <span class="performance performance-btn-2 d-inline-block"> Performance-Based Client Workflow </span>
                    <div class="d-flex align-items-sm-end align-items-start mt-3 justify-content-between flex-sm-row flex-column">
                        <div class="busimni-cnt arw-icon-2">
                        <h3 class="">UK Tax Reclaim</h3>
                            <p class="mb-0">Our accountancy client praised their incredibly easy and efficient process which takes on static industry through refined user workflows and automated document processing</p>
                        </div>
                        <a href="#"> <img src="{{ asset('frontend/assets/images/arrow.png') }}" alt=""> </a>
                    </div>
                </div>
                <div class="busimnisite business3">
                    <div class="text-center">
                    <img src="{{ asset('frontend/assets/images/qg-web3.png?webpc1') }}" alt="" class="img-fluid">
                </div>
                    <span class="performance performance-btn-3 d-inline-block"> High Volume SaaS Business </span>
                    <div class="d-flex align-items-sm-end align-items-start mt-3 justify-content-between flex-sm-row flex-column">
                        <div class="busimni-cnt arw-icon-3">
                        <h3 class="">Brightspeed.ai</h3>
                            <p class="mb-0">Think document processing at scale. Brightspeed uses AI to train custom AI models that fit your business needs. Integrate hundreds of sources and process data at volume with this revolutionary tech.</p>
                        </div>
                        <a href="#"> <img src="{{ asset('frontend/assets/images/arrow.png') }}" alt=""> </a>
                    </div>
                </div>

                <div class="busimnisite business4 mb-0">
                    <div class="text-center">
                    <img src="{{ asset('frontend/assets/images/qg-web4.png?webpc1') }}" alt="" class="img-fluid">
                   </div>
                    <span class="performance performance-btn-4 d-inline-block"> Performance-Based Client Workflow </span>
                    <div class="d-flex align-items-sm-end align-items-start mt-3 justify-content-between flex-sm-row flex-column">
                        <div class="busimni-cnt arw-icon-4">
                        <h3 class="">Tapton Capital</h3>
                            <p class="mb-0">We revamped Tapton Capital’s digital presence - Our custom-built CRM and dashboard streamlined client management, driving exceptional growth and efficiency.</p>
                        </div>
                        <a href="#"> <img src="{{ asset('frontend/assets/images/arrow.png') }}" alt=""> </a>
                    </div>
                </div>



            </div>
        </div>
    </div>
</section>

<section class="noheadaches">
    <div class="">
        <div class="noheadaches-cnt text-center p-lg-0 p-3">
        <h2 class="heading pt-md-4"><i class="d-block"> No Headaches</i> When You Scale </h2>
        <p>Everything we build has future-proofing in mind - Using cloud based services such as EC2, 

            Elastic Beanstalk, Lambda and S3 we will ensure your development maintains consistent, 
            lightning speed as your business grows. </p>
            <!-- <img src="{{ asset('frontend/assets/images/noheadaches-mob.svg') }}" alt="" class="w-100 d-sm-none d-block"> -->
        </div>
    </div>
</section>

<section class="reviews" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
    <h2 class="heading">Our customer stories</h2>
    <p class="mb-md-4 mb-3 trustpilot-custom">See why 200+ other customers have rated us as Excellent on Trustpilot</p>
    <ul class="rating">
        <li class="me-2"> <i class="fa fa-star" aria-hidden="true"></i> </li>
        <li class="me-2"> <i class="fa fa-star" aria-hidden="true"></i> </li>
        <li class="me-2"> <i class="fa fa-star" aria-hidden="true"></i> </li>
        <li class="me-2"> <i class="fa fa-star" aria-hidden="true"></i> </li>
        <li class="me-2"> <i class="fa fa-star" aria-hidden="true"></i> </li>
    </ul>


    <div class="owl-carousel owl-theme">
        <div class="item reviews-cnt p-4">
          <p class="revnme mb-3">James Lennon</p>
          <h3 class="mb-3">5 Stars</h3>
          <p class="">QwikGig put together a fantastic CRM system for us. They understood the brief and took time to grasp what we were looking to achieve.</p>
          <p class="">In addition, they made a lot of useful suggestions on things we haven't thought about or taken into account...</p>
        </div>
        <div class="item reviews-cnt p-4">
            <p class="revnme mb-3">PR Accounts</p>
            <h3 class="mb-3">As an accountancy business we needed a…</h3>
            <p class="mb-0">sales process integrated with a CRM solution. The guys at QwikGig have been fantastic in their approach, flexible, open to ideas and delivered the system we needed on time, on budget and with great support. Can’t fault the team</p>
          </div>
          <div class="item reviews-cnt p-4">
            <p class="revnme mb-3">FiftyEightWest</p>
            <h3 class="mb-3">CRM QwikGig 5 Stars</h3>
            <p class="mb-0">We appointed QwikGig to design our website and CRM system. The criteria for the CRM was to be fully integrated with the lead generated from the website and online marketing, QwikGig designed and produced a fully integrated CRM system within budget and ahead of time. 5 stars and would recommend QwikGig</p>
          </div>
          <div class="item reviews-cnt p-4">
            <p class="revnme mb-3">Mr Oliver Crook</p>
            <h3 class="mb-3">Really happy with our product</h3>
            <p class="mb-0">Really happy with our product. Great company to work with, everything completed on time and to a really high standard.</p>
          </div>
          <div class="item reviews-cnt p-4">
            <p class="revnme mb-3">Mefodical Media</p>
            <h3 class="mb-3"> </h3>
            <p class="mb-0">I highly recommend QwikGig for their exceptional service in building my advertising agency's website. Their team was professional, responsive, and delivered a stunning, user-friendly site on time. We appreciated their attention to detail and proactive communication throughout the process. Thanks to their expertise, our online presence is now established.</p>
          </div>
       
      </div>

</div>
</section>

<section class="workflow-systems" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
    <div class="workflow-heading d-flex flex-column flex-md-row align-items-end">
    <h2 class="heading mb-0"><i>Breathe life </i>into your workflow and systems</h2>
    <p class="mb-0">We create proprietary solutions that drive your business results. From E-commerce and 
        Technology to Operations, Brand, and Data, we optimize and refine every aspect of our 
        work—</p>
    </div>
        <ul class="workflow-dtl p-0 mb-0">
            <li class="d-inline-block">Launching a new website or app</li>
            <li class="d-inline-block">Implementing AI Solutions</li>
            <li class="d-inline-block"> Seeking to enhance user experience </li>
            <li class="d-inline-block"> Accelerating your digital transformation </li>
            <li class="d-inline-block"> Upgrading your existing digital platform </li>
            <li class="d-inline-block"> Looking to automate your business </li>
            <li class="d-inline-block"> Improving your online presence </li>
            <li class="d-inline-block"> And much more! </li>
        </ul>
    </div>
</section>

<section class="lets-start" data-aos="fade-up" data-aos-delay="200">
    <div class="container">
        <div class="letstart-inr d-flex align-items-start align-items-lg-center justify-content-between flex-lg-row flex-column">   
            <div class="letstart-cnt">     
    <h2>Let us <i> kickstart</i> your growth!</h2>
    <p class="mb-0">Get a full, free project scope today</p>
</div>
<a href="{{route('main-funnel')}}" class="startgig">Start Now</a>
    </div>
</section>

@endsection

@section('scripts')

<script src="{{ asset('frontend/assets_backup/js/owl.carousel.js') }}"></script>
    
<script src="https://cdn.jsdelivr.net/npm/aos@2.3.4/dist/aos.js"></script>
<script>

  AOS.init();
</script>

<script>
$(document).ready(function () {
    var owl = $('.owl-carousel');
    owl.owlCarousel({
        items: 4,
        loop: true,
        margin: 24,
        autoplay: false,
       
        responsive: {
        0: {
          items: 1
        },
        568: {
          items: 2
        },
       992: {
          items: 3
        },
        1200: {
          items: 4
        }
      }
    });
 
})
</script>
<script>
        $(document).ready(function () {
            $(".navbar-button").click(function () {
                $("#navbarcnt").show();
                $(".bg-overley").addClass("show");

            });
            $(".closebtn").click(function () {
                $("#navbarcnt").hide();
                $(".bg-overley").removeClass("show");
            });
            $(".bg-overley").click(function () {
                $("#navbarcnt").hide();
                $(".bg-overley").removeClass("show");
            });
        });
        </script>
         <script>

AOS.init({

once: true, // Animation only happens once

duration: 1200, // Animation duration

delay: 200, // Delay before animation starts

});




document.addEventListener("DOMContentLoaded", function() {

  // Call the function on page load
  setEqualHeight();

  // Optionally, re-apply on window resize or owl-carousel events
  window.addEventListener('resize', setEqualHeight);
  $('.owl-carousel').on('changed.owl.carousel', setEqualHeight);
});


window.addEventListener('load', function() {
    setTimeout(() => {
        setEqualHeight();        
    }, 30);

});

function setEqualHeight() {
    let maxHeight = 0;

    // Get all .owl-item elements
    const items = document.querySelectorAll('.owl-stage .owl-item .reviews-cnt');

    // Reset any previously set heights
    items.forEach(item => {
      item.style.height = 'auto';
    });

    // Find the maximum height
    items.forEach(item => {
      const itemHeight = item.offsetHeight;
      if (itemHeight > maxHeight) {
        maxHeight = itemHeight;
      }
    });

    // Set all items to the maximum height
    items.forEach(item => {
      item.style.height = `${maxHeight}px`;
    });
  }

</script>
@endsection