<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Qwikgig</title>
    <link rel="stylesheet" href="{{ asset('frontend/assets/css/bootstrap.min.css') }}" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css" />
    <link rel="stylesheet" href="{{ asset('frontend/assets/css/custom.css') }}" />
    <link rel="stylesheet" href="{{ asset('frontend/assets/css/custom-responsive.css') }}" />
    <script src="{{ asset('frontend/assets/js/jquery.slim.min.js') }}"></script>
    <script src="{{ asset('frontend/assets/js/bootstrap.bundle.min.js')}}"></script>    
</head>
<body>

    <main class="main-login">
      
        <section class="portal login h-100">
            <div class="row h-100">
                <div class="col-lg-4">

                <div class="portallft login-lft h-100">
                    <div class="portalinr login-form h-100">
                    <a href="{{route('home')}}">
                    <img src="{{ asset('frontend/assets/images/logomain.svg')}}" alt="logo">
                    </a>
                    <div class="portaldtl login-inr d-flex justify-content-center flex-column">


                    <h3 class="mb-2">{{lang('common.login')}}</h3>

                    <p>Welcome to QwikGig client’s area</p>

                    @include('frontend.layouts.messages')
                    
                        <form method="post" action="{{ route('login-submit') }}" name="login-form" onsubmit="return validateForm()">
                            @csrf

                            <input type="hidden" name="case_id" value="{{ $case_id }}">

                            <div class="form-group">
                                <label>{{lang('common.email')}}</label>
                                <input type="text" class="input-control" placeholder="e.g johndoe@example.com" name="email" id="email">

                                <div class="invalid-feedback mt-2 " style="{{($errors->has('email'))?'display: block;':'display: none;'}}">{{ ($errors->has('email'))?$errors->first('email'):'' }}</div>

                            </div>
                            <div class="form-group">
                                <label class="mt-3">{{lang('common.password')}}</label>
                                <div class="input-group">
                                    <input type="password" class="input-control" placeholder="Password" id="password" name="password">

                                    <div class="input-group-append position-absolute d-flex h-100 align-items-center">
                                        <button type="button" class="btn btn-outline-secondary border-0" id="togglePassword">
                                            <i class="fa fa-eye"></i>
                                        </button>
                                    </div>

                                    <div class="invalid-feedback mt-2 " style="{{($errors->has('password'))?'display: block;':'display: none;'}}">{{ ($errors->has('password'))?$errors->first('password'):'' }}</div>

                                </div>

                            </div>
                            <div class="mt-3 d-flex justify-content-between">
                                <span> <input type="checkbox" class="me-1" name="remember" value="1"> Remember Me </span>
                                <span>Forgot Password?</span>
                            </div>

                            <button class="submit border-0" type="submit">{{lang('common.login')}}</button>

                        </form>

                        <p class="register mb-0 text-center">Don’t have an account yet? <a href="{{route('register', ['case_id' => $case_id])}}"> Register </a> </p>
                </div>
            </div></div>



            
        </div>
            <div class="col-lg-8 p-0">
                <div class="portalrgt login-rgt d-flex align-items-end text-white h-100">
                    <div>
                    <span class="trustpilot-imgs">                        
                        <div class="d-flex align-items-center">
                            <img src="{{ asset('frontend/assets/images/img1.png')}}" alt="image" class="start-0">
                            <img src="{{ asset('frontend/assets/images/img2.png')}}" alt="image" class="trust-imgs trust-img2">
                            <img src="{{ asset('frontend/assets/images/img3.png')}}" alt="image" class="trust-imgs trust-img3">
                            <img src="{{ asset('frontend/assets/images/img4.png')}}" alt="image" class="trust-imgs trust-img4">
                            <span class="ms-3">20+ people trust us on
                                trustpilot</span>
                        </div>                
                    </span>
                    <h2 class="mt-4">Transform your online development ideas into reality, <i>faster than ever before</i></h2>
                </div>
            </div>
            </div>
        </div>

        </section>
    </main>
    <script type="text/javascript">
        document.getElementById('togglePassword').addEventListener('click', function () {
            var passwordField = document.getElementById('password');
            var togglePasswordIcon = this.querySelector('i');

            // Toggle the type attribute
            if (passwordField.type === 'password') {
                passwordField.type = 'text';
                togglePasswordIcon.classList.remove('fa-eye');
                togglePasswordIcon.classList.add('fa-eye-slash');
            } else {
                passwordField.type = 'password';
                togglePasswordIcon.classList.remove('fa-eye-slash');
                togglePasswordIcon.classList.add('fa-eye');
            }
        });

        function validateForm() {

            // Get the form elements
            var email =$('#email').val();
            var email_select =$('#email');

            var password =$('#password').val();
            var password_select =$('#password');

            var regexMobile =/^\d{10}$/;
            var regexEmail =/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9])+$/;

            //Showing all errors
            var error = false;  
           
            if (email === "") {
                email_select.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
                error = true;        
            }else{
                email_select.closest('.form-group').find(".invalid-feedback").html("").hide();
            } 
            if (password === "") {
                password_select.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
                error = true;        
            }else{
                password_select.closest('.form-group').find(".invalid-feedback").html("").hide();
            }  
            
            //return false;    

            if(error){
                return false;
            }
            
            // If all checks pass, return true to allow form submission
            return true;
        }

        $("#email").keypress(function(event) {
            var name = $(this).val();
            var nameSelect = $(this);   
            if (name === "") {
               // nameSelect.closest('.form-group').find(".invalid-feedback").html("This field is required.").show();
                   
            }else{

                nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
            }         
        });

        $("#password").keypress(function(event) {
            var name = $(this).val();
            var nameSelect = $(this);   
            if (name === "") {
               // nameSelect.closest('.form-group').find(".invalid-feedback").html("This field is required.").show();
                   
            }else{

                nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
            }         
        });

    </script>
</body>
</html>


