@extends('frontend.layouts.master')
@section('style')
<style type="text/css">
    .project-title-input{
        display: none;
    }
    .send-title-btn{
        display: none;
    }

    .ai-overview-input{
        display: none;
    }
    .send-ai-overview-btn{
        display: none;
    }
    .project-category-input{
        display: none;
    }
    .send-category-btn{
        display: none;
    }

</style>
@endsection

@section('content')
@if($loader==false)
<section class="main-content projectoverview">
    
        <div class="step1">
            <div class="main-content-steps text-center">
                <img src="{{asset('frontend/assets/images/loading-gif.gif')}}" width="60" alt="loader">
                <h1 class="mb-3 text-center mt-md-5 mt-4">Beep boop, your project overview will be ready soon</h1>
                <p class="text-center processing-text">This might take a few seconds.</p>
            </div>
        </div>
</section>
@else
<section class="main-content-2">
    
    <div class="step1 projectoverview">
        <img src="{{asset('frontend/assets/images/ai-started.svg')}}" alt="ai-started" class="ai-started-img pb-md-2 mb-md-4 mb-3 project-overview-img">
        <h1 class="mb-3 heading">Your project is ready to review!</h1>
       
        <div class="invalid-feedback mt-2"> </div>
        
        @include('frontend.layouts.messages')

        <div class="main-content-steps">            
                

                    <div class="card project-overview project-overview-card mb-md-4 mb-3">                        
                        <div class="card-body p-3 p-md-4">
                            <div class="d-flex flex-row justify-content-between align-items-center project-overview-block">
                                <div class="project-title-text">
                                    <h5 class="card-title mb-0">{{$projectOverview->title}}</h5>
                                </div>

                                <div class="project-title-input form-group w-100">
                                    <input type="text" name="project_title" class="form-control" value="{{$projectOverview->title}}" placeholder="enter title">

                                    <div class="invalid-feedback mt-2 "
                                    style="{{($errors->has('project_title'))?'display: block;':'display: none;'}}">
                                    {{ ($errors->has('project_title'))?$errors->first('project_title'):'' }}
                                    </div>
                                </div>

                                <div class="">
                                    <a href="javascript:void(0)" class="send-title-btn send-request-ajax send-icon border-1" data-type="title" data-id="{{$projectOverview->id}}" data-route="{{route('project-overview-update')}}">
                                    <i class="fa-solid fa-check"></i>
                                    </a>
                                    
                                    <a href="javascript:void(0)" class="edit-title-btn" ><img src="{{asset('frontend/assets/images/pencil.svg')}}" alt="edit button" class="float-end">
                                    </a>

                                </div>


                              
                            </div>
                            <div class="d-flex flex-row justify-content-between align-items-center project-overview-block pt-1 mt-2">
                                <div class="ai-overview-text">
                                    <p class="card-text">{{$projectOverview->ai_overview}} </p>
                                </div>

                                <div class="ai-overview-input form-group w-100">
                                    <textarea name="project_ai" class="form-control" placeholder="enter title">{{$projectOverview->ai_overview}}</textarea>

                                    <div class="invalid-feedback mt-2 "
                                    style="{{($errors->has('project_ai'))?'display: block;':'display: none;'}}">
                                    {{ ($errors->has('project_ai'))?$errors->first('project_ai'):'' }}
                                    </div>


                                </div>

                                <div class="">

                                    <a href="javascript:void(0)" class="send-ai-overview-btn send-icon border-1 send-request-ajax" data-type="ai_overview" data-id="{{$projectOverview->id}}" data-route="{{route('project-overview-update')}}"> <i class="fa-solid fa-check"></i> </a>

                                    <a href="javascript:void(0)" class="edit-ai-overview-btn"><img src="{{asset('frontend/assets/images/pencil.svg')}}" alt="edit button" class="float-end"></a>
                                </div>                              
                            </div>
                            <div class="overviewbtndiv d-flex align-items-center flex-wrap">
                                <button class="overviewbtn shortenit" data-bs-toggle="modal" data-bs-target="#aiworking"> <img src="{{asset('frontend/assets/images/minimize.svg')}}" alt=""> Shorten it </button>
                                <button class="overviewbtn Rewriteit"> <img src="{{asset('frontend/assets/images/pencil.svg')}}" alt=""> Rewrite it </button>
                                <button class="overviewbtn addmoredetails "> <img src="{{asset('frontend/assets/images/plus.svg')}}" alt=""> Add more details </button>
                            </div>                            
                             
                        </div>
                    </div>

                    <!-- Button trigger modal -->

<!-- Modal -->
<div class="modal fade" id="aiworking" tabindex="-1" aria-labelledby="aiworkingLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
     <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
   
      <div class="modal-body">
      <img src="{{asset('frontend/assets/images/loading-gif.gif')}}" class="mb-3" width="60" alt="loader">
      <h2>Our AI is working</h2>
      <p class="mb-0">Please wait, your job is being drafted</p>
      </div>
     
    </div>
  </div>
</div>

                    <div class="card project-overview project-overview-card mb-md-4 mb-3">                        
                        <div class="card-body p-3 p-md-4">
                            <h6 class="card-title">Category</h6>
                            <div class="d-flex flex-row justify-content-between align-items-center project-overview-block">
                                <div class="project-category-text">
                                        <p class="mb-4 card-text"> {{$projectOverview->category}}</p>
                                </div> 

                                <div class="project-category-input form-group w-100">
                                     <input type="text" name="project_category" class="form-control" value="{{$projectOverview->category}}" placeholder="enter category">

                                     <div class="invalid-feedback mt-2 "
                                    style="{{($errors->has('project_category'))?'display: block;':'display: none;'}}">
                                    {{ ($errors->has('project_category'))?$errors->first('project_category'):'' }}
                                    </div>

                                </div>    
                                
                                <div class="">
                                    <a href="javascript:void(0)" class="send-category-btn send-icon border-1 send-request-ajax" data-type="category" data-id="{{$projectOverview->id}}" data-route="{{route('project-overview-update')}}"><i class="fa-regular fa-paper-plane"></i></a>


                                    <a href="javascript:void(0)" class="edit edit-category-btn"><img src="{{asset('frontend/assets/images/pencil.svg')}}" alt="edit button" class="float-end">
                                    </a>
                                </div>
                              
                            </div>

                            <h6 class="card-title">Skills</h6>

                            @php
                            $skills= [];
                            if(!empty($projectOverview->skills)){
                                $skillsExplode = explode(",", $projectOverview->skills);
                                if(!empty($skillsExplode)){
                                    foreach($skillsExplode as $k => $v){
                                        $skills[] = $v;
                                    }

                                }
                            }

                            //print_r($skills);
                            @endphp

                            <div class="d-flex mb-4 justify-content-start align-items-start flex-wrap gap-2">
                                @if(!empty($skills))
                                    @foreach($skills as $sk => $sv)
                                        <div class="project-skill">{{$sv}}</div>
                                    @endforeach
                                @endif
                            </div>
                            {{-- 
                            <div class="d-flex flex-row justify-content-between align-items-center">
                                <div class="">
                                    <h6 class="card-title">Scope</h6>
                                    <p class="mb-0">{{$projectOverview->scope}}</p>

                                </div>
                                <div class="">
                                    <a href="#"><img src="{{asset('frontend/assets/images/pencil.svg')}}" alt="edit button" class="float-end"></a>
                                </div> 
                            </div>
                            --}}
                        </div>
                    </div>

                    <div class="card project-overview project-overview-card mb-md-4 mb-3">                        
                        <div class="card-body p-3 p-md-4">
                            <h6 class="card-title">Category</h6>
                            <div class="d-flex flex-row justify-content-between align-items-center project-overview-block">
                                <div class="project-category-text">
                                        <p class="mb-0 card-text"> {{$projectOverview->category}}</p>
                                </div> 

                                <div class="project-category-input form-group w-100">
                                    
                                     <select name="services" name="project_category" id="services" class="form-control">
                                        <option value="accounting">Accounting</option>
                                        <option value="wordpress-development">WordPress Development</option>
                                        <option value="woocommerce-development">WooCommerce Development</option>
                                        <option value="shopify-development">Shopify Development</option>
                                        <option value="hubspot-development">HubSpot Development</option>
                                        <option value="frontend-development">Front-End Development</option>
                                        <option value="vue-react-spa-development">Vue/React SPA Development</option>
                                        <option value="contentful-development">Contentful Development</option>
                                        <option value="squarespace-development">Squarespace Development</option>
                                        <option value="craft-development">Craft Development</option>
                                        <option value="bigcommerce-development">BigCommerce Development</option>
                                        <option value="email-templates-coding">Email Templates Coding</option>
                                        <option value="website-redesign">Website Redesign</option>
                                        <option value="website-maintenance">Website Maintenance</option>
                                        <option value="other-design-services">Other Design Services</option>
                                        <option value="webflow-development">Webflow Development</option>
                                        <option value="ecommerce-development">eCommerce Development</option>
                                        <option value="data-science-analytics">Data Science & Analytics</option>
                                        <option value="it-networking-cloud-engineering">IT, Networking & Cloud Engineering</option>
                                        <option value="sales-marketing">Sales & Marketing</option>
                                    </select>


                                     <div class="invalid-feedback mt-2 "
                                    style="{{($errors->has('project_category'))?'display: block;':'display: none;'}}">
                                    {{ ($errors->has('project_category'))?$errors->first('project_category'):'' }}
                                    </div>

                                </div>    
                                
                                <div class="">
                                    <a href="javascript:void(0)" class="send-category-btn send-icon border-1 send-request-ajax" data-type="category" data-id="{{$projectOverview->id}}" data-route="{{route('project-overview-update')}}"> <i class="fa-solid fa-check"></i> </a>


                                    <a href="javascript:void(0)" class="edit edit-category-btn"><img src="{{asset('frontend/assets/images/pencil.svg')}}" alt="edit button" class="float-end">
                                    </a>
                                </div>
                              
                            </div>

                            <h6 class="card-title mt-4">Skills</h6>

                            @php
                            $skills= [];
                            if(!empty($projectOverview->skills)){
                                $skillsExplode = explode(",", $projectOverview->skills);
                                if(!empty($skillsExplode)){
                                    foreach($skillsExplode as $k => $v){
                                        $skills[] = $v;
                                    }

                                }
                            }

                            //print_r($skills);
                            @endphp

                            <div class="d-flex justify-content-start align-items-start flex-wrap gap-2">
                                @if(!empty($skills))
                                    @foreach($skills as $sk => $sv)
                                        <div class="project-skill">{{$sv}}</div>
                                    @endforeach
                                @endif
                            </div>
                            {{-- 
                            <div class="d-flex flex-row justify-content-between align-items-center">
                                <div class="">
                                    <h6 class="card-title">Scope</h6>
                                    <p class="mb-0">{{$projectOverview->scope}}</p>

                                </div>
                                <div class="">
                                    <a href="#"><img src="{{asset('frontend/assets/images/pencil.svg')}}" alt="edit button" class="float-end"></a>
                                </div> 
                            </div>
                            --}}
                        </div>
                    </div>

                <form method="POST" action="{{route('submit-overview')}}" id="project-overview-form" onsubmit="return validateForm()">
                    @csrf
                    <input type="hidden" name="flow_id" value="{{$flow_id}}">
                    <div class="accordion accordion-project project-overview-accordion mb-5" id="accordionProject">
                        <div class="accordion-item p-3 p-md-4">
                            <h6 class="accordion-header" id="headingOne">
                            <button class="accordion-button pb-0 mb-2" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                            Immediate questions
                            </button>
                            </h6>
                            <p class="mt-0">Any immediate questions for our developers?</p>
                            <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionProject">
                                <div class="accordion-body">
                                    <div class="form-group-main">
                                    @php 
                                    $key = 2;
                                    $default = 2;
                                    $diff = 0;
                                    $total = 10;

                                    @endphp
                                    @if($projectQuestions->isNotEmpty())
                                        @foreach($projectQuestions as $k => $v)
                                        <div class="stages-inr d-flex align-items-center justify-content-between mt-2 mt-md-3 questions_block_{{$key}}">
                                            <input type="text" class="stage_option form-control business_input " name="questions[{{$key}}]"
                                                placeholder="e.g. How quickly can you get started?" value="{{$v->title}}" data-id="{{$key}}"> 

                                            <button class="optclosebutton optiptbtn ms-2" style="display:block" type="button" data-tab="" data-id="" data-route="{{route('delete-business-stages')}}" onclick="deleteEmpty(this)">
                                                <img src="{{ asset('frontend/assets/images/x-close.png') }}" alt="close button" width="24">
                                            </button>              

                                        </div>

                                        <div class="invalid-feedback error-{{$key}} mt-2 w-100 "style="display: none">
                                        </div>
                                       
                                        @php $key++ @endphp
                                       
                                        @endforeach

                                    @endif                                    
                                    @if($key!=10)  
                                        @php
                                        //$key++;
                                        @endphp 
                                        
                                        <div class="stages-inr d-flex align-items-center justify-content-between mt-2 mt-md-3 step-block keys-main questions_block_1 add-question-row">
                                            
                                            <input type="text" class="stage_option form-control   business_input" name="questions[1]"
                                                placeholder="e.g. How quickly can you get started?" value="" data-id="1">   
                                            <button class="optaddbutton optiptbtn ms-2" data-key="1" data-id="" data-input-class="business_input" data-close-img="{{ asset('frontend/assets/images/x-close.png') }}">
                                                <img src="{{ asset('frontend/assets/images/plus.png') }}" alt="close" width="24px">
                                            </button>             

                                        </div>

                                        <div class="invalid-feedback error-1 mt-2 w-100"style="display: none;"> 
                                        </div>

                                    @endif

                                    </div>
                                </div>
                            </div>
                        </div>
                          
                    </div>
                    <div class="btndv-main d-flex gap-3 justify-content-end">
                        <button class="prevbtn btn stpbtn redo-btn">Redo</button>
                        <button type="submit" class="nxtbtn btn stpbtn continue-btn">Continue</button>
                    </div>

                </form>

            
        </div>
    </div>
    
</section>

@endif

@endsection

@section('scripts')
<script type="text/javascript">

var $j = jQuery.noConflict();

var loader = "{{$loader}}";
var route = "{{route('check-project-overview', ['case_id' => $flow_id])}}";

$(".edit-title-btn").on("click", function(){
    $(this).hide();
    $(".send-title-btn").show();
    $(".send-title-btn").addClass("overviewcheck");
    $('.project-title-text').hide();
    $('.project-title-input').show();   

});

$(".send-title-btn").on("click", function(){

    input = $(this).parents(".project-overview-block").find(".project-title-input input").val().trim();    

    if (input == "") {
        $(this).parents(".project-overview-block").find(".invalid-feedback").html("Please enter text this field.").show();
        return false;            

    } else {
        var text = input;

        if (text.length < 10) {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("The Text must be greater than 2 characters.").show();
            return false
        } else if (text.length > 160) {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("The text must be less than 160 characters.").show();
            return false
        } else {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("").hide();
        }

    }

    $(this).hide();
    $(".send-title-btn").removeClass("overviewcheck");
    $(".edit-title-btn").show();
    $('.project-title-text').show();
    $('.project-title-input').hide();   

});

$(".edit-ai-overview-btn").on("click", function(){
    $(this).hide();
    $(".send-ai-overview-btn").show();
    $(".send-ai-overview-btn").addClass("overviewcheck");
    $('.ai-overview-text').hide();
    $('.ai-overview-input').show();   

});

$(".send-ai-overview-btn").on("click", function(){

    input = $(this).parents(".project-overview-block").find(".ai-overview-input textarea").val().trim();    

    if (input == "") {
        $(this).parents(".project-overview-block").find(".invalid-feedback").html("Please enter text this field.").show();
        return false;            

    } else {
        var text = input;

        if (text.length < 160) {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("The Text must be greater than 160 characters.").show();
            return false
        } else if (text.length > 500) {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("The text must be less than 500 characters.").show();
            return false
        } else {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("").hide();
        }

    }


    $(this).hide();
    $(".send-ai-overview-btn").removeClass("overviewcheck");
    $(".edit-ai-overview-btn").show();
    $('.ai-overview-text').show();
    $('.ai-overview-input').hide();   

});

$(".edit-category-btn").on("click", function(){
    $(this).hide();
    $(".send-category-btn").show();
    $(".send-category-btn").addClass("overviewcheck");
    $('.project-category-text').hide();
    $('.project-category-input').show();   

});

$(".send-category-btn").on("click", function(){

    input = $(this).parents(".project-overview-block").find(".project-category-input input").val().trim();    

    if (input == "") {
        $(this).parents(".project-overview-block").find(".invalid-feedback").html("Please enter text this field.").show();
        return false;            

    } else {
        var text = input;

        if (text.length < 3) {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("The Text must be greater than 3 characters.").show();
            return false
        } else if (text.length > 50) {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("The text must be less than 50 characters.").show();
            return false
        } else {
            $(this).parents(".project-overview-block").find(".invalid-feedback").html("").hide();
        }

    }

    $(this).hide();
    $(".send-category-btn").removeClass("overviewcheck");
    $(".edit-category-btn").show();
    $('.project-category-text').show();
    $('.project-category-input').hide();   

});


/*$('.services-label').click(function(){
   var service_checkbox = $(this).attr("for");      
})*/

function validateForm() {
    formSelect = $('#project-overview-form');       
    var inputText  = formSelect.find('.business_input');
    //Showing all errors
    var error = false;

    var inputMin = 0;
    var inputMax = $(inputText).length;  
    var inputBox = '';

    var errorCheck = [];

    let values = Array.from(inputText).map(input => input.value.trim()).filter(value => value);

    //values.join(',');

    /*alert(values);
    return false;*/


    /*$(inputText).each(function() {

        var inputName = $(this).attr('name');
        inputBox = inputName;        
        
        var inputSelect = formSelect.find('input[name="'+inputName+'"]');
        
        if (inputSelect.val() === "") {            
            inputMin++;
        }   

    }); */ 

    //if(inputMin!=inputMax){ 
    if(values!=""){

        var errorMessage = '';        
        
        $(inputText).each(function() {
            var inputName = $(this).attr('name');
            var inputKey = $(this).data('id');
            inputBox = inputName;

            var inputSelect = formSelect.find('input[name="'+inputName+'"]');
            errorMessage ="";
            
            if (inputSelect.val() !== "") {                

                var characterCount = inputSelect.val().length;

                /*alert(characterCount);
                return false;*/
                
                if(characterCount < 30){
                    errorMessage = "This field contains atleast 30 words";
                    //errorCheck = true;
                    formSelect.find('input[name="'+inputBox+'"]').closest('.form-group-main').find(".invalid-feedback.error-"+inputKey).html(errorMessage).show();
                    errorCheck.push(true);
                    //alert(".invalid-feedback.error-"+inputKey);



                }else if(characterCount > 60){ 
                    errorMessage = "This field contains max 60 words only";
                    //errorCheck = true; 
                    formSelect.find('input[name="'+inputBox+'"]').closest('.form-group-main').find(".invalid-feedback.error-"+inputKey).html(errorMessage).show();
                    errorCheck.push(true);

                   // alert(inputBox);  

                }else{
                    formSelect.find('input[name="'+inputBox+'"]').closest('.form-group-main').find(".invalid-feedback.error-"+inputKey).html("").hide();
                    errorCheck.push(false);                    
                }  


            }else{

                formSelect.find('input[name="'+inputBox+'"]').closest('.form-group-main').find(".invalid-feedback.error-"+inputKey).html("").hide();
                errorCheck.push(false);   

            }

        }); 


        
    }else{

        inputBox = "questions[1]";
        formSelect.find('input[name="'+inputBox+'"]').closest('.form-group-main').find(".invalid-feedback.error-1").html("Please enter atleast one field").show();
        error = true;  

    } 

    if(errorCheck.includes(true)){
        return false;
    }

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}



// Define the AJAX function
function fetchData() {
    //alert("test");
    //return false;
    $.ajax({
        url: route, // Replace with your URL
        method: 'GET', // or 'POST', 'PUT', etc., depending on your requirement
        success: function(data) {
            if(data.success == 'success'){                
                location.reload();                
                //console.log(data.result.services);
                //location.reload(true);
            }
            
            // Process the data received from the server
            //console.log(data);
        },
        error: function(error) {
            // Handle any errors
            //console.error('Error fetching data:', error);
        }
    });
}

//fetchData();
if(loader==false){
    setInterval(fetchData, 5000);
}


$('.send-request-ajax').click(function(e){
    e.preventDefault();
    
    var url = $(this).attr('data-route');
    var id = $(this).attr('data-id');
    var type = $(this).attr('data-type');
    var token = $('#csrf-token')[0].content;
    var element = $(this);

    var input = "";
    if(type=="title"){
        input = $(this).parents(".project-overview-block").find(".project-title-input input").val().trim();
    }else if(type=="ai_overview"){
        input = $(this).parents(".project-overview-block").find(".ai-overview-input textarea").val().trim();
    }else if(type=="category"){
        input = $(this).parents(".project-overview-block").find(".project-category-input input").val().trim();
    }

    $.ajax({
        url: url, 
        type: "POST",
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        data: JSON.stringify({id: id, type: type, input: input, _token: token}),
        beforeSend: function() {
            // setting a timeout                
        },
        success: function (result) {
            //alert(JSON.stringify(result.result));
            if(result.success == 'success' && result.result!=""){
                if(result.result.title!="" && result.result.title != undefined){
                    element.parents(".project-overview-block").find(".project-title-text .card-title").html(result.result.title);
                }else if(result.result.ai_overview!="" && result.result.ai_overview != undefined){                    
                    element.parents(".project-overview-block").find(".ai-overview-text .card-text").html(result.result.ai_overview);             
                }else if(result.result.category!="" && result.result.category != undefined){
                    element.parents(".project-overview-block").find(".project-category-text .card-text").html(result.result.category);
                }
            }else{
                
                //alert(JSON.stringify(result.errors));
                if(result.errors != undefined && result.errors.input != undefined){
                    //alert(result.errors.input);
                   /* element.parents(".project-overview-block").find(".project-title-input .invalid-feedback").html(result.errors.input);*/
                }
                
            }
           // alert(result);
            //return false;

            //var data = result;
           //alert(data.success);
           //alert(JSON.stringify(data));
           //return false;
           
           //alert(JSON.stringify(data));
        },
        error: function (err) {
            // check the err for error details
            //alert("Error occured.please try again");
            //alert("Error occured.please try again: " + err);
        }
    });


    
});


   
</script>

<script type="text/javascript">
$(document).ready(function () {
    $('.optaddbutton').click(function(e){
        e.preventDefault();

        var add_question = "add-question-row";  
        var key = $(this).data("key");  
        var closeBtnImg = $(this).data("close-img");    

        //var step = "business-step-sort-"+$(this).data("id");
        //var id = $(this).data("id");
        var input = $(this).data("input-class");
        var inputLength = $("."+input).length;
        
        var currentInputCounter = $("."+input).length;        
        
       // alert();
       // return false;
        if(inputLength < 10){ 
            inputLength = inputLength + 1;
            //alert(inputLength);
            var question_block = "questions_block_"+$(this).data("key");
            /*alert(key);
            return false;*/

            //alert(currentInputCounter);
            var html = '<div class="stages-inr d-flex align-items-center justify-content-between mt-2 mt-md-3 '+question_block+'"><input type="text" class="stage_option form-control business_input" name="questions['+inputLength+']"  onkeyup="setCharacterLimit(this)"                                       placeholder="e.g. record updated" value="" data-id="'+inputLength+'"><button class="optclosebutton optiptbtn ms-2 delete-empty-btn" style="display:block" type="button" onclick="deleteEmpty(this)"><img src="'+closeBtnImg+'" alt="close-button" ></button></div><div class="invalid-feedback error-'+inputLength+' mt-2 w-100 " style="display: none"></div>';

            //$("."+step +" .keys-main").before(html);
            $("."+add_question).before(html);  

        }
        
        //$(".stages-inr").clone().insertAfter(".business-step");
        //alert("fssafd");
    });

    /*$('.optclosebutton').click(function(e){
        e.preventDefault();
        //var url = $(this).attr('data-route');
        //var id = $(this).attr('data-id');
        //var tab = $(this).attr('data-tab');
        //var token = $('#csrf-token')[0].content;
        var element = $(this);
        //element.parents();
        element.parent(".stages-inr").remove();   
        
    });*/

    

});

function deleteEmpty(element){
    $(element).parent(".stages-inr").remove();    
}
</script>
@endsection

