@extends('frontend.layouts.master')

@section('content')

<section class="main-content">
    <div class="step1 services">
        <h1 class="heading">How can we help you get started?</h1>
        
        <div class="invalid-feedback mt-2"> </div>
        
        @include('frontend.layouts.messages')

        <div class="main-content-steps get-started">
            
                <form method="POST" action="{{route('start-project.store')}}" id="start-project-form" onsubmit="return validateForm()">
                    @csrf
                    <input type="hidden" name="flow_id" value="{{$flow_id}}">
                    <div class="form-group-main newproject mb-4">
                        <label class="label mb-2">
                            I want to create a new project                      
                        </label>
                       
                        <div class="form-group d-grid form-group-flex ">
                            <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                            <input type="radio" class="form-check-input project_info position-absolute checked" id="long_term_id" value="1" name="term" checked="checked">
                                
                                <label for="long_term_id" class="form-check-label-desc p-md-4 p-3">
                            <div class="projectimgmain">
                                <img src="{{asset('frontend/assets/images/hourglass.svg')}}" alt="" class="projectimg">
                                </div>
                                <h3 class="long-label mb-2">Long term project</h3>
                                <p class="short-label mb-0"> Longer than 3 months/ requiring ongoing work.
                                </p>
                                </label>                               

                            </div>
                            <div class="form-check position-relative w-100 d-flex align-items-center radio-check">

                            <input type="radio" class="form-check-input project_info position-absolute " id="short_term_id" value="0" name="term" >
                                 <label for="short_term_id" class="form-check-label-desc p-md-4 p-3">
                                 <div class="projectimgmain">
                                  <img src="{{asset('frontend/assets/images/shorttime.svg')}}" alt="" class="projectimg">
                                 </div>
                                  <h3 class="long-label mb-2">Short term project</h3>
                                <p class="short-label mb-0">Shorter than 3 months/ requiring no ongoing work 
                                </p>
                                </label>
                            </div>

                            
                            <div class="invalid-feedback mt-2 " style="{{($errors->has('term'))?'display: block;':'display: none;'}}">{{ ($errors->has('term'))?$errors->first('term'):'' }}</div>
                                                           
                        </div>
                    </div>

                    <div class="accordion accordion-project existing-project" id="accordionProject">
                      <div class="accordion-item p-3">
                        <h2 class="accordion-header" id="headingOne">
                          <button class="accordion-button p-0 mb-3" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                            (Optional) I want to add a job to an existing project
                          </button>
                        </h2>
                        <div id="collapseOne" class="accordion-collapse collapse show" aria-labelledby="headingOne" data-bs-parent="#accordionProject">
                          <div class="accordion-body p-0">
                            <div class="form-group-main mb-0">
                                <div class="form-group w-100 mb-3">
                                    <label class="label mb-2">Email Address</label>
                                    <input type="textbox" id="email" class="form-control"
                                         placeholder="e.g johndoe@example.com"
                                        name="email" value="{{!empty($contact)?$contact:old('email')}}" >

                                    <div class="invalid-feedback mt-2 " style="{{($errors->has('email'))?'display: block;':'display: none;'}}">{{ ($errors->has('email'))?$errors->first('email'):'' }}</div>                                    
                                </div>
                                <div class="form-group w-100 mb-md-4 mb-3">
                                    <label class="label mb-2"> Password</label>
                                    <input type="password" id="password" class="form-control"
                                         placeholder="Password" name="password" value="{{!empty($email)?$email:old('email')}}">

                                    <div class="invalid-feedback mt-2 " style="{{($errors->has('password'))?'display: block;':'display: none;'}}">{{ ($errors->has('password'))?$errors->first('password'):'' }}</div>
                                    
                                </div>
                                <div class="mt-0">
                                    <button class="submit border-0" type="submit">Login</button>
                                </div>

                            </div>
                          </div>
                        </div>
                      </div>
                      
                    </div>

                    <div class="btndv-main text-end">

                        <button class="nxtbtn btn stpbtn step1-btn " type="submit">Next</button>


                    </div>
                
                </form>

            
        </div>
    </div>
</section>

@endsection

@section('scripts')
<script type="text/javascript">

    $('.radio-check').click(function(){              
        if ($(this).is(':checked') === false) {
            $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
            $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
            $(this).find("input[type='radio']").addClass("checked"); 
            $(this).find("input[type='radio']").attr('checked', true); 
        }else{
            $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
            $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
            $(this).find("input[type='radio']").addClass("checked"); 
            $(this).find("input[type='radio']").attr('checked', true);                
        }        
    });

    $( document ).ready(function() {
        $("#start-project-form")[0].reset()
    });

function validateForm() {
    return true;
    //formSelect = $('#start-project-form');    
    //var inputRadiobox  = formSelect.find('input[name="term"]');
    //Showing all errors
    var error = false;

    $('input[type="radio"]').each(function() {
        var inputName = $(this).attr('name');
        var inputSelect = $('input[name="'+inputName+'"]');
        
        if (inputSelect.is(':checked') === false) {
            inputSelect.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
            error = true;

        }else{
            inputSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
        }
        
    });

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}
   
</script>
@endsection

