@extends('frontend.layouts.master')

@section('content')
<div class="bgimg">
<section class="main-content">
    <div class="step1 getstartedwithai">

        <img src="{{asset('frontend/assets/images/ai-started.svg')}}" alt="ai-started" class="mb-md-4 mb-3">

        <h1 class="mb-3 heading">Let’s get to work on your project!</h1>
        <h2 class="subheading mb-4">Get help from AI and be done in no time</h2>
        <p class="d-flex align-items-start mt-3"> 
            <img src="{{asset('frontend/assets/images/info.svg')}}" alt="info" class="mt-1 me-1" width="20px">
        <span class="ms-2 ps-1 leanai">
            We lean on AI to create your project overview instantly. By clicking ‘Get Started’ you agree that the summary you input can be used this way.
        </span>
        </p>

       
        <div class="invalid-feedback mt-2"> </div>
        
        @include('frontend.layouts.messages')

        <div class="main-content-btn">            
            <form method="POST" action="{{route('submit-ai')}}" id="submit-ai-form" >
                @csrf
                <input type="hidden" name="flow_id" value="{{$flow_id}}">
                <div class="btndv-main text-end d-flex flex-md-row flex-column align-items-center justify-content-end btnai">
                    <button class="step1-btn step-ai-text" type="submit" name="with_ai" value="0">I’ll do it without AI</a>
                    <button class="nxtbtn btn stpbtn step1-btn" name="with_ai" value="1">Get Started Using AI</button>

                </div> 
               
                <div class="invalid-feedback mt-2" style="{{($errors->has('with_ai'))?'display: block;':'display: none;'}}">{{ ($errors->has('with_ai'))?$errors->first('with_ai'):'' }}</div> 
                

            </form>            
        </div>
    </div>
</section>
</div>
@endsection

@section('scripts')
<script type="text/javascript">

   
</script>
@endsection

