@extends('frontend.layouts.master')

@section('content')
<div class="bgimg">
    <section class="main-content">
        <div class="step1 tellyouidea">

            <h1 class="mb-3 heading">Summarise what you're looking for in one or two sentences.</h1>

            <div class="invalid-feedback mt-2"> </div>

            @include('frontend.layouts.messages')

            <div class="main-content-steps">

                <form method="POST" action="{{route('submit-idea')}}" id="your-idea-form"
                    onsubmit="return validateForm()">
                    @csrf
                    
                    <input type="hidden" name="flow_id" value="{{$flow_id}}">
                    
                    <div class="form-group-main mb-3">
                        <div class="step2-inr form-group">
                            <div
                                class="d-flex align-items-sm-center flex-sm-row flex-column justify-content-between mb-2 gap-2">
                                <label class="label text-field-labels">Tell us a little bit about your ideas</label>

                            </div>

                            <textarea name="your_idea" id="your_idea" class="form-control p-3 resize-remove"
                                placeholder="E.g I need someone to help me build a Shopify website for my online clothing brand."
                                autocomplete="off">{{(!empty($currentSession['business_info']))?$currentSession['business_info']:old('business_info') }}</textarea>

                            <div class="row pt-2 align-items-center">
                                <div class="col-md-4 col-6 characters ps-0">
                                    <small class="float-left p-0 characters-left d-inline-block total-words">160
                                        Characters left </small>
                                </div>
                                
                                <div class="col-md-4 col-6 readytogo ps-0 pe-2 text-end">
                                    <span class="looksgood">Looks good! we’re ready to go</span>
                                </div>
                                <div class="col-md-4 progressbar p-0 mb-md-0 mb-1">
                                    <ul class="contentbar p-0 mb-0">
                                        <li class="bar"></li>
                                        <li class="bar"></li>
                                        <li class="greenbar bar"></li>
                                    </ul>
                                </div>

                                
                            </div>
                            
                            <div class="optional-attachment mt-4 mb-3">
                                <p for="" class="mb-2">(Optional) Attachment</p>
                                
                                <div class="file-upload-wrapper">
                                    <input type="file" id="file-input" class=" d-none file-input" multiple>
                                    <label for="file-input" class="file-drag-area">
                                        Click to browse or drag to upload file
                                    </label>
                                </div>
                                <span class="maxfile">Max file size 100 MB</span>
                            </div>

                            <div id="file-details-container"></div>

                            
                            
                            <div class="invalid-feedback mt-2 "
                                style="{{($errors->has('your_idea'))?'display: block;':'display: none;'}}">
                                {{ ($errors->has('your_idea'))?$errors->first('your_idea'):'' }}</div>
        
                        </div>
                    </div>
                    

                    <p class="d-flex align-items-start tell-ideas-note">
                        <img src="{{asset('frontend/assets/images/info.svg')}}" alt="info" class="mt-1 me-1"
                            width="20px">

                        We lean on AI to create your project overview instantly. If you would like us to sign an NDA
                        please do not make reference to any sensitive project information here.

                    </p>

                    <div class="btndv-main text-end">
                        <a class="prevbtn btn stpbtn" href="{{route('get-started-with-ai')}}">Previous</a>
                        <button class="nxtbtn btn stpbtn" type="submit">Next</button>
                    </div>

                </form>


            </div>
        </div>
    </section>
</div>
@endsection

@section('scripts')
<script type="text/javascript">
$('.radio-check').click(function() {

    if ($(this).is(':checked') === false) {
        $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked');
        $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
        $(this).find("input[type='radio']").addClass("checked");
        $(this).find("input[type='radio']").attr('checked', true);
    } else {
        $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked');
        $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
        $(this).find("input[type='radio']").addClass("checked");
        $(this).find("input[type='radio']").attr('checked', true);
    }

    //alert($(this).siblings('.radio-check').length);        

});

/*$('.services-label').click(function(){
   var service_checkbox = $(this).attr("for");      
})*/
$(document).ready(function() {
    $("#your-idea-form")[0].reset()
});

function validateForm() {

    formSelect = $('#your-idea-form');
    var your_idea = formSelect.find('#your_idea');
    //Showing all errors
    var error = false;

    if (your_idea == "") {
        formSelect.find(".invalid-feedback").html("Please enter text this field.").show();
        error = true;

    } else {
        var text = your_idea.val().trim();

        if (text.length < 3) {
            formSelect.find(".invalid-feedback").html("The Text must be greater than 2 characters.").show();
            error = true;
        } else if (text.length > 160) {
            formSelect.find(".invalid-feedback").html("The text must be less than 160 characters.").show();
            error = true;
        } else {
            //formSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
        }

    }

    if (error) {
        return false;
    }

    // If all checks pass, return true to allow form submission
    return true;
}

$("#your_idea").keyup(function(event) {
    var inputName = $(this).attr('name');
    var inputSelect = $('textarea[name="' + inputName + '"]');
    var inputSelectValue = inputSelect.val();

    var characterLeftCount = 0;
    var characterCount = 0;
    var totalCharacters = 160;
    var longWordError = false;

    // Clear previous errors
    inputSelect.closest('.form-group').find(".total-words").html("");
    inputSelect.closest('.form-group').find(".invalid-feedback").html("").hide();

    if (inputSelectValue.trim() === "") {
        inputSelect.closest('.form-group').find(".total-words").html(characterCount);
    } else {
        characterCount = inputSelectValue.trim().length;
        characterLeftCount = totalCharacters - characterCount;
        if (characterCount >= 160) {

            var characterString = inputSelectValue.trim().substring(0, totalCharacters);
            $(this).val(characterString);
            characterLeftCount = 0;
        }

        inputSelect.closest('.form-group').find(".total-words").html(characterLeftCount + " Characters left");
    }


    // Initial word count
    //var wordCount = countWords($(this).val().trim());
    //$(this).closest('.form-group').find(".total-words").html(wordCount);
});
</script>

<script>
document.getElementById('file-input').addEventListener('change', function (event) {
    const files = event.target.files;
    const fileDetailsContainer = document.getElementById('file-details-container');

    Array.from(files).forEach((file) => {
        const fileType = file.name.split('.').pop().toLowerCase();  // Get the file extension
        const fileName = file.name;
        const fileSize = (file.size / (1024 * 1024)).toFixed(2) + ' MB';

        // Create the file details content without an extra wrapper div
        const fileDetailHTML = `
            <div class="filetype">
                <img src="http://127.0.0.1:8000/frontend/assets/images/file.svg" alt="File Icon">
                <span class="typename ${fileType}">${fileType.toUpperCase()}</span>
            </div>
            <div class="d-flex gap-2 align-items-center">
                <span class="filename">${fileName}</span>
                <span class="filesize">${fileSize}</span>
                <button class="close-btn" style="border:none;background:none;cursor:pointer;">
                    <i class="fa fa-close"></i>
                </button>
            </div>
        `;

        const filesdetailsDiv = document.createElement('div');
        filesdetailsDiv.className = 'filesdetails d-flex gap-3 align-items-center';
        filesdetailsDiv.innerHTML = fileDetailHTML;

        // Add close button functionality to remove the file details when clicked
        filesdetailsDiv.querySelector('.close-btn').addEventListener('click', function () {
            filesdetailsDiv.remove();
        });

        fileDetailsContainer.appendChild(filesdetailsDiv); // Directly append the new file details
    });
});
</script>

<script>
$(document).ready(function() {
    const fileInput = $('#file-input');
    const fileDragArea = $('.file-drag-area');
    const fileList = $('#file-list');

    // Handle file selection via input
    fileInput.on('change', handleFiles);

    // Handle drag & drop
    fileDragArea.on('dragover', function(e) {
        e.preventDefault();
        $(this).addClass('drag-over');
    });

    fileDragArea.on('dragleave', function() {
        $(this).removeClass('drag-over');
    });

    fileDragArea.on('drop', function(e) {
        e.preventDefault();
        $(this).removeClass('drag-over');
        const files = e.originalEvent.dataTransfer.files;
        fileInput[0].files = files;
        handleFiles();
    });

    function handleFiles() {
        const files = fileInput[0].files;
        fileList.empty();
        if (files.length > 0) {
            $.each(files, function(index, file) {
                fileList.append('<div>' + file.name + '</div>');
            });
        }
    }
});
</script>


@endsection