@php
$json_company_detail = $company_information->company_details;
$json_company_data = json_decode($json_company_detail, true); 
@endphp
@extends('frontend.layouts.portal_master')

@section('content')


            <div class="content">
                <h2 class="mb-3 mb-md-4"> Business Information </h2>

                <div class="d-md-flex align-items-start d-none">
                    <div class="nav inrsidebar flex-column nav-pills me-4 bg-white" id="v-pills-tab" role="tablist"
                        aria-orientation="vertical">
                        <button class="nav-link active" id="business-details-tab" data-bs-toggle="pill"
                            data-bs-target="#business-details" type="button" role="tab" aria-controls="business-details"
                            aria-selected="true">Business Details <i class="fa-solid fa-angle-right"></i></button>
                        <button class="nav-link" id="industry-tab" data-bs-toggle="pill" data-bs-target="#industry"
                            type="button" role="tab" aria-controls="industry" aria-selected="false">Industry <i
                                class="fa-solid fa-angle-right"></i></button>
                        <button class="nav-link" id="challenges-tab" data-bs-toggle="pill" data-bs-target="#challenges"
                            type="button" role="tab" aria-controls="challenges" aria-selected="false">Challenges <i
                                class="fa-solid fa-angle-right"></i></button>
                    </div>
                 
                    <div class="tab-content inrcontent bg-white p-4" id="v-pills-tabContent">
                        <div class="tab-pane fade show active" id="business-details" role="tabpanel"
                            aria-labelledby="business-details-tab" tabindex="0">
                            <div class="mb-4">
                                <h3> Business Name: </h3>
                                @if($company_information->is_registered == 1)
                                    <p>{{$json_company_data['company_name']}}</p>
                                @else
                                    <p>N/A</p>
                                @endif
                            </div>
                            <div class="mb-4">
                                <h3> Business Address: </h3>
                                @if($company_information->is_registered == 1)
                                <p> {{$json_company_data['address1']}} {{$json_company_data['address2']}} {{$json_company_data['locality']}} {{$json_company_data['postal_code']}} {{$json_company_data['country']}} </p>
                                @else
                                    <p>N/A</p>
                                @endif
                            </div>
                            <div class="mb-0">
                                <h3> Business URL: </h3>
                                @if ($company_information->is_domain == 1)
                                <p> {{$company_information->domain_name}} </p>
                                @else
                                    <p>N/A</p>
                                @endif
                            </div>

                        </div>
                            <div class="tab-pane fade" id="industry" role="tabpanel" aria-labelledby="industry-tab"
                                tabindex="0">
                                {!! isset($industry_scope->bd_expanded) ? nl2br(e($industry_scope->bd_expanded)) : 'No data available.' !!}
                            </div>
                                <div class="tab-pane fade" id="challenges" role="tabpanel" aria-labelledby="challenges-tab"
                                tabindex="0">
                                <p>{!! isset($challenges_scope->bc_expanded) ? nl2br(e($challenges_scope->bc_expanded)) : 'No data available.' !!}</p>

                                </div>
                </div>
            </div>

            <div class="accordion d-md-none" id="accordionExample">
                <div class="accordion-item">
                  <h2 class="accordion-header">
                    <button class="accordion-button collapsed nav-link" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                        Business Details
                    </button>
                  </h2>
                  <div id="collapseOne" class="accordion-collapse tab-content collapse" data-bs-parent="#accordionExample">
                    <div class="accordion-body">
                        <div class="mb-4">
                            <h3> Business Name: </h3>
                            <p> The Social traders </p>
                        </div>
                        <div class="mb-4">
                            <h3> Business Address: </h3>
                            <p> 1901 Thornridge Cir. Shiloh, Hawaii 81063 </p>
                        </div>
                        <div class="mb-0">
                            <h3> Business URL: </h3>
                            <p> thesocialtraders.com </p>
                        </div>
                      </div>
                  </div>
                </div>
                <div class="accordion-item">
                  <h2 class="accordion-header">
                    <button class="accordion-button collapsed nav-link" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                        Industry 
                    </button>
                  </h2>
                  <div id="collapseTwo" class="accordion-collapse tab-content collapse" data-bs-parent="#accordionExample">
                    <div class="accordion-body">
                        <div class="mb-4">
                            <h3> Business Name: </h3>
                            <p> The Social traders </p>
                        </div>
                        <div class="mb-4">
                            <h3> Business Address: </h3>
                            <p> 1901 Thornridge Cir. Shiloh, Hawaii 81063 </p>
                        </div>
                        <div class="mb-0">
                            <h3> Business URL: </h3>
                            <p> thesocialtraders.com </p>
                        </div> </div>
                  </div>
                </div>
                <div class="accordion-item">
                  <h2 class="accordion-header">
                    <button class="accordion-button collapsed nav-link" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                        Challenges
                    </button>
                  </h2>
                  <div id="collapseThree" class="accordion-collapse tab-content collapse" data-bs-parent="#accordionExample">
                    <div class="accordion-body">
                        <div class="mb-4">
                            <h3> Business Name: </h3>
                            <p> The Social traders </p>
                        </div>
                        <div class="mb-4">
                            <h3> Business Address: </h3>
                            <p> 1901 Thornridge Cir. Shiloh, Hawaii 81063 </p>
                        </div>
                        <div class="mb-0">
                            <h3> Business URL: </h3>
                            <p> thesocialtraders.com </p>
                        </div>
                     </div>
                  </div>
                </div>
              </div>

            </div>



        {{-- </section>



    </main>


    <script>
        $(document).ready(function () {
            $('#emailSelect').change(function () {
                var selectedEmail = $(this).val();
                var initial = selectedEmail.charAt(0).toUpperCase();
                $('#initial').text(initial);
            });

            $('.sidemenubtn').click(function() {
            $('.sidebar').show();
        });
        $('.closebtn').click(function() {
            $('.sidebar').hide();
        });
     
      });

    </script>

<script>
    $(document).ready(function () {

        $('#emailSelect').change(function () {
            var selectedEmail = $(this).val();
            var initial = selectedEmail.charAt(0).toUpperCase();
            $('#initial').text(initial);
        });

        $('.sidemenubtn').click(function () {
            $('.sidebar').show();
        });
        $('.closebtn').click(function () {
            $('.sidebar').hide();
        });


        $('.accordion-button').click(function() {
        $('.accordion-button').removeClass("accordion-active");
        $(this).addClass("accordion-active");
    });


       $(".hdrrgtopt").click(function (){
            $(".profileopt ").toggle();
  
    });

      

        $(".menu-item").click(function (e) {
        e.preventDefault(); // Prevent default behavior
        var submenu = $(this).next(".submenu"); // Find the next sibling with class .submenu
        submenu.toggle(); // Toggle the found submenu
    });

    });
</script>
</body>

</html> --}}
@endsection

@section('scripts')
<script type="text/javascript">

</script>
@endsection