@extends('frontend.layouts.portal_master')

@section('content')
    <div class="content">
        <h2 class="mb-3 mb-md-4"> Profile </h2>
        <form method="POST" action="{{route('profileupdate')}}" id="client-info-form" onsubmit="return validateForm()">
            @csrf

            <div class="profile-biodata">


                @include('frontend.layouts.messages')

                <div>
                    <h3 class="mb-3">Userdata</h3>

                    <div class="form-group-main mb-1 mb-md-1">
                        <label class="lbl mb-1"> Login Name </label>
                        <div class="form-check position-relative w-100 d-flex gap-2 align-items-center">
                            <p class="input-control">{{$profile->name}}</p>
                        </div>
                    </div>
                    
                    <div class="form-group-main mb-1 mb-md-1">
                        <label class="lbl mb-1"> Login Email </label>
                        <div class="form-check position-relative w-100 d-flex gap-2 align-items-center">
                            <p class="input-control">{{$profile->email}}</p>
                        </div>
                    </div>

                    <h3 class="mb-3">Biodata</h3>

                    <div class="form-group-main mb-4 mb-md-3">
                        <label class="lbl mb-1"> Title </label>
                        <div class="form-group d-grid gap-3 biodata_title">
                            @php
                            $titles = ['Mr', 'Mrs', 'Miss', 'Ms'];
                            @endphp
                            @foreach($titles as $title)
                            
                            <div class="form-check position-relative w-100 d-flex align-items-center">
                                <input type="radio" class="form-check-input position-absolute" id="{{ strtolower($title) }}" value="{{ strtolower($title) }}" name="title" @if($profile->salutation == strtolower($title)) checked @endif disabled>
                                <label for="{{ strtolower($title) }}" class="form-check-label">
                                    {{ $title }}
                                </label>
                            </div>
                            @endforeach
                           
                        </div>
                    </div>
                    <div class="form-group-main mb-4 mb-md-3">
                        <div class="form-group d-flex gap-3">
                            <div class="w-100">
                                <label class="lbl mb-1 d-block"> First Name </label>
                                <input type="text" class="input-control" id="first_name" value="{{ $profile->first_name }}" name="first_name" disabled>
                                
                            </div>
                            <div class="w-100">
                                <label class="lbl mb-1 d-block"> Last Name </label>
                                <input type="text" class="input-control" id="last_name" value="{{ $profile->last_name }}" name="last_name" disabled>
                                
                            </div>
                        </div>
                    </div>
                    <div class="form-group-main">
                        <label class="lbl mb-1"> Date of Birth </label>
                        <div class="form-group d-flex gap-3">
                            @php
                            $dob = new DateTime($profile->dob);
                            $day = $dob->format('d');
                            $month = $dob->format('m');
                            $year = $dob->format('Y');

                            @endphp
                           
                            <div class="w-100">
                                <select name="day" id="date" class="selectinput w-100">
                                    @for($i = 1; $i <= 31; $i++)
                                    <option value="{{ $i }}" @if($i == $day) selected @endif>{{ $i }}</option>
                                    @endfor
                                </select>

                                <div class="invalid-feedback mt-2 " style="{{($errors->has('day'))?'display: block;':'display: none;'}}">{{ ($errors->has('day'))?$errors->first('day'):'' }}</div>

                                
                            </div>
                            <div class="w-100">
                                <select name="month" id="month" class="selectinput w-100">
                                    @for($i = 1; $i <= 12; $i++)
                                    <option value="{{ $i }}" @if($i == $month) selected @endif>{{ $i }}</option>
                                    @endfor
                                </select>

                                <div class="invalid-feedback mt-2 " style="{{($errors->has('month'))?'display: block;':'display: none;'}}">{{ ($errors->has('month'))?$errors->first('month'):'' }}</div>
                                
                            </div>

                            @php
                            $currentYear = date("Y"); // Get the current year
                            $startYear = $currentYear - 18; // Calculate the start year (18 years ago)

                            $lastYear = 1923;

                            @endphp

                            <div class="w-100">
                                <select name="year" id="year" class="selectinput w-100">                                    
                                    @for ($y =$startYear; $y >= $lastYear; $y--)
                                        <option value="{{ $y }}" {{($y == $year  || old('year')== $y)?'selected':''}}>{{ $y }}</option>
                                    @endfor 

                                </select>

                                <div class="invalid-feedback mt-2 " style="{{($errors->has('year'))?'display: block;':'display: none;'}}">{{ ($errors->has('year'))?$errors->first('year'):'' }}</div>

                                
                            </div>
                            
                        </div>
                    </div>
                </div>
                @php
                if (!empty($profile)) {
                        $json_client_address = $profile->address;
                        $json_client_adrs = json_decode($json_client_address, true);
                            $adrs1 = !empty($json_client_adrs['address1']) ? $json_client_adrs['address1'] : 'N/A';
                            $adrs2 = !empty($json_client_adrs['address2']) ? $json_client_adrs['address2'] : '';
                            $town_or_city = !empty($json_client_adrs['town_or_city']) ? $json_client_adrs['town_or_city'] : '';
                            $country = !empty($json_client_adrs['country']) ? $json_client_adrs['country'] : '';
                        // }
                    // }
                }

                    

                    $adddress = $adrs1 . ' ' . $adrs2 . ' ' . $town_or_city . ' ' . $country;
                    @endphp
                    <div class="current_address">
                        <h3 class="mb-3">Current Address</h3>
                        <div class="form-group-main mb-3">
                            <label class="lbl mb-1"> Postcode </label>
                            <div class="form-group">
                                <div class="form-check position-relative w-100 d-flex gap-2 align-items-center">
                                    <input type="text" class="input-control" id="postcode" value="{{ $profile->postal_code }}" name="postcode" disabled>
                                    <button class="findaddress" disabled>Find Address</button>
                                </div>
                                
                                <p class="chidlands mt-1">{{$adddress}}</p>
                            </div>
                        </div>
                    </div>                    
                    <div class="communication">
                        <h3 class="mb-3">Communication</h3>
                        <div class="form-group d-flex flex-column flex-md-row gap-3">
                            <div class="form-group">
                                <label class="lbl mb-1 d-block"> Mobile Number <small>(without +44)</small> </label>
                                <input type="text" class="input-control" id="mobile_no" value="{{ $mobile }}" name="mobile_number">
                                
                                <div class="invalid-feedback mt-2 " style="{{($errors->has('mobile_number'))?'display: block;':'display: none;'}}">{{ ($errors->has('mobile_number'))?$errors->first('mobile_number'):'' }}</div>
                            </div>
                            <div class="form-group">
                                <label class="lbl mb-1 d-block">Email Address </label>
                                <input type="text" class="input-control" id="email" value="{{ $profile->communicate_email }}" name="email">
                                <div class="invalid-feedback mt-2 " style="{{($errors->has('email'))?'display: block;':'display: none;'}}">{{ ($errors->has('email'))?$errors->first('email'):'' }}</div>
                                
                            </div>
                        </div>
                    </div>
                   
            </div>
            <p class="some-info">Some information can’t be edited. If you want to change, please <a href="#"> <b>contact us</b> </a> </p>
            <button class="profilebtn saveprofile" type="submit"> Save Profile </button>
        </form>
    </div>
@endsection

@section('scripts')
<script type="text/javascript">

function validateForm() {

    // Get the form elements
    var day =$('#day').val();
    var day_select =$('#day');

    var month =$('#month').val();
    var month_select =$('#month');

    var year =$('#year').val();
    var year_select =$('#year');

    var mobile =$('#mobile_no').val();
    var mobile_select =$('#mobile_no'); 

    var email =$('#email').val();
    var email_select =$('#email');

    var regexMobile =/^\d{10}$/;

    var regexEmail =/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9])+$/;

    //Showing all errors
    var error = false; 
    
    if (day === "") {
        day_select.closest('.form-group').find(".invalid-feedback").html("Please select the day").show();
        error = true;        
    }else{
        day_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    } 

    if (month === "") {
        month_select.closest('.form-group').find(".invalid-feedback").html("Please select the month").show();
        error = true;        
    }else{
        month_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    }

    if (year === "") {
        year_select.closest('.form-group').find(".invalid-feedback").html("Please select the year").show();
        error = true;        
    }else{
        year_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    }
    
    if (mobile === "") {
        mobile_select.closest('.form-group').find(".invalid-feedback").html("Please enter the mobile number").show();
        error = true;        
    }else{

        if (!regexMobile.test(mobile)) {
            mobile_select.closest('.form-group').find(".invalid-feedback").html("Please enter only 10 digits in mobile number").show();
            error = true;
        }else{
            mobile_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }       
        
    }

    if (email === "") {
        email_select.closest('.form-group').find(".invalid-feedback").html("Please enter the email").show();
        error = true;        
    }else{

        if (!regexEmail.test(email)) {
            email_select.closest('.form-group').find(".invalid-feedback").html("Please enter only valid email").show();
            error = true;
        }else{
            email_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }       
        
    }    

    //return false;    

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}

$("#mobile_no").keyup(function(event) {
    var mobile =$(this).val();
    //alert(mobile);

    var regexMobile = /^\d{10}$/;
    var regexNumeric = /^[0-9]+(\.[0-9]+)?$/;    

    if (!regexNumeric.test(mobile)) {
        $(this).closest('.form-group').find(".invalid-feedback").html("Please enter only digits").show();
        error = true;

    }else{
        $(this).closest('.form-group').find(".invalid-feedback").html("").hide();
    }

    //alert(mobile.length);
    var maxlength = 10;

    if(mobile.length >= 10){
        var mobileString = mobile.substring(0, maxlength); 
        $(this).val(mobileString);
        return false;        
    }   

});

$('#email').keypress(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the email").show();
           
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});

</script>
@endsection