@extends('frontend.layouts.portal_master')

@section('content')
    <div class="content">
        <h2 class="mb-3 mb-md-4">Profile</h2>

        <div class="profile-biodata">
            <h3 class="mb-3">Biodata</h3>
            @if($profile)
                @php
                    $tname = $profile->salutation ?? '';
                    $fname = $profile->first_name ?? '';
                    $lname = $profile->last_name ?? '';
                    $full_name = trim("$tname $fname $lname");
                @endphp
                <div class="mb-3">
                    <p class="lbl mb-1">Name</p>
                    @if(!empty($full_name))
                        <p class="dtls mb-0">{{$full_name}}</p>
                    @else
                        <p class="dtls mb-0">--</p>
                    @endif
                </div>
                @php
                    $dobString = $profile->dob ?? null;
                    $formatteddob = $dobString ? (new DateTime($dobString))->format('d-m-Y') : null;
                @endphp
                <div class="mb-3">
                    <p class="lbl mb-1">Date of Birth</p>
                    @if(!empty($formatteddob))
                        <p class="dtls mb-0">{{$formatteddob}}</p>
                    @else
                        <p class="dtls mb-0">--</p>
                    @endif
                </div>
                @php
                    $json_client_address = $profile->address ?? null;
                    if ($json_client_address) {
                        $json_client_adrs = json_decode($json_client_address, true);
                        $adrs1 = $json_client_adrs['address1'] ?? 'N/A';
                        $adrs2 = $json_client_adrs['address2'] ?? '';
                        $town_or_city = $json_client_adrs['town_or_city'] ?? '';
                        $country = $json_client_adrs['country'] ?? '';
                        $address = trim("$adrs1 $adrs2 $town_or_city $country");
                    } else {
                        $address = null;
                    }
                @endphp
                <h3 class="mb-3">Current Address</h3>
                <div class="mb-3">
                    <p class="lbl mb-1">Address</p>
                    @if(!empty($address))
                        <p class="dtls mb-0">{{$address}}</p>
                    @else
                        <p class="dtls mb-0">--</p>
                    @endif
                </div>

                <h3 class="mb-3">Communication</h3>
                <div class="mb-3">
                    <p class="lbl mb-1">Mobile Number</p>
                    @if(!empty($profile->mobile))
                        <p class="dtls mb-0">{{$profile->mobile}}</p>
                    @else
                        <p class="dtls mb-0">--</p>
                    @endif
                </div>
                <div class="mb-0">
                    <p class="lbl mb-1">Email Address</p>
                    @if(!empty($profile->communicate_email))
                        <p class="dtls mb-0">{{$profile->communicate_email}}</p>
                    @else
                        <p class="dtls mb-0">--</p>
                    @endif
                </div>
            @else
                <p class="dtls mb-0">Profile information not available.</p>
            @endif
        </div>

        <a href="{{ route('editprofile') }}" class="profilebtn editprofile d-inline-block">Edit Profile</a>
    </div>
@endsection

@section('scripts')
<script type="text/javascript">
    // Your custom scripts here
</script>
@endsection
