@extends('frontend.layouts.master')

@section('content')

<section class="main-content">
    <div class="step2">
        <span>STEP 3 FROM 6</span>
        <h1>Business Information</h1>
        <!-- <h3>
            Please select the service(s) you require <span>(may select multiple) </span>
        </h3> -->

        @include('frontend.layouts.messages')

        <div class="main-content-steps">

            @if(!empty($case_id))
                <form method="POST" action="{{route('business-submit', ['case_id' => $case_id])}}" id="business-info-form" onsubmit="return validateForm()">
            @else
                <form method="POST" action="{{route('business-submit')}}" id="business-info-form" onsubmit="return validateForm()">
            @endif
            

                @csrf

                <div class="form-group-main mb-4">
                    <div class="step2-inr form-group">
                        <div class="d-flex align-items-sm-center flex-sm-row flex-column justify-content-between mb-2 gap-2">
                            <label class="label">Tell us a little bit about your business and industry</label>
                            <small class="float-end p-0">Total words: <span class="total-words">0</span></small>
                        </div>

                        <textarea name="business_info" id="business_info" class="form-control p-3 resize-remove"
                            placeholder="This helps us understand how best to serve you">{{(!empty($currentSession['business_info']))?$currentSession['business_info']:old('business_info') }}</textarea>

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('business_info'))?'display: block;':'display: none;'}}">{{ ($errors->has('business_info'))?$errors->first('business_info'):'' }}</div>

                            {{-- 
                            @if($errors->has('business_info'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('business_info') }}</div>
                            @endif
                            --}}
                            
                    </div>
                </div>
                <div class="form-group-main mb-4">
                    <div class="step2-inr form-group">
                       
                        <div class="d-flex align-items-sm-center flex-sm-row flex-column justify-content-between mb-2 gap-2">
                        <label class="label">What are the key challenges your business faces?</label>
                        <small class="float-end p-0 text-end">Total words: <span class="total-words">0</span></small>
                        </div>
                        <textarea name="business_challenges" id="business_challenges" class="form-control resize-remove"
                            placeholder="This helps us to find improvements that you may not have considered">{{(!empty($currentSession['business_challenges']))?$currentSession['business_challenges']: old('business_challenges') }}</textarea>

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('business_challenges'))?'display: block;':'display: none;'}}">{{ ($errors->has('business_challenges'))?$errors->first('business_challenges'):'' }}</div>
                            
                            {{-- 
                            @if($errors->has('business_challenges'))  
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('business_challenges') }}</div>
                            @endif
                            --}}
                    </div>
                </div>  

                <div class="btndv-main d-flex gap-4 justify-content-end">
                    @if(empty($case_id))
                    <a href="{{route('service-type')}}" class="prevbtn btn stpbtn">Previous</a>
                    @endif
                    <button class="nxtbtn btn stpbtn" type="submit">Next</button>
                </div>

            </form>


        </div>
    </div>
</section>

@endsection

@section('scripts')
<script type="text/javascript">

$("#business_info").keyup(function(event) {
        var inputName = $(this).attr('name');
        var inputSelect = $('textarea[name="' + inputName + '"]');
        var inputSelectValue = inputSelect.val();

        var wordCount = 0;
        var longWordError = false;

        // Clear previous errors
        inputSelect.closest('.form-group').find(".total-words").html("");
        inputSelect.closest('.form-group').find(".invalid-feedback").html("").hide();

        if (inputSelectValue.trim() === "") {
            inputSelect.closest('.form-group').find(".total-words").html(wordCount);
        } else {
            wordCount = countWords(inputSelectValue.trim());

            // Split the text by spaces to get an array of words
            var words = inputSelectValue.trim().split(/\s+/).filter(function(word) {
                return word.length > 0;
            });

            // Check for words longer than 20 characters
            longWordError = words.some(word => word.length > 20);

            if (wordCount > 80 || longWordError) {
                var truncatedText = words.slice(0, 80).join(" ");
                inputSelect.val(truncatedText);

                if (longWordError) {
                    inputSelect.closest('.form-group').find(".invalid-feedback").html("One or more words exceed 20 characters.").show();
                }

                return false;
            }

            inputSelect.closest('.form-group').find(".total-words").html(wordCount);
        }
    // });

    // Initial word count
    var wordCount = countWords($(this).val().trim());
    $(this).closest('.form-group').find(".total-words").html(wordCount);
});

$("#business_challenges").keyup(function(event) {
        var inputName = $(this).attr('name');
        var inputSelect = $('textarea[name="' + inputName + '"]');
        var inputSelectValue = inputSelect.val();

        var wordCount = 0;
        var longWordError = false;

        // Clear previous errors
        inputSelect.closest('.form-group').find(".total-words").html("");
        inputSelect.closest('.form-group').find(".invalid-feedback").html("").hide();

        if (inputSelectValue.trim() === "") {
            inputSelect.closest('.form-group').find(".total-words").html(wordCount);
        } else {
            wordCount = countWords(inputSelectValue.trim());

            // Split the text by spaces to get an array of words
            var words = inputSelectValue.trim().split(/\s+/).filter(function(word) {
                return word.length > 0;
            });

            // Check for words longer than 20 characters
            longWordError = words.some(word => word.length > 20);

            if (wordCount > 80 || longWordError) {
                var truncatedText = words.slice(0, 80).join(" ");
                inputSelect.val(truncatedText);

                if (longWordError) {
                    inputSelect.closest('.form-group').find(".invalid-feedback").html("Words exceed 20 characters.").show();
                }

                return false;
            }

            inputSelect.closest('.form-group').find(".total-words").html(wordCount);
        }
    // });

    // Initial word count
    var wordCount = countWords($(this).val().trim());
    $(this).closest('.form-group').find(".total-words").html(wordCount);
});


var wordCount = countWords($("#business_info").val().trim());
$("#business_info").closest('.form-group').find(".total-words").html(wordCount);

var wordCount2 = countWords($("#business_challenges").val().trim());
$("#business_challenges").closest('.form-group').find(".total-words").html(wordCount2);

function validateForm() {

    // Get the form elements
    var info =$('#business_info').val();
    var info_select =$('#business_info');

    var challenge =$('#business_challenges').val();
    var challenge_select =$('#business_challenges');
    
    var regexMobile =/^\d{10}$/;
    var regexEmail =/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9])+$/;

    //Showing all errors
    var error = false;    

    // //////////

    if (info === "") {
        info_select.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
        error = true;        
    }else{

        var wordCount = countWords(info_select.val().trim());
        ////////////
            var words = info.split(/\s+/);
                    var longWords = words.filter(function(word) {
                        return word.length > 20;
                    });
    if (longWords.length > 0) {
                        info_select.closest('.form-group').find(".invalid-feedback").html("Words exceed 20 characters.").show();
                        error = true;
                        return false;
                }
    /////////////

        if(wordCount < 15){
            info_select.closest('.form-group').find(".invalid-feedback").html("This field contains atleast 15 words").show();
            error = true;

        }else if(wordCount > 80){                
            info_select.closest('.form-group').find(".invalid-feedback").html("This field contains max 80 words only.").show();
            error = true;

        }else{
            info_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }

        //info_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    }  




    if (challenge === "") {
        challenge_select.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
        error = true;        
    }else{

        var wordCount = countWords(challenge_select.val().trim());

            // //////////
            var chngwords = challenge.split(/\s+/);
                    var chnglongWords = chngwords.filter(function(word) {
                        return word.length > 20;
                    });
            if (chnglongWords.length > 0) {
                challenge_select.closest('.form-group').find(".invalid-feedback").html("Words exceed 20 characters.").show();
                                error = true;
                                return false;
                                
                        }
            /////////////

        if(wordCount < 15){
            challenge_select.closest('.form-group').find(".invalid-feedback").html("This field contains atleast 15 words").show();
            error = true; 

        }else if(wordCount > 80){                
            challenge_select.closest('.form-group').find(".invalid-feedback").html("This field contains max 80 words only.").show();
            error = true; 

        }else{
            challenge_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }

        //challenge_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    } 
    
    //return false;    

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}

function countWords(text) {
    // Trim the text and split by spaces or newlines, filter out empty strings
    var words = text.trim().split(/\s+/);
    return words.filter(function(word) {
        return word.length > 0;
    }).length;
}

</script>
@endsection