@extends('frontend.layouts.master')

@section('style')
<style type="text/css">    
    #address-listing{
        overflow: scroll;height: 250px; display: none;
    }
    .address-details{
        display: none;
    }
    /*
    #address-loader{
        display: none;
    }
    #address-loader{
       background-image: url('frontend/assets/images/loading.gif');
       height: 40px;
       width: 100%;
       background-repeat: no-repeat;
       background-repeat: no-repeat;
    }
    */
    #address-error{
        display:none;
        color:red;
    }

</style>
@endsection

@section('content')

<section class="main-content">
    <div class="step2">
        <h1 class="mb-2 pb-1">{{lang('case.submit_project')}}</h1>
        <h3>
        So we have the correct information to put alongside your project, please fill out the form.
        </h3>

        @include('frontend.layouts.messages')

        <div class="main-content-steps">

            <form method="POST" action="{{route('client-info-submit')}}" id="client-info-form" onsubmit="return validateForm()">
                <input type="hidden" name="page" value="client">

                @csrf 

                @php
                    $salutation = "";
                    $first_name = "";
                    $last_name = "";
                    $day = "";
                    $month = "";
                    $year = "";
                    $current_address = "";
                    $client_data = "";
                    $mobile_number = "";
                    $contact = "";
                    $email = "";
                    $agree = "";

                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['salutation'])){
                        $salutation = $currentSession['client_info']['salutation'];
                    }

                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['first_name'])){
                        $first_name = $currentSession['client_info']['first_name'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['last_name'])){
                        $last_name = $currentSession['client_info']['last_name'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['day'])){
                        $day = $currentSession['client_info']['day'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['month'])){
                        $month = $currentSession['client_info']['month'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['year'])){
                        $year = $currentSession['client_info']['year'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['current_address'])){
                        $current_address = $currentSession['client_info']['current_address'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['mobile_number'])){
                        $mobile_number = $currentSession['client_info']['mobile_number'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['contact'])){
                        $contact = $currentSession['client_info']['contact'];
                    }
                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['email'])){
                        $email = $currentSession['client_info']['email'];
                    }

                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['client_data'])){
                        $client_data = $currentSession['client_info']['client_data'];
                    }

                    if(!empty($currentSession['client_info']) && !empty($currentSession['client_info']['agree'])){
                        $agree = $currentSession['client_info']['agree'];
                    }
                                        

                    //var_dump($salutation);

                @endphp 


                <div class="form-group-main mb-4">
                    <label class="label mb-2">Title</label>
                    <div class="form-group ">
                        <div class="d-flex gap-md-4 gap-2">
                            <div class="form-check w-100 d-flex align-items-center position-relative p-0 mb-0 radio-check">
                                <input type="radio" class="form-check-input position-absolute ms-0 {{ ($salutation=="Mr" || old('salutation') == "Mr")?'checked':''}}" id="salutation1" value="Mr"
                                    name="salutation" {{($salutation=="Mr" || old('salutation') == "Mr")?'checked=checked':''}}>
                                <label class="form-check-label form-control d-flex align-items-center ps-5" for="salutation1">
                                    Mr</label>
                            </div>

                            <div class="form-check w-100 d-flex align-items-center position-relative p-0 mb-0 radio-check">
                                <input type="radio" class="form-check-input position-absolute ms-0 {{($salutation=="Mrs" || old('salutation') == "Mrs")?'checked':''}}" id="salutation2"
                                    value="Mrs" name="salutation" {{($salutation=="Mrs" || old('salutation') == "Mrs")?'checked=checked':''}}>
                                <label class="form-check-label form-control d-flex align-items-center ps-5" for="salutation2">
                                    Mrs</label>
                            </div>

                            <div class="form-check w-100 d-flex align-items-center position-relative p-0 mb-0 radio-check">
                                <input type="radio" class="form-check-input position-absolute ms-0 {{($salutation=="Miss" || old('salutation') == "Miss")?'checked':''}}" id="salutation3"
                                    value="Miss" name="salutation" {{($salutation=="Miss" || old('salutation') == "Miss")?'checked=checked':''}}>
                                <label class="form-check-label form-control d-flex align-items-center ps-5" for="salutation3">
                                    Miss</label>
                            </div>

                            <div class="form-check w-100 d-flex align-items-center position-relative p-0 mb-0 radio-check">
                                <input type="radio" class="form-check-input position-absolute ms-0 {{($salutation=="Ms" || old('salutation') == "Ms")?'checked':''}}" id="salutation4" value="Ms"
                                    name="salutation" {{($salutation=="Ms" || old('salutation') == "Ms")?'checked=checked':''}}>
                                <label class="form-check-label form-control d-flex align-items-center ps-5" for="salutation4">
                                    Ms</label>
                            </div>                            
                            
                        </div>

                        <div class="invalid-feedback mt-2 " style="{{($errors->has('salutation'))?'display: block;':'display: none;'}}">{{ ($errors->has('salutation'))?$errors->first('salutation'):'' }}</div>

                        {{-- 
                        @if($errors->has('salutation'))                                
                            <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('salutation') }}</div>
                        @endif 
                        --}}
                    </div>
                </div>

                <div class="form-group-main mb-4">
                    <div class="d-flex gap-md-4 gap-2">
                        <div class="form-group w-100">
                            <label class="label mb-2">First Name</label>
                            <input type="text" id="first_name" class="form-control"
                                placeholder="e.g John" name="first_name" value="{{!empty($first_name)?$first_name:old('first_name')}}">

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('first_name'))?'display: block;':'display: none;'}}">{{ ($errors->has('first_name'))?$errors->first('first_name'):'' }}</div>

                            {{--
                            @if($errors->has('first_name'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('first_name') }}</div>
                            @endif 
                            --}} 

                        </div>
                        <div class="form-group w-100">
                            <label class="label mb-2"> Last Name</label>
                            <input type="text" id="last_name" class="form-control"
                                placeholder="e.g Doe" name="last_name" value="{{!empty($last_name)?$last_name:old('last_name')}}">

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('last_name'))?'display: block;':'display: none;'}}">{{ ($errors->has('last_name'))?$errors->first('last_name'):'' }}</div>

                            {{--
                            @if($errors->has('last_name'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('last_name') }}</div>
                            @endif
                            --}}
                        </div>
                    </div>
                </div>

                <div class="form-group-main mb-4">
                    <label class="label mb-2">Date of Birth</label>
                    <div class="d-flex gap-md-4 gap-2">
                        <div class="form-group w-100">
                            <div class="slctdvrltv position-relative d-flex align-items-center">
                                <i class="fa fa-angle-down"></i>
                                <select name="day" id="day"
                                    class="reqtfield form-select-dobday form-control w-100">
                                    <option class="defoption detopt-day" value=""><span>Select</span> Date</option>
                                    @for ($i =1; $i <= 31; $i++)
                                         <option value="{{ $i }}" {{($day==$i || old('day')== $i)?'selected':''}}>{{ $i }}</option>
                                    @endfor     
                                    
                                </select>
                                
                            </div>

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('day'))?'display: block;':'display: none;'}}">{{ ($errors->has('day'))?$errors->first('day'):'' }}</div>

                            {{--
                            @if($errors->has('day'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('day') }}</div>
                            @endif
                            --}}

                        </div>
                        <!----->
                        <div class="form-group w-100">
                            <div class="slctdvrltv position-relative d-flex align-items-center">
                                <i class="fa fa-angle-down"></i>
                                <select  name="month" id="month"
                                    class="reqtfield form-select-month form-control w-100">
                                    <option class="defoption detopt-mnth" value="">Select Month</option>

                                    @for ($m =1; $m <= 12; $m++)
                                        @php
                                            $monthFormat = date('M', mktime(0, 0, 0, $m, 10));
                                        @endphp
                                    
                                        <option value="{{ $m }}" {{($month==$m || old('month')== $m)?'selected':''}}>{{ $monthFormat }}</option>
                                    @endfor 
                                    
                                </select>                                
                            </div>

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('month'))?'display: block;':'display: none;'}}">{{ ($errors->has('month'))?$errors->first('month'):'' }}</div>

                            {{--
                            @if($errors->has('month'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('month') }}</div>
                            @endif
                            --}}
                        </div>
                        <!----->
                        @php
                        $currentYear = date("Y"); // Get the current year
                        $startYear = $currentYear - 18; // Calculate the start year (18 years ago)

                        $lastYear = 1923;

                        @endphp
                        <div class="form-group w-100">

                            <div class="slctdvrltv position-relative d-flex align-items-center">
                                <i class="fa fa-angle-down"></i>
                                <select  name="year" id="year"
                                    class="reqtfield form-select-dobyr form-control w-100">

                                    <option class="defoption detopt-yr" value="">Select Year</option>

                                    @for ($y =$startYear; $y >= $lastYear; $y--)
                                        <option value="{{ $y }}" {{($year==$y  || old('year')== $y)?'selected':''}}>{{ $y }}</option>
                                    @endfor 
                                   
                                </select>                                
                            </div>

                            <div class="invalid-feedback mt-2 " style="{{($errors->has('year'))?'display: block;':'display: none;'}}">{{ ($errors->has('year'))?$errors->first('year'):'' }}</div>

                            {{-- 
                            @if($errors->has('year'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('year') }}</div>
                            @endif
                            --}}
                         
                        </div>
                        <!----->
                    </div>
                </div>

                <div class="current_address">
                    <h2 class="mb-3">Current Address</h2>
                    <div class="form-group-main mb-4">
                        <label class="label mb-2">Postcode</label>
                        <div class="form-group W-100 d-flex flex-row-reverse justify-content-between">
                            <input type="button" class="find_address_callbak" value="Find Address" onclick="getAddressInfo(this)" data-route="{{route('get-address')}}" id="find-address">
                            <input type="text" id="current_address" class="form-control"
                                placeholder="Enter postcode" name="current_address" onkeypress="clearAddress()" value="{{($current_address)?$current_address : old('current_address') }}">
                                
                        </div>

                        <input type="hidden" name="client_data" id="client_data" value="{{ $client_data }}">

                        <div class="invalid-feedback mt-2 " style="{{($errors->has('client_data'))?'display: block;':'display: none;'}}">{{ ($errors->has('client_data'))?$errors->first('client_data'):'' }}</div>

                        {{-- 
                        @if($errors->has('client_data'))                                
                            <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('client_data') }}</div>
                        @endif
                        --}}

                        <!-- <br> -->
                        {{--<div id="address-loader"></div>--}}
                        <div id="address-error"></div>

                        <div class="list-group" id="address-listing">
                            {{-- 
                          <a href="#" class="list-group-item list-group-item-action" aria-current="true">
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>                            
                          </a>
                          <a href="#" class="list-group-item list-group-item-action" aria-current="true">
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            
                          </a>
                          <a href="#" class="list-group-item list-group-item-action" aria-current="true">
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>                            
                          </a>
                          --}}
                        </div>

                        @php
                        $clientJson = '';
                        $isClient = '';

                        $address1 = '';
                        $address2 = '';
                        $address3 = '';
                        $town = '';
                        $country = '';
                        if(!empty($client_data)){
                            $clientJson = json_decode($client_data);
                            $isClient = 'display:block';

                            $address1 = $clientJson->address1;
                            $address2 = $clientJson->address2;
                            //$address3 = $clientJson->address2;
                            $town = $clientJson->town_or_city;
                            $country = $clientJson->country;
                        }
                        //var_dump($clientJson);
                        @endphp
                        
                        <div class="address-details company-details-web mt-1 p-3" style="{{$isClient}}">

                            <div class="comdtl-grid">
                                <div class="details_inr company_name">
                                    <h3 class="mb-1">Address1</h3>
                                    <p class="client-address1">{{$address1}}</p>
                                </div>
                                <div class="details_inr company_number">
                                    <h3 class="mb-1">Address2</h3>
                                    <p class="client-address2">{{$address2}}</p>
                                </div>
                                {{--
                                <div class="details_inr company_status">
                                    <h3 class="mb-1">Address3</h3>
                                    <p class="client-address3">{{$address3}}</p>
                                </div>
                                --}}
                                <div class="details_inr details_address">
                                    <h3 class="mb-1">Town or City</h3>
                                    <p class="client-town">{{$town}}</p>
                                </div>

                                <div class="details_inr details_address">
                                    <h3 class="mb-1">Country</h3>
                                    <p class="client-country">{{$country}}</p>
                                </div>
                            </div>
                        </div>                       

                    </div>
                </div>

                @php
                @endphp

                <div class="communication_details">
                    <h2 class="mb-3">Communication Details</h2>
                    <div class="form-group-main mb-4">
                        <div class="d-flex flex-column flex-sm-row gap-sm-4 gap-3">
                            <div class="form-group w-100">
                                <label class="label mb-2">Mobile Number <small>(without +44)</small></label>
                                <input type="textbox" id="mobile_number" class="form-control"
                                     placeholder="e.g 398 023 592"
                                    name="mobile_number" value="{{!empty($contact)?$contact:old('mobile_number')}}" >

                                <div class="invalid-feedback mt-2 " style="{{($errors->has('mobile_number'))?'display: block;':'display: none;'}}">{{ ($errors->has('mobile_number'))?$errors->first('mobile_number'):'' }}</div>

                                {{-- 
                                @if($errors->has('mobile_number'))  
                                    <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('mobile_number') }}</div>
                                @endif
                                --}}
                            </div>
                            <div class="form-group w-100">
                                <label class="label mb-2"> Email Address</label>
                                <input type="text" id="email" class="form-control"
                                     placeholder="e.g johndoe@example.com" name="email" value="{{!empty($email)?$email:old('email')}}">

                                <div class="invalid-feedback mt-2 " style="{{($errors->has('email'))?'display: block;':'display: none;'}}">{{ ($errors->has('email'))?$errors->first('email'):'' }}</div>

                                {{-- 
                                @if($errors->has('email'))                                
                                    <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('email') }}</div>
                                @endif
                                --}}
                            </div>
                        </div>
                        <div class="error_msg">
                            <img src="{{ asset('frontend/assets/images/shield.png') }}" width="24px" alt="" class="me-2">
                            Privacy is important, your details won’t be passed on
                        </div>
                    </div>

                    <div class="form-req-agree form-group d-flex align-items-center">
                        <input type="checkbox" id="agree" name="agree" value="1" {{($agree==1 || old('agree') == 1)?'checked':''}}>
                        <label for="agree" class="label label-checkbox">  I agree to SMS / Email communication.</label> 
                    </div>

                    <div class="invalid-feedback mt-2 " style="{{($errors->has('agree'))?'display: block;':'display: none;'}}">{{ ($errors->has('agree'))?$errors->first('agree'):'' }}</div>  

                    {{-- 
                    @if($errors->has('agree'))                                
                        <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('agree') }}</div>
                    @endif
                    --}}

                    <p class="d-flex align-items-start mt-3"> 
                        <img src="{{ asset('frontend/assets/images/info.svg') }}" alt="" class="mt-1 me-1" width="20px">
                    <span class="ms-1">
                        We lean on AI to create your project brief instantly. By clicking ‘Submit’ you agree that the information you input 
                        here to be used this way. Your personal data will never be sent.<i>I don't want this.</i>
                    </span>
                    </p>
                </div>

                <div class="btndv-main text-end d-flex gap-2 d-md-block">
                    <a href="{{route('company-info')}}" class="prevbtn btn stpbtn" >Previous</a>
                    <button class="nxtbtn btn stpbtn" type="submit">Submit</button>
                </div>

            </form>


        </div>
    </div>
</section>

@endsection

@section('scripts')
<script type="text/javascript">

    var $j = jQuery.noConflict();

$(document).ready(function () {
    $('input[name="salutation"]').click(function() {
        $(this).closest('.form-group').find(".invalid-feedback").html("").hide();
    });

    // Hide all textareas initially
    /*$('.company_info_inr').hide();

        });*/       

    $(".company_info").change(function() {

        var val = $(this).val();
        var companyInfo = $(this).closest('.form-group-main').find('.company_info_inr');

        if (val == 1) {        
            companyInfo.show();
            companyInfo.find("input").prop('disabled', false);
            //$("#company_details").prop('disabled', false);

        } else {
            companyInfo.hide();
            //$("#company_details").hide();
            companyInfo.find("input").prop('disabled', false);
            companyInfo.find("input").val('');
            //alert(companyInfo.find("input").val());
            /*$("#company_details").prop('disabled', true);
            $("#company_details").val('');*/
        }
    });

    var companyInfo = $("#is_registered").closest('.form-group-main').find('.company_info_inr');

    if ($("#is_registered").is(':checked')) {        
        companyInfo.show();
        companyInfo.find("input").prop('disabled', false);

    } else {
        companyInfo.hide();
        //$("#company_details").hide();
        companyInfo.find("input").prop('disabled', false);
        companyInfo.find("input").val('');
    }

    var companyInfo2 = $("#is_domain").closest('.form-group-main').find('.company_info_inr');

    if ($("#is_domain").is(':checked')) {        
        companyInfo2.show();
        companyInfo2.find("input").prop('disabled', false);

    } else {
        companyInfo2.find("input").prop('disabled', false);
        companyInfo2.find("input").val('');
        companyInfo2.hide();
        //$("#company_details").hide();        
    }
    
    // Hide all textareas initially
    //$('.project_info_textarea').hide();

});


function addressSelect(element){

    var clientAddress1 = $(element).attr('data-address1');
    var clientAddress2 = $(element).attr('data-address2');
    //var clientAddress3 = $(element).attr('data-address3');
    var clientTown = $(element).attr('data-town');
    var clientCountry = $(element).attr('data-country');
    var clientJSON = $(element).attr('data-json');
    //alert(clientAddress1);
    $("#client_data").val(clientJSON); 
    $(element).parent("#address-listing").hide();
    
    if(clientAddress1){
        //alert(clientAddress1);
        $('.address-details p.client-address1').text(clientAddress1);
    }else{
        $('.address-details p.client-address1').text('');
    } 
    
    if(clientAddress2){
        $('.address-details p.client-address2').text(clientAddress2);
    }else{
        $('.address-details p.client-address2').text('');
    }  

   /* if(clientAddress3){
        $('.address-details p.client-address3').text(clientAddress3);
    }else{
        $('.address-details p.client-address3').text('');
    }  */

    if(clientTown){
        $('.address-details p.client-town').text(clientTown);
    }else{
        $('.address-details p.client-town').text('');
    } 

    if(clientCountry){
        $('.address-details p.client-country').text(clientCountry);
    }else{
        $('.address-details p.client-country').text('');
    } 

    $(element).parent("#address-listing").closest('.form-group-main').find(".invalid-feedback").html("").hide();

    $('#address-listing').hide();
    $('.address-details').show();
    

}

function getAddressInfo(element){
    
    $("#find-address").prop('disabled', true);
    $("#find-address").css({
            "background-color": "#bfbbbb",
            "color": "#444",
            "border" : "none"                       
        });

    $('.address-details').hide(); 
    $('#address-listing').hide();
    $('#address-listing').html("");
    var keyword = $("#current_address").val();
    var url = $("#find-address").attr('data-route');
    var token = $('#csrf-token')[0].content;
    //alert($("#client_data").val());
    $("#client_data").val(''); 
    //alert("afsdfasd");
    /* alert(keyword);
    return false;*/
    $.ajax({
        url: url, 
        type: "POST",
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        data: JSON.stringify({keyword: keyword, _token: token}),
        beforeSend: function() {
            // setting a timeout
            $('#address-error').hide();


            //$("#address-loader").show();
        },

        success: function (result) {
           var data = result;
           //alert(data.success);
           if(data.success == 'success'){
            //$("#address-loader").hide();
            $('#address-error').hide();
            $('#address-listing').show();
            $('#address-listing').html(data.result);
           }else{
            $('#address-listing').html("");
            //$("#address-loader").hide();
            //$('#address-error').show();
            //$('#address-error').html(data.message);
            $(element).closest('.form-group-main').find(".invalid-feedback").html(data.message).show();            
           }

           $("#find-address").prop('disabled', false);
           $("#find-address").css({
                "background-color": "var(--tertiary)",
                "color": "#fff",                                      
            });

           //alert(JSON.stringify(data));
        },
        complete: function(){
            //$("#address-loader").hide();
            $("#find-address").prop('disabled', false);
            $("#find-address").css({
                "background-color": "var(--tertiary)",
                "color": "#fff",                                     
            });
        },
        error: function (err) {
            // check the err for error details
            //alert("Error occured.please try again");
            //alert("Error occured.please try again: " + err);
            $('#address-error').hide();
            //$("#address-loader").hide();
            $("#find-address").prop('disabled', false);
            $("#find-address").css({
                "background-color": "var(--tertiary)",
                "color": "#fff",                                  
            });

        }
    });
    //alert($("#company_details").val());
}

function clearAddress(){
    $("#client_data").val(''); 
}

$('#day').change(function(){
    var day = $(this).val();
    var daySelect = $(this);   
    if (day === "") {
        //daySelect.closest('.form-group').find(".invalid-feedback").html("Please select the day").show();
       
    }else{

        daySelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});

$('#month').change(function(){
    var month = $(this).val();
    var monthSelect = $(this);   
    if (month === "") {
        //monthSelect.closest('.form-group').find(".invalid-feedback").html("Please select the month").show();
             
    }else{

        monthSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});

$('#year').change(function(){
    var year = $(this).val();
    var yearSelect = $(this);   
    if (year === "") {
        //yearSelect.closest('.form-group').find(".invalid-feedback").html("Please select the year").show();
             
    }else{

        yearSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});


$('#first_name').keypress(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the first name").show();
             
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});


$('#last_name').keypress(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the last name").show();
           
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});

$('#current_address').keypress(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group-main').find(".invalid-feedback").html("Please enter the current address").show();
       
    }else{
        nameSelect.closest('.form-group-main').find(".invalid-feedback").html("").hide();
    }     
});

$('#email').keypress(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the email").show();
           
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});


function validateForm() {

    // Get the form elements
    var salutation = $('input[name="salutation"]');
    // var first_name =$('#first_name').val();
    var first_name = $('#first_name').val().trim();
    var first_select =$('#first_name');
    // var last_name =$('#last_name').val();
    var last_name =$('#last_name').val().trim();
    var last_select =$('#last_name');

    var day =$('#day').val();
    var day_select =$('#day');

    var month =$('#month').val();
    var month_select =$('#month');

    var year =$('#year').val();
    var year_select =$('#year');

    var address =$('#current_address').val();
    var address_select =$('#current_address');

    var client_data =$('#client_data').val();
    var client_data_select =$('#client_data');    

    var mobile =$('#mobile_number').val();
    var mobile_select =$('#mobile_number'); 

    var email =$('#email').val();
    var email_select =$('#email');

    var agree =$('#agree').val();
    var agree_select =$('#agree');    

    var regexMobile =/^\d{10}$/;

    var regexEmail =/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9])+$/;

    //Showing all errors
    var error = false; 

    if (salutation.is(':checked') === false) {
        salutation.closest('.form-group').find(".invalid-feedback").html("Salutation must be selected").show();
        error = true;
    }else{
        salutation.closest('.form-group').find(".invalid-feedback").html("").hide();
    } 

    if (first_name === "") {
        first_select.closest('.form-group').find(".invalid-feedback").html("First name must be filled out").show();
        error = true;        
    }else{

        if (first_name.length < 3) {
            first_select.closest('.form-group').find(".invalid-feedback").html("First name must be greater than 3 characters.").show();
            error = true;  
        }else if (first_name.length > 20) {
            first_select.closest('.form-group').find(".invalid-feedback").html("First name must be less than 20 characters.").show();
            error = true;  
        }else{
            first_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }

        
    }  

    if (last_name === "") {
        last_select.closest('.form-group').find(".invalid-feedback").html("Last name must be filled out").show();
        error = true;        
    }else{
        if (last_name.length < 3) {
            last_select.closest('.form-group').find(".invalid-feedback").html("Last name must be greater than 3 characters.").show();
            error = true;  
            
        }else if (last_name.length > 20) {
            last_select.closest('.form-group').find(".invalid-feedback").html("Last name must be less than 20 characters.").show();
            error = true;             
        }else{
            last_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }

        
    } 

    if (day === "") {
        day_select.closest('.form-group').find(".invalid-feedback").html("Please select the day").show();
        error = true;        
    }else{
        day_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    } 

    if (month === "") {
        month_select.closest('.form-group').find(".invalid-feedback").html("Please select the month").show();
        error = true;        
    }else{
        month_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    }

    if (year === "") {
        year_select.closest('.form-group').find(".invalid-feedback").html("Please select the year").show();
        error = true;        
    }else{
        year_select.closest('.form-group').find(".invalid-feedback").html("").hide();
    }

    if (address === "") {
        address_select.closest('.form-group-main').find(".invalid-feedback").html("Please find and select current address").show();
        $('.address-details').hide(); 
        $('#address-listing').hide();
        $('#address-listing').html("");
        $("#client_data").val('');
        error = true;        
    }else{
        address_select.closest('.form-group-main').find(".invalid-feedback").html("").hide();
    }

    if (client_data === "") {
        client_data_select.closest('.form-group-main').find(".invalid-feedback").html("Please find and select current address").show();
        $('.address-details').hide(); 
        $('#address-listing').hide();
        $('#address-listing').html("");
        $("#client_data").val('');
        error = true;        
    }else{
        client_data_select.closest('.form-group-main').find(".invalid-feedback").html("").hide();
    }    

    if (mobile === "") {
        mobile_select.closest('.form-group').find(".invalid-feedback").html("Please enter the mobile number").show();
        error = true;        
    }else{

        if (!regexMobile.test(mobile)) {
            mobile_select.closest('.form-group').find(".invalid-feedback").html("Please enter only 10 digits in mobile number").show();
            error = true;
        }else{
            mobile_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }       
        
    }

    if (email === "") {
        email_select.closest('.form-group').find(".invalid-feedback").html("Please enter the email").show();
        error = true;        
    }else{

        if (!regexEmail.test(email)) {
            email_select.closest('.form-group').find(".invalid-feedback").html("Please enter only valid email").show();
            error = true;
        }else{
            email_select.closest('.form-group').find(".invalid-feedback").html("").hide();
        }       
        
    }

    if (agree_select.is(':checked') === false) {
        agree_select.parent('.form-req-agree').siblings(".invalid-feedback").html("Please select agree option").show();
        error = true;
    }else{
        agree_select.parent('.form-req-agree').siblings(".invalid-feedback").html("").hide();
    } 

    //return false;    

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}

// $("#mobile_number").keydown(function(event) {
//     var mobile =$(this).val();
//     //alert(mobile);

//     var regexMobile = /^\d{10}$/;
//     var regexNumeric = /^[0-9]+(\.[0-9]+)?$/;    

//     if (!regexNumeric.test(mobile)) {
//         $(this).closest('.form-group').find(".invalid-feedback").html("Please enter only digits").show();
//         error = true;

//     }else{
//         $(this).closest('.form-group').find(".invalid-feedback").html("").hide();
//     }

//     //alert(mobile.length);
//     var maxlength = 10;

//     if(mobile.length >= 10){
//         event.preventDefault();
//     }   

// });
$("#mobile_number").keydown(function(event) {
    var mobile = $(this).val();
    var regexNumeric = /^[0-9]+$/;

    // Allow only numeric input and backspace
    if (event.key.length === 1 && !regexNumeric.test(event.key) && event.key !== 'Backspace') {
        event.preventDefault();
        $(this).closest('.form-group').find(".invalid-feedback").html("Please enter only digits").show();
    } else {
        $(this).closest('.form-group').find(".invalid-feedback").html("").hide();
    }

    // Prevent more than 10 digits
    if (mobile.length >= 10 && event.key !== 'Backspace') {
        event.preventDefault();
    }
});


$('.radio-check').click(function(){  
        if ($(this).is(':checked') === false) {
            $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
            $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
            $(this).find("input[type='radio']").addClass("checked"); 
            $(this).find("input[type='radio']").attr('checked', true); 
        }else{
            $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
            $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
            $(this).find("input[type='radio']").addClass("checked"); 
            $(this).find("input[type='radio']").attr('checked', true);                
        }
           
    //alert($(this).siblings('.radio-check').length);        
    
});



var windowWidth = window.innerWidth;
if(windowWidth < 600) {
    $('select#day option.defoption').text('Date');
    $('select#month option.defoption').text('Month');
    $('select#year option.defoption').text('Year');
}

</script>
@endsection