@extends('frontend.layouts.master')
@section('style')
<style type="text/css">    
    #company-listing{
        overflow: scroll;height: 250px; display: none;
    }
    .company-details{
        display: none;
    }
    #company-loader{
        display: none;
    }
    #company-loader{
       background-image: url('frontend/assets/images/loading.gif');
       height: 40px;
       width: 100%;
       background-repeat: no-repeat;
    }
    #company-error{
        display:none;
        color:red;
    }

</style>
@endsection

@section('content')

<section class="main-content">
    <div class="step2">
        <span>STEP 6 FROM 6</span>
        <h1>Company Information</h1>
        <!-- <h3>
            Please select the service(s) you require <span>(may select multiple) </span>
        </h3> -->

        @include('frontend.layouts.messages')

        <div class="main-content-steps">

            <form method="POST" action="{{route('company-info-submit')}}" id="company-info-form" onsubmit="return validateForm()">

                @csrf

                @php
                    $company_details = "";
                    $company_data = "";
                    $company_number = "";
                    $is_registered = 0;
                    $is_domain = 0;

                    if(!empty($currentSession['company_info']) && !empty($currentSession['company_info']['company_details'])){
                        $company_details = $currentSession['company_info']['company_details'];
                    }
                    if(!empty($currentSession['company_info']) && !empty($currentSession['company_info']['company_data'])){
                        $company_data = $currentSession['company_info']['company_data'];

                    }
                    if(!empty($currentSession['company_info']) && !empty($currentSession['company_info']['company_number'])){
                        $company_number = $currentSession['company_info']['company_number'];
                    }

                    if(!empty($currentSession['company_info']) && in_array('is_registered', array_keys($currentSession['company_info']))){
                        $is_registered = $currentSession['company_info']['is_registered'];
                    }

                    if(!empty($currentSession['company_info']) && in_array('is_domain', array_keys($currentSession['company_info']))){
                        $is_domain = $currentSession['company_info']['is_domain'];
                    }

                    $isCompanyCheck = 0;
                    if(old('is_registered') == 1){
                        $isCompanyCheck = 1;                               
                    }elseif($is_registered == 1){
                        $isCompanyCheck = 1;
                    }

                    $isDomainCheck = 0;

                    if(old('is_domain') == 1){
                        $isDomainCheck = 1;                               
                    }else if($is_domain == 1){
                        $isDomainCheck = 1;
                    } 

                    //print_r(old());                    

                    //var_dump($isDomainCheck);

                @endphp


                <div class="form-group-main mb-4">
                    <label class="label mb-2">
                        Is your company registered in the UK?
                    </label>
                    <div class="form-group d-grid form-group-flex ">
                        <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                            <input type="radio" class="form-check-input position-absolute is_registered company_info {{($isCompanyCheck == 1 )?'checked':''}}" id="is_registered1" value="1" name="is_registered" {{($isCompanyCheck==1)?'checked=checked':''}}>
                            <label for="is_registered1" class="form-check-label">
                                Yes
                            </label>
                        </div>
                        <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                            <input type="radio" class="form-check-input is_registered position-absolute company_info {{($isCompanyCheck == 0 )?'checked':''}}" id="is_registered" value="0" name="is_registered" {{($isCompanyCheck==0)?'checked=checked':''}}>
                            <label for="is_registered" class="form-check-label">
                               No
                            </label>
                        </div>
                        @if($errors->has('is_registered'))                                
                            <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('is_registered') }}</div>
                        @endif
                        
                    </div>

                    <input type="hidden" name="company_data" id="company_data" value="{{$company_data}}">
                    <input type="hidden" name="company_number" id="company_number" value="{{$company_number}}">

                    <div class="step5-inr company_info_inr form-group mt-4" style="{{($isCompanyCheck==1)?'display:block':'display:none'}}">
                        <label class="label mb-2">
                            What is your company name?
                        </label>
                        <input type="text" class="form-control" name="company_details" id="company_details" value="{{$company_details}}" placeholder="eg. Company details" onkeyup="getCompanyInfo()" data-route="{{route('get-company')}}">

                        <div class="invalid-feedback mt-2 " style="{{($errors->has('company_number'))?'display: block;':'display: none;'}} ">{{ ($errors->has('company_number'))?$errors->first('company_number'):'' }}</div>

                        {{--
                        @if($errors->has('company_number'))                                
                        <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('company_number') }}</div>
                        @endif
                        --}}
                        <br>
                        <div id="company-loader"></div>
                        <div id="company-error"></div>
                        
                        <div class="list-group" id="company-listing">
                            {{-- 
                          <a href="#" class="list-group-item list-group-item-action" aria-current="true">
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>                            
                          </a>
                          <a href="#" class="list-group-item list-group-item-action" aria-current="true">
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            
                          </a>
                          <a href="#" class="list-group-item list-group-item-action" aria-current="true">
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>
                            <p>Company Name: Test Company</p>                            
                          </a>
                          --}}
                        </div>
                        @php   
                        $company_name = ''; 
                        $company_number = ''; 
                        $company_status = ''; 
                        $address1 = '';  
                        $address2 = '';  
                        $locality = ''; 
                        $postal_code = ''; 
                        $country = '';

                        if(!empty($company_data)){
                            $company_json = json_decode($company_data);
                            if(!empty($company_json->company_name)){
                                $company_name = $company_json->company_name; 
                            }
                            if(!empty($company_json->company_number)){
                                $company_number = $company_json->company_number; 
                            }
                            if(!empty($company_json->company_status)){
                                $company_status = $company_json->company_status; 
                            }
                            if(!empty($company_json->address1)){
                                $address1 = $company_json->address1; 
                            }
                            if(!empty($company_json->address2)){
                                $address2 = $company_json->address2; 
                            }
                            if(!empty($company_json->locality)){
                                $locality = $company_json->locality; 
                            }
                            if(!empty($company_json->postal_code)){
                                $postal_code = $company_json->postal_code; 
                            }
                            if(!empty($company_json->country)){
                                $country = $company_json->country; 
                            }                           
                           
                        }
                        
                        @endphp
                        <div class="company-details company-details-web mt-1 p-3" style="{{(!empty($company_data))?'display:block':'display:none'}}">

                            <div class="comdtl-grid">
                                <div class="details_inr company_name">
                                    <h3 class="mb-1">Company name</h3>
                                    <p class="company-name">{{$company_name}}</p>
                                </div>
                                <!-- <div class="details_inr company_number">
                                    <h3 class="mb-1">Company number</h3>
                                    <p class="company-number">{{$company_number}}</p>
                                </div>
                                <div class="details_inr company_status">
                                    <h3 class="mb-1">Company Status</h3>
                                    <p class="text-success company-status">{{$company_status}}</p>
                                </div> -->
                                <div class="details_inr details_address">
                                    <h3 class="mb-1">Company Address</h3>
                                    <p class="company-address">{{$address1.' '. $address2. ' '.$locality.' '. $postal_code . ' '. $country}}</p>
                                </div>
                            </div>
                        </div>
                        
                        
                    </div>
                </div>
                @php
                    $domain_name = "";
                    $is_domain = 0;
                    if(!empty($currentSession['company_info']) && !empty($currentSession['company_info']['domain_name'])){
                        $domain_name = $currentSession['company_info']['domain_name'];
                    }
                    if(!empty($currentSession['company_info']) && !empty($currentSession['company_info']['is_domain'])){
                        $is_domain = $currentSession['company_info']['is_domain'];
                    }                    

                    $domainDisbabled = '';
                    if($is_domain==0 ){
                        $domainDisbabled = 'disabled';                               
                    } 
                    
                    //var_dump($companyDisbabled);

                @endphp
                            
                <div class="form-group-main">
                    <label class="label mb-2">
                        Do you have a registered domain for this company? 
                    </label>
                    <div class="form-group d-grid form-group-flex ">
                        <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                            <input type="radio" class="form-check-input company_info position-absolute {{($isDomainCheck == 1 )?'checked':''}}" id="is_domain1" value="1" name="is_domain" {{($isDomainCheck==1)?'checked=checked':''}}>
                            <label for="is_domain1" class="form-check-label">
                                Yes, I do
                            </label>
                        </div>

                        <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                            <input type="radio" class="form-check-input company_info position-absolute {{($isDomainCheck == 0 )?'checked':''}}" id="is_domain2" value="0" name="is_domain" {{($isDomainCheck==0)?'checked=checked':''}}>
                            <label for="is_domain2" class="form-check-label">
                                No, I don’t
                            </label>
                        </div>  
                        
                        @if($errors->has('is_domain'))                                
                            <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('is_domain') }}</div>
                        @endif
                        
                        
                    </div>   

                    <input type="hidden" name="domain_text" class="domain_text" value="{{$domain_name }}">            
                   
                    <div class="step5-inr company_info_inr form-group mt-4" style="{{($isDomainCheck==1)?'display:block':'display:none'}}">
                        <label class="label mb-2">
                        Please enter your website domain
                        </label>
                        <div class="" style="position:relative;">
                            <span class="www position-absolute">www.</span>
                            <input type="text" id="domain_name" class="form-control" placeholder="e.g. socialtraders.com" name="domain_name" value="{{$domain_name }}" style="padding-left: 14%;" >
                          </div>

                          <div class="invalid-feedback mt-2 " style="{{($errors->has('domain_name'))?'display: block;':'display: none;'}}">{{ ($errors->has('domain_name'))?$errors->first('domain_name'):'' }}</div>

                          {{--    
                          @if($errors->has('domain_name'))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first('domain_name') }}</div>
                            @endif

                            --}}                         
                    </div>
                </div>


                <div class="btndv-main d-flex gap-4 justify-content-end">
                    <a href="{{route('project-info')}}" class="prevbtn btn stpbtn">Previous</a>
                    <button class="nxtbtn btn stpbtn" type="submit">Next</button>
                </div>

            </form>


        </div>
    </div>
</section>

@endsection

@section('scripts')
<script type="text/javascript">

    var $j = jQuery.noConflict();

$(document).ready(function () {

    // Hide all textareas initially
    /*$('.company_info_inr').hide();

        });*/       

    $(".company_info").click(function() {
       
        var val = $(this).val();
        var companyInfo = $(this).closest('.form-group-main').find('.company_info_inr');
        var inputName = $(this).attr('name');        

        if (val == 1) {  

            if(inputName == 'is_domain'){
                var hideenText = $(this).parents(".form-group-main").children(".domain_text").val();
                companyInfo.find('input[name="domain_name"]').val(hideenText);
            }

            companyInfo.show();
            companyInfo.find("input").prop('disabled', false);           

        } else {
            companyInfo.hide();
            //$("#company_details").hide();
            companyInfo.find("input").prop('disabled', false);
            //companyInfo.find("input").val('');            
        }
    });

    $("#domain_name").keyup(function(){  
        var text = $(this).val();
        var hideenText = $(this).parents(".form-group-main").children(".domain_text");   
        //alert(hideenText.val());  
        hideenText.val(text);        
    });

    /*$(".radio-check").click(function() {
        
        //var val = $(this).find("input[type=radio]");

        alert($(this).length);
        return false;

        var companyInfo = $(this).closest('.form-group-main').find('.company_info_inr');

        if (val == 1) {        
            companyInfo.show();
            companyInfo.find("input").prop('disabled', false);
            $("#company_data").val('');
            $("#company_number").val('');
            //$("#company_details").prop('disabled', false);

        } else {
            companyInfo.hide();
            //$("#company_details").hide();
            companyInfo.find("input").prop('disabled', false);
            //companyInfo.find("input").val('');
            $("#company_data").val('');
            $("#company_number").val('');            
            //alert(companyInfo.find("input").val());           
        }
    });*/


    //$("#company_data").val('');
    //$("#company_number").val('');   
    
    // Hide all textareas initially
    //$('.project_info_textarea').hide();

    /*$("#company-listing > .company-select").click(function(){
        alert('fsadfsadf');
    });*/

});


function companySelect(element){

    var companyName = $(element).attr('data-company');
    var companyNumber = $(element).attr('data-number');
    var companyStatus = $(element).attr('data-status');
    var companyAddress1 = $(element).attr('data-address1');
    var companyAddress2 = $(element).attr('data-address2');
    var companyLocality = $(element).attr('data-locality');
    var companyPostcode = $(element).attr('data-postal_code');
    var companyCountry = $(element).attr('data-country');
    var companyJSON = $(element).attr('data-json');
    //alert(companyName);
    $("#company_data").val(companyJSON); 
    $("#company_number").val(companyNumber);  

    $(element).parent("#company-listing").hide();
    
    if(companyName){
        //alert(companyName);
        $('.company-details p.company-name').text(companyName);
    }else{
        $('.company-details p.company-name').text('');
    } 
    
    if(companyNumber){
        $('.company-details p.company-number').text(companyNumber);
    }else{
        $('.company-details p.company-number').text('');
    }  

    if(companyStatus){
        $('.company-details p.company-status').text(companyStatus);
    }else{
        $('.company-details p.company-status').text('');
    }  

    if(companyAddress1){
        $('.company-details p.company-address').text(companyStatus);
    }else{
        $('.company-details p.company-address').text('');
    } 

    $(element).parent("#company-listing").closest('.form-group').find(".invalid-feedback").html("").hide();

    $('#company-listing').hide();
    $('.company-details').show();
    
    /*$('.company-details > .compan_name').val(companyAddress2);
    $('.company-details > .compan_name').val(companyLocality);
    $('.company-details > .compan_name').val(companyCountry);*/

    //alert(companyName);

}

function getCompanyInfo(){
    $('.company-details').hide(); 
    $('#company-listing').hide();
    $('#company-listing').html("");
    var keyword = $("#company_details").val();
    var url = $("#company_details").attr('data-route');
    var token = $('#csrf-token')[0].content;
    $("#company_data").val(''); 
    $("#company_number").val(''); 
    //alert("afsdfasd");
    /*alert(url);
    return false;*/
    $.ajax({
        url: url, 
        type: "POST",
        dataType: "json",
        contentType: "application/json; charset=utf-8",
        data: JSON.stringify({keyword: keyword, _token: token}),
        beforeSend: function() {
            // setting a timeout
            $('#company-error').hide();
            $("#company-loader").show();
        },

        success: function (result) {
           var data = result;
           //alert(data.success);
           if(data.success == 'success'){
            $("#company-loader").hide();
            $('#company-error').hide();
            $('#company-listing').show();
            $('#company-listing').html(data.result);
           }else{
            $('#company-listing').html("");
            $("#company-loader").hide();
            $('#company-error').show();
            $('#company-error').html(data.message);
            
           }

           //alert(JSON.stringify(data));
        },
        complete: function(){
            //$('#company-error').hide();
            $("#company-loader").hide();
        },
        error: function (err) {
            // check the err for error details
            //alert("Error occured.please try again");
            //alert("Error occured.please try again: " + err);
            $('#company-error').hide();
            $("#company-loader").hide();

        }
    });
    //alert($("#company_details").val());
}

function validateForm() {

    formSelect = $('#company-info-form');

    var inputRadio  = formSelect.find('input[type=radio]:checked');

    var error = false; 

    

    $(inputRadio).each(function() {
        var inputName = $(this).attr('name');
        var inputValue = $(this).val();        

        var companyDetails = $(this).closest('.form-group-main').find('input[name=company_details]');

        var domainName = $(this).closest('.form-group-main').find('input[name=domain_name]');
        //var inputSelect = formSelect.find('input[name="'+inputName+'"]');       
        /*alert(inputName);
        return false;*/

        if(inputName == 'is_registered'){
            if (inputValue == 1) {
                if (companyDetails.val().trim() === "") {
                    $(this).closest('.form-group-main').find(".invalid-feedback").html("This field is required").show();
                    error = true;
                }
            }else{
                $(this).closest('.form-group-main').find(".invalid-feedback").html("").hide();
            }
        }

        if(inputName == 'is_domain'){
            if (inputValue == 1) {
                if (domainName.val().trim() === "") {
                    $(this).closest('.form-group-main').find(".invalid-feedback").html("This field is required").show();
                    error = true;
                }
            }else{
                $(this).closest('.form-group-main').find(".invalid-feedback").html("").hide();
            }
        }        
        
    });

    //return false;

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
   
}

$('.radio-check').click(function(){  
        if ($(this).is(':checked') === false) {
            $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
            $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
            $(this).find("input[type='radio']").addClass("checked"); 
            $(this).find("input[type='radio']").attr('checked', true); 
        }else{
            $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
            $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
            $(this).find("input[type='radio']").addClass("checked"); 
            $(this).find("input[type='radio']").attr('checked', true);                
        }
           
    //alert($(this).siblings('.radio-check').length);        
    
});

$('#company_details').keyup(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the last name").show();
           
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});

$('#domain_name').keyup(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        //nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the last name").show();
           
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});

</script>

@endsection