@extends('frontend.layouts.master')
@section('style')
<style type="text/css">
    .loader{
        position: fixed;
        background: #f4f4f4;
        width: 100%;
        height: 100%;
        text-align: center;

    }

    .loader h2{ 
        margin-top: 15%;
        text-align: center;
        vertical-align: middle;
        top: 10%;
    }

/**
 * ==============================================
 * Dot Flashing
 * ==============================================
 */
.dot-flashing {
  position: relative;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dot-flashing 1s infinite linear alternate;
  animation-delay: 0.5s;
}
.dot-flashing::before, .dot-flashing::after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 0;
}
.dot-flashing::before {
  left: -15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dot-flashing 1s infinite alternate;
  animation-delay: 0s;
}
.dot-flashing::after {
  left: 15px;
  width: 10px;
  height: 10px;
  border-radius: 5px;
  background-color: #9880ff;
  color: #9880ff;
  animation: dot-flashing 1s infinite alternate;
  animation-delay: 1s;
}

@keyframes dot-flashing {
  0% {
    background-color: #9880ff;
  }
  50%, 100% {
    background-color: rgba(152, 128, 255, 0.2);
  }
}

.disabled {
    pointer-events: none !important;
    cursor: not-allowed !important;
}

    
</style>
@endsection
@section('content')

@if($loader || true)

<section class="main-content scope-main-content">
    <div class="step7">

        <h1>Project Scope</h1>
        <p>Here's the initial scope for your brief. We'll refine it later.</p>        

        <div class="main-content-steps">
            <div class="project_scp">
                <div class="brief_summary mb-4">
                    <div class="projscp-header brief-header mb-4">
                        <h2>Business Summary</h2>
                    </div>

                    <div class="projscpcontent brief-content d-md-grid d-block">
                        <div class="scp-tab brief-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($projectScope['business_description'])?'':'disabled'}}" data-bs-toggle="collapse"
                            data-bs-target="#industryCollapse" aria-expanded="false"
                            aria-controls="industryCollapse" id="bussiness-summary-toggle">

                            Industry 
                            {{--
                            @if(empty($projectScope['business_description']))
                                <div class="dot-flashing" id="bussiness-summary-loading"></div>
                            @else
                            <div id="bussiness-summary-button">
                                <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                            </div>
                            @endif
                            --}}  

                            <div class="dot-flashing" id="bussiness-summary-loading" style="{{!empty($projectScope['business_description'])?'display:none;':'display:block;'}}"></div>

                            <div id="bussiness-summary-button" style="{{!empty($projectScope['business_description'])?'display:block;':'display:none;'}}">
                                <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                            </div>

                        </div>
                        <div id="industryCollapse" class="scpdtl  collapse bg-white p-4 mb-3">
                            <div id="bussiness-summary-content">
                                @if(!empty($projectScope['business_description']))

                                <p>{!! nl2br($projectScope['business_description']) !!}</p>
                                @else
                                    <p>Processing...</p>
                                @endif
                            </div>
                        </div>

                        <div class="scp-tab brief-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($projectScope['business_challenges'])?'':'disabled'}}" data-bs-toggle="collapse"
                            data-bs-target="#challengesCollapse" aria-expanded="false"
                            aria-controls="challengesCollapse" id="bussiness-challenges-toggle">
                            Challenges

                            {{-- 
                            @if(empty($projectScope['business_challenges']))
                                <div class="dot-flashing" id="bussiness-challenges-loading"></div>
                            @else
                                <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                            @endif

                            --}}

                            <div class="dot-flashing" id="bussiness-challenges-loading" style="{{!empty($projectScope['business_challenges'])?'display:none;':'display:block;'}}"></div>

                            <div id="bussiness-challenges-button" style="{{!empty($projectScope['business_challenges'])?'display:block;':'display:none;'}}">
                                <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                            </div>
                            
                        </div>
                        <div id="challengesCollapse" class="scpdtl collapse bg-white p-4 mb-3">
                            <div id="business-challenge-content">
                                @if(!empty($projectScope['business_challenges']))

                                    <p>{!! nl2br($projectScope['business_challenges']) !!}</p>
                                @else
                                    <p>Processing...</p>
                                @endif
                            </div>
                        </div>

                    </div>
                </div> 

                @if(!empty($services))
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        @php
                        $i = 1;
                        @endphp
                        @foreach($services as $sk => $sv)
                            @php
                            $name = str_replace(' ','', strtolower($sv['name']));
                            @endphp
                            <li class="nav-item" role="presentation">
                              <button class="nav-link {{($i==1)?'active':''}}" id="{{$name}}-tab" data-bs-toggle="tab" data-bs-target="#{{$name}}-tab-pane" 
                              type="button" role="tab" aria-controls="{{$name}}-tab-pane" aria-selected="true">{{$sv['name']}}</button>
                            </li>  
                        @php
                        $i++;
                        @endphp                            
                        @endforeach                
                    </ul>
                @endif

                @if(!empty($services))
                        @php

                        $i = 1;

                        @endphp
                <div class="tab-content" id="myTabContent">
                    @foreach($services as $skh => $svh)
                        @php
                        
                            $name = str_replace(' ','', strtolower($svh['name']));

                            $gigDescription = '';

                            $q1 = '';
                            $q2 = '';
                            $q3 = '';
                            $q4 = '';
                            $q5 = '';

                            $serviceKey = $svh['key'];
                            $serviceAltKey = $svh['alt_key'];
                            $mainKey = '';

                            if(!empty($businessService[$svh['id']]) && $businessService[$svh['id']] == 1){
                                $mainKey = $serviceAltKey;
                            }else{
                                $mainKey = $serviceKey;
                            }

                            
                            //echo "<pre>";
                                //businessService
                            //print_r($businessService[$svh['id']]);
                            //exit();

                            if(!empty($mainKey) && array_key_exists($mainKey, $projectScope['services']) ){

                                if(array_key_exists('description', $projectScope['services'][$mainKey]) && !empty($projectScope['services'][$mainKey]['description'])){

                                    $gigDescription = $projectScope['services'][$mainKey]['description'];

                                }

                                if(array_key_exists('q1', $projectScope['services'][$mainKey]) && !empty($projectScope['services'][$mainKey]['q1']) ){

                                    $q1 = $projectScope['services'][$mainKey]['q1'];
                                    
                                }

                                if(array_key_exists('q2', $projectScope['services'][$mainKey]) && !empty($projectScope['services'][$mainKey]['q2'])){

                                    $q2 = $projectScope['services'][$mainKey]['q2'];
                                    
                                }

                                if(array_key_exists('q3', $projectScope['services'][$mainKey]) && !empty($projectScope['services'][$mainKey]['q3'])){

                                    $q3 = $projectScope['services'][$mainKey]['q3'];
                                    
                                }

                                if(array_key_exists('q4', $projectScope['services'][$mainKey]) && !empty($projectScope['services'][$mainKey]['q4'])){

                                    $q4 = $projectScope['services'][$mainKey]['q4'];
                                    
                                }

                                if(array_key_exists('q5', $projectScope['services'][$mainKey]) && !empty($projectScope['services'][$mainKey]['q5'])){

                                    $q5 = $projectScope['services'][$mainKey]['q5'];
                                    
                                }                                

                            }

                            //var_dump($q4);
                            //exit();
                            
                        @endphp

                        <div class="tab-pane {{$mainKey}}-block fade {{($i==1)?'show active':''}}" id="{{$name}}-tab-pane" role="tabpanel" aria-labelledby="{{$name}}-tab" tabindex="0">
                            <div class="solutions mb-4">
                                <div class="projscp-header solutions-header mb-4">
                                    <h2>Project Summary</h2>
                                </div>
                                <div class="projectsummary solutions-content d-md-grid d-block">
                                    <div class="scp-tab solutions-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($gigDescription)?'':'disabled'}}" data-bs-toggle="collapse"
                                    data-bs-target="#gigOverviewCollapse" aria-expanded="false"
                                    aria-controls="gigOverviewCollapse" id="{{$mainKey}}-gig-toggle">

                                        Gig Overview

                                        {{-- 
                                        @if(empty($gigDescription))
                                            <div class="dot-flashing" id="bussiness-challenges-loading"></div>
                                        @else
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        @endif
                                        --}}
                                        
                                        <div class="dot-flashing" id="{{$mainKey}}-gig-loading" style="{{!empty($gigDescription)?'display:none;':'display:block;'}}"></div>

                                        <div id="{{$mainKey}}-gig-button" style="{{!empty($gigDescription)?'display:block;':'display:none;'}}">
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        </div>

                                    </div>
                                    <div id="gigOverviewCollapse" class="collapse scpdtl bg-white p-4 mb-3">
                                        <div id="{{$mainKey}}-gig-content">
                                            @if(!empty($gigDescription))
                                                <p>{!! nl2br($gigDescription) !!}</p>
                                            @else
                                                <p>Processing...</p>
                                            @endif

                                        </div>
                                    </div>

                                    <div class="scp-tab solutions-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($q1)?'':'disabled'}}"
                                        data-bs-toggle="collapse" data-bs-target="#workflowCollapse" aria-expanded="false"
                                        aria-controls="workflowCollapse" id="{{$mainKey}}-workflow-toggle" >
                                        Workflow

                                        {{--
                                        @if(empty($q1))
                                            <div class="dot-flashing" id="{{$mainKey}}-workflow-loading"></div>
                                        @else
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        @endif
                                         --}}

                                        <div class="dot-flashing" id="{{$mainKey}}-workflow-loading" style="{{!empty($q1)?'display:none;':'display:block;'}}"></div>

                                        <div id="{{$mainKey}}-workflow-button" style="{{!empty($q1)?'display:block;':'display:none;'}}">
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        </div>

                                    </div>
                                    <div id="workflowCollapse" class="collapse scpdtl bg-white p-4 mb-3">
                                        <div id="{{$mainKey}}-workflow-content">
                                            @if(!empty($q1))
                                                <p>{!! nl2br($q1) !!}</p>
                                            @else
                                                <p>Processing...</p>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="scp-tab solutions-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($q2)?'':'disabled'}}"
                                        data-bs-toggle="collapse" data-bs-target="#designlayoutCollapse"
                                        aria-expanded="false" aria-controls="designlayoutCollapse" id="{{$mainKey}}-layout-toggle">
                                        Design/layout
                                        {{-- 
                                        @if(empty($q2))
                                            <div class="dot-flashing" id="{{$mainKey}}-layout-loading"></div>
                                        @else
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        @endif
                                        --}}

                                        <div class="dot-flashing" id="{{$mainKey}}-layout-loading" style="{{!empty($q2)?'display:none;':'display:block;'}}"></div>

                                        <div id="{{$mainKey}}-layout-button" style="{{!empty($q2)?'display:block;':'display:none;'}}">
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        </div>

                                        
                                    </div>
                                    <div id="designlayoutCollapse" class="collapse scpdtl bg-white p-4 mb-3">
                                        <div id="{{$mainKey}}-layout-content">   
                                            @if(!empty($q2))
                                                <p>{!! nl2br($q2) !!}</p>
                                            @else
                                                <p>Processing...</p>
                                            @endif
                                        </div>
                                    </div>
                                </div>
                                <div class="projectsummary solutions-content d-md-grid d-block">

                                    <div class="scp-tab solutions-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($q3)?'':'disabled'}}"
                                        data-bs-toggle="collapse" data-bs-target="#functionalityCollapse"
                                        aria-expanded="false" aria-controls="functionalityCollapse" id="{{$mainKey}}-functionality-toggle">
                                        Functionality

                                        {{-- 

                                        @if(empty($q3))
                                            <div class="dot-flashing" id="{{$mainKey}}-layout-loading"></div>
                                        @else
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        @endif
                                        --}}

                                        <div class="dot-flashing" id="{{$mainKey}}-functionality-loading" style="{{!empty($q3)?'display:none;':'display:block;'}}"></div>

                                        <div id="{{$mainKey}}-functionality-button" style="{{!empty($q3)?'display:block;':'display:none;'}}">
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        </div>
                                        
                                    </div>
                                    <div id="functionalityCollapse" class="collapse scpdtl bg-white p-4">
                                        <div id="{{$mainKey}}-functionality-content">
                                            @if(!empty($q3))
                                                <p>{!! nl2br($q3) !!}</p>
                                            @else
                                                <p>Processing...</p>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="scp-tab solutions-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($q4)?'':'disabled'}}"
                                        data-bs-toggle="collapse" data-bs-target="#automationsCollapse" aria-expanded="false"
                                        aria-controls="automationsCollapse" id="{{$mainKey}}-automation-toggle">
                                        Automations
                                        {{-- 
                                        @if(empty($q4))
                                            <div class="dot-flashing" id="bussiness-challenges-loading"></div>
                                        @else
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        @endif
                                        --}}

                                        <div class="dot-flashing" id="{{$mainKey}}-automation-loading" style="{{!empty($q4)?'display:none;':'display:block;'}}"></div>

                                        <div id="{{$mainKey}}-automation-button"  style="{{!empty($q4)?'display:block;':'display:none;'}}">
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        </div>
                                        
                                    </div>
                                    <div id="automationsCollapse" class="collapse scpdtl bg-white p-4">
                                        <div id="{{$mainKey}}-automation-content">
                                            @if(!empty($q4))
                                                <p>{!! nl2br($q4) !!}</p>
                                            @else
                                                <p>Processing...</p>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="scp-tab solutions-tab collapsed bg-white p-sm-4 p-3 mb-4 {{!empty($q5)?'':'disabled'}}"
                                        data-bs-toggle="collapse" data-bs-target="#integrationsCollapse" aria-expanded="false"
                                        aria-controls="integrationsCollapse" id="{{$mainKey}}-integration-toggle">
                                        Integrations

                                        {{-- 
                                        @if(empty($q5))
                                            <div class="dot-flashing" id="bussiness-challenges-loading"></div>
                                        @else
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        @endif
                                        --}}

                                        <div class="dot-flashing" id="{{$mainKey}}-integration-loading" style="{{!empty($q5)?'display:none;':'display:block;'}}"></div>

                                        <div id="{{$mainKey}}-integration-button" style="{{!empty($q5)?'display:block;':'display:none;'}}">
                                            <span class="plus"><i class="fa fa-plus" aria-hidden="true"></i></span>
                                            <span class="minus"><i class="fa fa-minus" aria-hidden="true"></i></span>
                                        </div>

                                    </div>
                                    <div id="integrationsCollapse" class="collapse scpdtl bg-white p-4">
                                        <h3></h3>
                                        <div id="{{$mainKey}}-integration-content">
                                            @if(!empty($q5))
                                                <p>{!! nl2br($q5) !!}</p>
                                            @else
                                                <p>Processing...</p>
                                            @endif
                                        </div>
                                    </div>

                                </div>
                            </div>
                        </div>
                        @php
                        $i++;
                        @endphp 
                    @endforeach                    

                </div>

                @endif
                       
            </div>
            <div class="btndv-main briefbtn d-flex flex-column flex-md-row flex-wrap justify-content-end gap-2">
                <a href="{{route('service-type', ['case_id' => $caseExist])}}" class="briefcrtbtn btn stpbtn order-2 order-md-1">The Brief Is Not Correct</a>
                @if(authUserId())
                    <a class="nxtbtn btn stpbtn order-1 order-md-2" href="{{route('dashboard')}}">Continue</a>
                @else
                    <a class="nxtbtn btn stpbtn order-1 order-md-2" href="{{route('login', ['case_id' => $case_id])}}">Continue</a>
                @endif
            </div>

        </div>          


</section>

@else
<section>
    <div class="loader">
        <h2>Please wait while the request is processing...</h2>  
        <img src="{{asset('frontend/assets/images/loading.gif')}}" alt="loader"> 

    </div>
</section>

@endif

@endsection

@section('scripts')

<script>
$(document).ready(function () {
    $('.scp-tab').on('click', function () {           
        $('.scp-tab').not(this).each(function () { 
            $($(this).data('bs-target')).collapse('hide');
        });
    });
});
</script>
<script>
$(document).ready(function() {
    $('.scp-tab').click(function() {
        // Remove 'scp-tab' class from all tabs
        $('.scp-tab').removeClass('scp-active');
        
        // Add 'scp-tab' class to the clicked tab
        $(this).addClass('scp-active');
    });
});
$(document).ready(function() {
    $.ajax({url: "demo_test.txt", success: function(result){
        $("#div1").html(result);
    }});
});

var loader = "{{$loader}}";
var route = "{{route('check-case', ['case_id' => $case_id])}}";

// Define the AJAX function
function fetchData() {
    $.ajax({
        url: route, // Replace with your URL
        method: 'GET', // or 'POST', 'PUT', etc., depending on your requirement
        success: function(data) {
            if(data.success == 'success'){
                //alert(JSON.stringify(data.result));
                if(data.result!= "" && data.result.business_description!=""){
                    $("#bussiness-summary-toggle").removeClass('disabled');
                    $("#bussiness-summary-loading").hide();
                    $("#bussiness-summary-button").show();  
                    $("#bussiness-summary-content").html(data.result.business_description);  
                                     
                }else{
                    
                    $("#bussiness-summary-loading").show();
                    $("#bussiness-summary-toggle").addClass('disabled');
                    $("#bussiness-summary-button").hide();
                    $("#bussiness-summary-content").html('');                     
                }

                if(data.result!= "" && data.result.business_challenges!="" ){
                    $("#bussiness-challenges-toggle").removeClass('disabled');
                    $("#bussiness-challenges-loading").hide();
                    $("#bussiness-challenges-button").show(); 
                    $("#business-challenge-content").html(data.result.business_challenges); 
                    //                   
                }else{
                    $("#bussiness-challenges-loading").show();
                    $("#bussiness-challenges-toggle").addClass('disabled');
                    $("#bussiness-challenges-button").hide();
                    $("#business-challenge-content").html(''); 
                }

                if(data.result!= "" && data.result.services!=""){
                    $.each(data.result.services, function(index, value) {
                        //alert(JSON.stringify(value));
                         //$("#accordion h3").off("click");
                         //$("#accordion").accordion("enable"); 
                         //$("#accordion").accordion("disable");
                        //alert(value.q1);
                        if(value.description!="" && typeof value.description !== 'undefined'){
                            $("#"+index+"-gig-toggle").removeClass('disabled');
                            $("#"+index+"-gig-loading").hide();
                            $("#"+index+"-gig-button").show();
                            $("#"+index+"-gig-content").html(value.description);
                            
                        }else{
                            $("#"+index+"-gig-loading").show();
                            $("#"+index+"-gig-toggle").addClass('disabled');
                            $("#"+index+"-gig-button").hide();
                            $("#"+index+"-gig-content").html('');
                             
                        }  

                        if(value.q1!="" && typeof value.q1 !== 'undefined'){
                            $("#"+index+"-workflow-toggle").removeClass('disabled');
                            $("#"+index+"-workflow-loading").hide();
                            $("#"+index+"-workflow-button").show();
                            $("#"+index+"-workflow-content").html(value.q1);
                        }else{
                            $("#"+index+"-workflow-loading").show();
                            $("#"+index+"-workflow-toggle").addClass('disabled');
                            $("#"+index+"-workflow-button").hide();
                            $("#"+index+"-workflow-content").html('');
                        } 

                        if(value.q2!="" && typeof value.q2 !== 'undefined'){
                            $("#"+index+"-layout-toggle").removeClass('disabled');
                            $("#"+index+"-layout-loading").hide();
                            $("#"+index+"-layout-button").show();
                            $("#"+index+"-layout-content").html(value.q2);
                        }else{
                            $("#"+index+"-layout-loading").show();
                            $("#"+index+"-layout-toggle").addClass('disabled');
                            $("#"+index+"-layout-button").hide();
                            $("#"+index+"-layout-content").html('');
                        }
                        
                        if(value.q3!="" && typeof value.q3 !== 'undefined'){
                            $("#"+index+"-functionality-toggle").removeClass('disabled');
                            $("#"+index+"-functionality-loading").hide();
                            $("#"+index+"-functionality-button").show();
                            $("#"+index+"-functionality-content").html(value.q3);
                        }else{
                            $("#"+index+"-functionality-loading").show();
                            $("#"+index+"-functionality-toggle").addClass('disabled');
                            $("#"+index+"-functionality-button").hide();
                            $("#"+index+"-functionality-content").html('');
                        }

                        if(value.q4!="" && typeof value.q4 !== 'undefined'){
                            $("#"+index+"-automation-toggle").removeClass('disabled');
                            $("#"+index+"-automation-loading").hide();
                            $("#"+index+"-automation-button").show();
                            $("#"+index+"-automation-content").html(value.q4);
                        }else{
                            $("#"+index+"-automation-loading").show();
                            $("#"+index+"-automation-toggle").addClass('disabled');
                            $("#"+index+"-automation-button").hide();
                            $("#"+index+"-automation-content").html('');
                        }

                        if(value.q5!="" && typeof value.q5 !== 'undefined'){
                            $("#"+index+"-integration-toggle").removeClass('disabled');
                            $("#"+index+"-integration-loading").hide();
                            $("#"+index+"-integration-button").show();
                            $("#"+index+"-integration-content").html(value.q5);
                        }else{
                            $("#"+index+"-integration-loading").show();
                            $("#"+index+"-integration-toggle").addClass('disabled');
                            $("#"+index+"-integration-button").hide();
                            $("#"+index+"-integration-content").html('');
                        }

                        //alert(value);

                        /*if(value.description!=""){
                            $("#"+index+"-gig-loading").hide();
                            $("#"+index+"-gig-button").show();
                        }else{
                            $("#"+index+"-gig-loading").show();
                            $("#"+index+"-gig-button").hide();
                        }   */                   

                        //alert($("#"+index+"-gig-loading").length);
                        //alert("#"+index+"-gig-loading");
                        //$(index+"-block")
                        //alert(JSON.stringify(index));
                        //alert(JSON.stringify(value));
                        
                    });

                    //alert(JSON.stringify(data.result.services)); 

                   
                }

                loader = false;
                
                //console.log(data.result.services);
                //location.reload(true);
            }else{
                loader = true;
            }
            
            // Process the data received from the server
            //console.log(data);
        },
        error: function(error) {
            // Handle any errors
            //console.error('Error fetching data:', error);
        }
    });
}

//fetchData();

setInterval(fetchData, 5000);

/*if(loader==false){
    setInterval(fetchData, 5000);
}*/

</script>

@endsection