@extends('frontend.layouts.master')

@section('content')

<section class="main-content">
    <div class="step2">
        <span>STEP 2 FROM 6</span>
        <h1>Services</h1>       

        @include('frontend.layouts.messages')

        <div class="main-content-steps">

            @if(!empty($case_id))
                <form method="POST" action="{{route('service-type-store', ['case_id' => $case_id])}}" id="service-type-form" onsubmit="return validateForm()">
            @else
                <form method="POST" action="{{route('service-type-store')}}" id="service-type-form" onsubmit="return validateForm()">
            @endif            
            
            @csrf              
                
            @if(!empty($data['services']))
                @foreach($data['services'] as $key => $value)

                    @php
                        $id = $value['id'];
                        $field_name = str_replace(" " , "", strtolower($value['name']));

                        $service_desc = 'service_desc.'.$id;

                        $description = "";
                        
                        $alreadyServiceName = 'already_service.'.$id;
                        $description = "";
                        
                        $serviceKeys = [];
                        if(!empty($currentSession) && array_key_exists('service_desc', $currentSession)){
                            $serviceKeys = array_keys($currentSession['service_desc']);
                        } 

                        $already_service = 0;

                        if(!empty($currentSession['already_service']) && is_array($currentSession['already_service']) && in_array($id, $serviceKeys)){
                            $already_service = $currentSession['already_service'][$id];
                        }elseif(old('already_service.'.$id)){
                            $already_service = old('already_service.'.$id);
                        }

                        //echo $already_service;

                        if(!empty($currentSession['service_desc']) && is_array($currentSession['service_desc']) && in_array($id, $serviceKeys)){

                            $description = $currentSession['service_desc'][$id];

                        }
                        
                    @endphp


                    <div class="form-group-main mb-4">
                        <label class="label mb-2">
                            Are you looking for a custom {{$value['name']}} built from scratch?                      
                        </label>
                        @php
                        //echo "<pre>";
                        //print_r(old('already_service.'.$id));
                        //var_dump('already_service.'.$id);
                        //echo "</pre>";
                        @endphp
                        <div class="form-group d-grid form-group-flex ">
                            <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                                <input type="radio" class="form-check-input project_info position-absolute {{($already_service == 1 )?'checked':''}}" id="already_service1{{$id}}" value="1" name="already_service[{{$id}}]" {{($already_service == 1 )?'checked=checked':''}}>
                                <label for="already_service1{{$id}}" class="form-check-label">
                                Yes
                                </label>
                            </div>
                            <div class="form-check position-relative w-100 d-flex align-items-center radio-check">
                                <input type="radio" class="form-check-input project_info position-absolute {{($already_service == 0 )?'checked':''}}" id="already_service2{{$id}}" value="0" name="already_service[{{$id}}]" {{($already_service == 0 )?'checked=checked':''}}>
                                <label for="already_service2{{$id}}" class="form-check-label">
                                No
                                </label>
                            </div>

                            <div class="invalid-feedback mt-2 " style="{{($errors->has($alreadyServiceName))?'display: block;':'display: none;'}}">{{ ($errors->has($alreadyServiceName))?$errors->first($alreadyServiceName):'' }}</div>
                           
                            {{--@if($errors->has($alreadyServiceName))                                
                                <div class="invalid-feedback mt-2 " style="display: block;">{{ $errors->first($alreadyServiceName) }}</div>
                            @endif--}}                                     
                        </div>
                    </div> 

                    <div class="form-group-main mb-4">
                        <div class="step2-inr form-group">
                            <div class="short-desc d-flex align-items-sm-center flex-sm-row flex-column justify-content-between gap-2">
                            <label class="label"> Write a short description of the {{$value['name']}} work required </label>
                            <small class="float-end p-0 text-end">Total words: <span class="total-words">0</span></small>
                            </div>
                            <textarea name="service_desc[{{$id}}]" id="crm_description" class="form-control resize-remove"
                                placeholder="This helps us to generate better {{$value['name']}} for you">{!! !empty($description)?$description: old('service_desc.'.$id) !!}</textarea>

                                <div class="invalid-feedback mt-2" style="{{($errors->has($service_desc))?'display:block;':'display:none;'}}"> {{ ($errors->has($service_desc))?str_replace($service_desc,"",$errors->first($service_desc)) :'' }}  </div>

                                {{--
                                @if ($errors->has($service_desc))                                        
                                    <div class="invalid-feedback mt-2" style="display:block;"> {{ str_replace($service_desc,"",$errors->first($service_desc)) }}  </div>
                                @endif
                                --}}                                   
                        </div>
                    </div>

                @endforeach
            @endif            

            <div class="btndv-main d-flex gap-4 justify-content-end">
                @if(empty($case_id))
                <a href="{{route('funnel')}}" class="prevbtn btn stpbtn">Previous</a>
                @endif
                <button class="nxtbtn btn stpbtn" type="submit">Next</button>
            </div>

            </form>


        </div>
    </div>
</section>

@endsection

@section('scripts')
<script type="text/javascript">
    

    $('.radio-check').click(function(){  
            
            if ($(this).is(':checked') === false) {
                $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
                $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
                $(this).find("input[type='radio']").addClass("checked"); 
                $(this).find("input[type='radio']").attr('checked', true); 
            }else{
                $(this).siblings('.radio-check').find("input[type='radio']").removeClass('checked'); 
                $(this).siblings('.radio-check').find("input[type='radio']").attr('checked', false);
                $(this).find("input[type='radio']").addClass("checked"); 
                $(this).find("input[type='radio']").attr('checked', true);                
            }
               
        //alert($(this).siblings('.radio-check').length);        
        
    });

/*$('textarea[name=service_desc]').keypress(function(){
    var name = $(this).val();
    var nameSelect = $(this);   
    if (name === "") {
        nameSelect.closest('.form-group').find(".invalid-feedback").html("Please enter the last name").show();
           
    }else{

        nameSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
    }     
});*/

$("textarea").each(function() {
    $(this).keyup(function() {
        var inputName = $(this).attr('name');
        var inputSelect = $('textarea[name="' + inputName + '"]');
        var inputSelectValue = inputSelect.val();

        var wordCount = 0;
        var longWordError = false;

        // Clear previous errors
        inputSelect.closest('.form-group').find(".total-words").html("");
        inputSelect.closest('.form-group').find(".invalid-feedback").html("").hide();

        if (inputSelectValue.trim() === "") {
            inputSelect.closest('.form-group').find(".total-words").html(wordCount);
        } else {
            wordCount = countWords(inputSelectValue.trim());

            // Split the text by spaces to get an array of words
            var words = inputSelectValue.trim().split(/\s+/).filter(function(word) {
                return word.length > 0;
            });

            // Check for words longer than 20 characters
            longWordError = words.some(word => word.length > 20);

            if (wordCount > 80 || longWordError) {
                var truncatedText = words.slice(0, 80).join(" ");
                inputSelect.val(truncatedText);

                if (longWordError) {
                    inputSelect.closest('.form-group').find(".invalid-feedback").html("Words exceed 20 characters.").show();
                    // return false;
                }

                return false;
            }

            inputSelect.closest('.form-group').find(".total-words").html(wordCount);
        }
    });

    // Initial word count
    var wordCount = countWords($(this).val().trim());
    $(this).closest('.form-group').find(".total-words").html(wordCount);
});

function validateForm() {
    var regexMobile =/^\d{10}$/;

    var regexEmail =/^([a-zA-Z0-9_.+-])+\@(([a-zA-Z0-9-])+\.)+([a-zA-Z0-9])+$/;

    //Showing all errors
    var error = false; 
    
    $('input[type="radio"]').each(function() {
        var inputName = $(this).attr('name');
        var inputSelect = $('input[name="'+inputName+'"]');
        
        if (inputSelect.is(':checked') === false) {
            inputSelect.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
            error = true;

        }else{
            inputSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
        }
        
    });

    $('textarea').each(function() {
        var inputName = $(this).attr('name');
        var inputTextSelect = $('textarea[name="'+inputName+'"]');
        if (inputTextSelect.val().trim() === "") {
            inputTextSelect.closest('.form-group').find(".invalid-feedback").html("This field is required").show();
            error = true;

        }else{
            var wordCount = countWords(inputTextSelect.val().trim());

                 ////////////
                 var words = inputTextSelect.val().split(/\s+/);
                    var longWords = words.filter(function(word) {
                        return word.length > 20;
                    });
            if (longWords.length > 0) {
                inputTextSelect.closest('.form-group').find(".invalid-feedback").html("Words exceed 20 characters.").show();
                                error = true;
                                return false;
                        }
            /////////////

            if(wordCount < 15){
                inputTextSelect.closest('.form-group').find(".invalid-feedback").html("This field contains atleast 15 words").show();
                error = true;

            }else if(wordCount > 80){                
                inputTextSelect.closest('.form-group').find(".invalid-feedback").html("This field contains max 80 words only.").show();
                error = true;

            }else{
                inputTextSelect.closest('.form-group').find(".invalid-feedback").html("").hide();
            }
            
        }
        
    });

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}

function countWords(text) {
    // Trim the text and split by spaces or newlines, filter out empty strings
    var words = text.trim().split(/\s+/);
    return words.filter(function(word) {
        return word.length > 0;
    }).length;
}
</script>
@endsection


