@extends('frontend.layouts.master')

@section('content')

<section class="main-content">
    <div class="step1">
        <span>STEP 1 FROM 6</span>
        <h1>Services</h1>
        <h3>
            Please select the service(s) you require
            <span>(may select multiple)</span>
        </h3>

        <div class="invalid-feedback mt-2"> </div>
        
        @include('frontend.layouts.messages')

        <div class="main-content-steps">
            <div class="form-group-main">
                <form method="POST" action="{{route('funnel-store')}}" id="service-form" onsubmit="return validateForm()">
                    @csrf                    
                    <div class="services-inr form-group d-grid">
                        @php
                        //print_r($currentSession['services_ids']);
                        @endphp

                        @if(!empty($data['services']))

                            @foreach($data['services']  as $key => $value)

                                @php
                                $image = $value['icon'];
                                $imageLink = asset('frontend/assets/images/'.$image);
                                if(!empty($currentSession['services_ids'])){
                                    $sessionExplode = explode(",", $currentSession['services_ids']);
                                }
                                
                                $checked = '';
                                if(!empty($sessionExplode) && in_array($value['id'], $sessionExplode)){
                                    $checked = 'checked';
                                }
                                
                                @endphp
                                
                                <div class="services-itm form-check">
                                    <input type="checkbox" class="form-check-input d-none services-checkbox" id="{{strtolower($value['name'])}}_services" value="{{$value['id']}}"
                                        name="{{strtolower($value['name'])}}_services" {{$checked}} />
                                    <label for="{{strtolower($value['name'])}}_services" class="services-label p-sm-4 p-3" id="">
                                        <img src="{{$imageLink}}" alt />
                                        <h3>{{$value['name']}}</h3>
                                        <p>{{$value['description']}}</p>
                                    </label>
                                </div>
                            @endforeach
                        @endif

                        {{--
                        <div class="services-itm form-check">
                            <input type="checkbox" class="form-check-input d-none" id="crm" value="crm"
                                name="services" />
                            <label for="crm" class="services-label p-sm-4 p-3">
                                <img src="{{ asset('frontend/assets/images/hard-drive.png') }}" alt />
                                <h3>CRM</h3>
                                <p>Used to store, process and display data</p>
                            </label>
                        </div>
                        <div class="services-itm form-check">
                            <input type="checkbox" class="form-check-input d-none" id="dashboard" value="dashboard"
                                name="services" />
                            <label for="dashboard" class="services-label p-sm-4 p-3">
                                <img src="{{ asset('frontend/assets/images/bar-chart-square-01.png') }}" alt />
                                <h3>Dashboard</h3>
                                <p>Used to show KPIs and business objectives</p>
                            </label>
                        </div>
                        <div class="services-itm form-check">
                            <input type="checkbox" class="form-check-input d-none" id="mobile_app" value="mobile_app"
                                name="services" />
                            <label for="mobile_app" class="services-label p-sm-4 p-3">
                                <img src="{{ asset('frontend/assets/images/phone-01.png') }}" alt />
                                <h3>Mobile App</h3>
                                <p>Used to run applications on a mobile devices</p>
                            </label>
                        </div>
                        --}}
                        <div class="invalid-feedback mt-2">Please select an option.  </div>
                    </div>

                    <div class="btndv-main text-end">
                        <!-- <button class="prevbtn btn stpbtn">Previous</button> -->
                        <button class="nxtbtn btn stpbtn step1-btn ms-3" type="submit">Next</button>
                    </div>
                
                </form>

            </div>
        </div>
    </div>
</section>

@endsection

@section('scripts')
<script type="text/javascript">
    /*$('.services-label').click(function(){
       var service_checkbox = $(this).attr("for");      
    })*/
    $( document ).ready(function() {
        $("#service-form")[0].reset()
    });

function validateForm() {
    formSelect = $('#service-form');

    

    
    var inputCheckbox  = formSelect.find('input[type="checkbox"]');
    var envision_select =formSelect.find('#website_envision');
    //Showing all errors
    var error = false;

    var inputCheckMin = 0;
    $(inputCheckbox).each(function() {
        var inputName = $(this).attr('name');
        inputBox = inputName;
        
        var inputChecked = formSelect.find('input[name="'+inputName+'"]');
        
        if (inputChecked.is(':checked') === true) {
            inputCheckMin++;            
        }         

    });     

    if(inputCheckMin == 0){
        formSelect.find(".invalid-feedback").html("Please select atleast one service.").show();
        error = true;

    }else{
        formSelect.find(".invalid-feedback").html("").hide();
    }    

    if(error){
        return false;
    }
    
    // If all checks pass, return true to allow form submission
    return true;
}

   
</script>
@endsection

