<?php
//Old Main Funnel Steps Controller
use App\Http\Controllers\Auth\AuthController;
use App\Http\Controllers\backend\CaseController;
/*use App\Http\Controllers\backend\DashboardController;*/
use App\Http\Controllers\backend\ServiceController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\frontend\FunnelController;
/*use App\Http\Controllers\backend\NoteController;
use App\Http\Controllers\backend\QueryController;
use App\Http\Controllers\backend\StaffController;*/
use App\Http\Controllers\backend\TeamController;
use App\Http\Controllers\frontend\DashboardController;
use App\Http\Controllers\frontend\DeveloperAreaController;
use SebastianBergmann\CodeCoverage\Report\Html\Dashboard;
//New Main Funnel Steps Controller
use App\Http\Controllers\frontend\MainFunnelController;

use Illuminate\Support\Facades\Artisan;
// Clear Application Cache
Route::get('/optimize', function() {
    Artisan::call('cache:clear');
    
    Artisan::call('route:clear');
   
    Artisan::call('view:clear');
   
    Artisan::call('config:clear');
    return "Application cache cleared!";
});
/** Frontend ***/

Route::get('/', function () {
    //Session::flush();
    Session::forget('current_case');
    Session::forget('current_lead');
    //dd(\Session::get('current_case'));
    return view('frontend.home');
})->name('home');

/*** Backend ***/

/*Route::group(['prefix' => 'admin'], function () {
    Route::get('login', [AuthController::class, 'login'])->name('login-screen');
    Route::post('login', [AuthController::class, 'login'])->name('login');
    Route::get('logout', [AuthController::class, 'logout'])->name('logout');
});
*/
//Admin Logged In Routes
Route::group(['prefix' => 'admin', 'middleware' => ['isAdmin']], function () {

    Route::get('dashboard', [DashboardController::class, 'index'])->name('admin-dashboard');

    Route::get('services', [ServiceController::class, 'index'])->name('admin-services');
    /*Route::get('add_service', [ServiceController::class, 'addService'])->name('add-service');
    Route::post('add_service', [ServiceController::class, 'addService'])->name('add-service');
    Route::get('edit_service/{id}', [ServiceController::class, 'editService'])->name('edit-service');
    Route::post('edit_service/{id}', [ServiceController::class, 'editService'])->name('edit-service');
    Route::get('delete_service/{id}', [ServiceController::class, 'deleteService'])->name('delete-service');*/

    Route::get('teams', [TeamController::class, 'index'])->name('teams');
    Route::post('add_team', [TeamController::class, 'addTeam'])->name('add-team');
    Route::post('edit_team/{id}', [TeamController::class, 'editTeam'])->name('edit-team');
    Route::get('delete_team/{id}', [TeamController::class, 'deleteTeam'])->name('delete-team');

    Route::get('cases', [CaseController::class, 'index'])->name('admin-cases');
    Route::get('case/{id}/notes', [CaseController::class, 'getCase'])->name('admin-get-case');
    Route::get('filter_cases', [CaseController::class, 'filterCases'])->name('admin-filter-cases');
    Route::get('search_cases', [CaseController::class, 'searchCases'])->name('admin-search-cases');
    Route::get('export', [CaseController::class, 'export'])->name('admin-export-cases');

    /*Route::post('add_note', [NoteController::class, 'addNote'])->name('admin-add-note');
    Route::post('edit_note/{id}', [NoteController::class, 'editNote'])->name('admin-edit-note');
    Route::post('delete_note', [NoteController::class, 'deleteNote'])->name('admin-delete-note');*/

    Route::get('case/{id}/project_scope', [CaseController::class, 'getProjectScope'])->name('admin-get-scope');

    Route::get('case/{id}/project_scope2', [CaseController::class, 'getProjectScope'])->name('admin-get-scope2');

    Route::get('case/{id}/business_info', [CaseController::class, 'getBusinessInfo'])->name('admin-get-business');
    Route::get('case/{id}/project_info', [CaseController::class, 'getProjectInfo'])->name('admin-get-project');
    Route::get('case/{id}/company_info', [CaseController::class, 'getCompanyInfo'])->name('admin-get-company');

    /*Route::get('case/{id}/query', [QueryController::class, 'questions'])->name('admin-get-query');
    Route::post('add_question', [QueryController::class, 'addQuestion'])->name('admin-add-question');
    Route::post('case/{id}/delete_question/{question_id}', [QueryController::class, 'deleteQuestion'])->name('admin-delete-question');*/

    Route::post('sidenote/update/{case_id}', [CaseController::class, 'updateSidenote'])->name('update-sidenote');
});

// send query reply
/*Route::post('send_reply', [QueryController::class, 'sendReply']);*/

/*Route::group(['prefix' => 'team', 'middleware' => ['isTeam']], function () {

    Route::get('dashboard', [DashboardController::class, 'index']);

    Route::get('cases', [CaseController::class, 'index']);
    Route::get('case/{id}/notes', [CaseController::class, 'getCase']);
    Route::get('filter_cases', [CaseController::class, 'filterCases'])->name('team-filter-cases');
    Route::get('search_cases', [CaseController::class, 'searchCases'])->name('team-search-cases');
    Route::get('export', [CaseController::class, 'export']);

    Route::post('team/add_note', [NoteController::class, 'addNote'])->name('team-add-note');
    Route::post('team/edit_note/{id}', [NoteController::class, 'editNote'])->name('team-edit-note');

    Route::get('case/{id}/project_scope', [CaseController::class, 'getProjectScope']);
    Route::get('case/{id}/business_info', [CaseController::class, 'getBusinessInfo']);
    Route::get('case/{id}/project_info', [CaseController::class, 'getProjectInfo']);
    Route::get('case/{id}/company_info', [CaseController::class, 'getCompanyInfo']);
    Route::get('case/{id}/query', [QueryController::class, 'questions'])->name('admin-get-query');

    Route::get('staff', [StaffController::class, 'index'])->name('staff');
    Route::post('add_staff', [StaffController::class, 'addStaff'])->name('add-staff');
    Route::post('edit_staff/{id}', [StaffController::class, 'editStaff'])->name('edit-staff');
    Route::get('delete_staff/{id}', [StaffController::class, 'deleteStaff'])->name('delete-staff');

    Route::get('case/{id}/query', [QueryController::class, 'questions'])->name('team-get-query');
    Route::post('add_question', [QueryController::class, 'addQuestion'])->name('team-add-question');
});*/

/*Route::group(['prefix' => 'staff', 'middleware' => ['isStaff']], function () {

    Route::get('dashboard', [DashboardController::class, 'index']);

    Route::get('cases', [CaseController::class, 'index']);
    Route::get('case/{id}/notes', [CaseController::class, 'getCase']);
    Route::get('filter_cases', [CaseController::class, 'filterCases'])->name('staff-filter-cases');
    Route::get('search_cases', [CaseController::class, 'searchCases'])->name('staff-search-cases');
    Route::get('export', [CaseController::class, 'export']);

    Route::post('staff/add_note', [NoteController::class, 'addNote'])->name('staff-add-note');;
    Route::post('staff/edit_note/{id}', [NoteController::class, 'editNote'])->name('staff-edit-note');;
    Route::post('staff/delete_note', [NoteController::class, 'deleteNote'])->name('staff-delete-note');;

    Route::get('case/{id}/project_scope', [CaseController::class, 'getProjectScope']);
    Route::get('case/{id}/business_info', [CaseController::class, 'getBusinessInfo']);
    Route::get('case/{id}/project_info', [CaseController::class, 'getProjectInfo']);
    Route::get('case/{id}/company_info', [CaseController::class, 'getCompanyInfo']);

    Route::get('case/{id}/query', [QueryController::class, 'questions'])->name('staff-get-query');
    Route::post('add_question', [QueryController::class, 'addQuestion'])->name('staff-add-question');
});*/

/*** Frontend New Steps Start ***/

Route::get('start', [MainFunnelController::class, 'index'])->name('main-funnel');
Route::post('start-project/submit', [MainFunnelController::class, 'store'])->name('start-project.store');

Route::get('get-started-with-ai', [MainFunnelController::class, 'getStartedWithAI'])->name('get-started-with-ai');

Route::post('submit-ai', [MainFunnelController::class, 'submitAi'])->name('submit-ai');

Route::get('tell-your-ideas', [MainFunnelController::class, 'tellYourIdeas'])->name('tell-your-ideas');

Route::post('submit-idea', [MainFunnelController::class, 'submitIdea'])->name('submit-idea');


Route::get('project-overview', [MainFunnelController::class, 'projectOverview'])->name('project-overview');

Route::post('project-overview-update', [MainFunnelController::class, 'updateProjectOverview'])->name('project-overview-update');

Route::get('check-project-overview/{case_id?}', [MainFunnelController::class, 'checkProjectOverview'])->name('check-project-overview');

Route::post('submit-overview', [MainFunnelController::class, 'submitOverview'])->name('submit-overview');

Route::get('basic-information', [MainFunnelController::class, 'basicInfo'])->name('basic-information');

Route::post('submit-info', [MainFunnelController::class, 'submitInfo'])->name('submit-info');

Route::get('nda-agreement/{flow_id}', [MainFunnelController::class, 'ndaAgreement'])->name('nda-agreement');

Route::post('submit-nda/{flow_id}', [MainFunnelController::class, 'submitNda'])->name('submit-nda');


/*** Frontend New Steps End ***/


/*** Frontend Old Steps Start ***/

//Funnel
Route::get('start-old/{case_id?}', [FunnelController::class, 'index'])->name('funnel');

Route::post('start/submit/{case_id?}', [FunnelController::class, 'store'])->name('funnel-store');

//Funnel
Route::get('service-type/{case_id?}', [FunnelController::class, 'service_type'])->name('service-type');
Route::post('service-type/submit/{case_id?}', [FunnelController::class, 'service_type_submit'])->name('service-type-store');

//Business Info
Route::get('business-information/{case_id?}', [FunnelController::class, 'business_info'])->name('business-info');
Route::post('business-information/submit/{case_id?}', [FunnelController::class, 'business_submit'])->name('business-submit');

//Business Info 2
Route::get('business-stage/{tab?}/{case_id?}', [FunnelController::class, 'business_stage'])->name('business-stage');
Route::post('business-stage/submit/{case_id?}', [FunnelController::class, 'business_stage_submit'])->name('business-stage-submit');

//Project Info
Route::get('project-info/{tab?}/{case_id?}', [FunnelController::class, 'project_info'])->name('project-info');
Route::post('project-info/submit/{case_id?}', [FunnelController::class, 'project_info_submit'])->name('project-info-submit');

//Company Information
Route::get('company-information/{case_id?}', [FunnelController::class, 'company_info'])->name('company-info');
Route::post('company-information/submit/{case_id?}', [FunnelController::class, 'company_submit'])->name('company-info-submit');

Route::post('get-company', [FunnelController::class, 'get_company_api'])->name('get-company');

//Information
Route::get('information/{case_id?}', [FunnelController::class, 'client_info'])->name('client-info');
Route::post('information/submit/{case_id?}', [FunnelController::class, 'client_submit'])->name('client-info-submit');

Route::post('get-address', [FunnelController::class, 'get_address_api'])->name('get-address');

//Project Scope
Route::get('project-scope/{case_id}', [FunnelController::class, 'project_scope'])->name('project-scope');

//Delete Bussiness Stages Keys
Route::post('delete-business-stages', [FunnelController::class, 'delete_business_stage'])->name('delete-business-stages');

//Project Scope Return
Route::post('project-scope-return', [FunnelController::class, 'project_scope_return'])->name('project-scope-return');

Route::get('check-case-exist/{case_id}', [FunnelController::class, 'check_case'])->name('check-case');


/*** Frontend Old Steps End ***/

//Login
Route::get('login/{case_id?}', [AuthController::class, 'login'])->name('login');
Route::post('login', [AuthController::class, 'login'])->name('login-submit');
Route::get('register/{case_id?}', [AuthController::class, 'register'])->name('register');
Route::post('register', [AuthController::class, 'register'])->name('register-submit');

Route::any('account-setup/{flow_id?}', [AuthController::class, 'accountSetup'])->name('account-setup');


//Frontend Panel
Route::group(['middleware' => ['auth']], function () {
    Route::get('dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::get('businessinformation/{case_id}', [DashboardController::class, 'businessinformation'])->name('businessinformation');
    Route::get('businessinformation/{case_id}/{servicename}', [DashboardController::class, 'businessinformation'])->name('businessinformationservicename');

    Route::get('solutions/{case_id}/{service_id}', [DashboardController::class, 'solutions'])->name('solutions');


    //developer area
    Route::get('developersarea/{case_id}/{service_id}', [DeveloperAreaController::class, 'developersarea'])->name('developersarea');
    Route::post('developersarea/question-submit', [DeveloperAreaController::class, 'questionSubmit'])->name('question-submit');

    Route::get('fileupload/{case_id}/{service_id}', [DashboardController::class, 'fileupload'])->name('fileupload');
    Route::post('fileupload', [DashboardController::class, 'fileupload'])->name('fileupload.db');
    Route::get('/files/download/{filename}', [DashboardController::class, 'downloadFile'])->name('files.download');

    Route::get('liveupdate', [DashboardController::class, 'liveupdate'])->name('liveupdate');

    Route::get('profile', [DashboardController::class, 'profile'])->name('profile');
    Route::get('editprofile', [DashboardController::class, 'editprofile'])->name('editprofile');
    Route::post('profile/update',[DashboardController::class,'profileupdate'])->name('profileupdate');
    // Route::post('profile/update/submit/', [DashboardController::class, 'profileupdate_submit'])->name('profileupdate-submit');


    Route::get('logout', [AuthController::class, 'logout'])->name('logout');
});
